------------------------------------------------------------------------
r43429 | gerald | 2012-06-21 10:37:00 -0700 (Thu, 21 Jun 2012) | 11 lines
Changed paths:
   M /trunk-1.8/Makefile.nmake
   M /trunk-1.8/packaging/nsis/Makefile.am

Copy over r43428 from the trunk:

  ------------------------------------------------------------------------
  r43428 | gerald | 2012-06-21 10:35:59 -0700 (Thu, 21 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/Makefile.nmake
     M /trunk/packaging/nsis/Makefile.am

  Try to fix tarball compilation on Windows.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43427 | gerald | 2012-06-21 09:30:06 -0700 (Thu, 21 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml

Release notes talk pretty one day.

------------------------------------------------------------------------
r43426 | gerald | 2012-06-21 09:26:07 -0700 (Thu, 21 Jun 2012) | 46 lines
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dissectors/packet-gmr1_dtap.c
   M /trunk-1.8/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk-1.8/epan/dissectors/packet-ipv6.c
   M /trunk-1.8/epan/dissectors/packet-ipv6.h
   M /trunk-1.8/tshark.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43389 | morriss | 2012-06-19 13:20:18 -0700 (Tue, 19 Jun 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ipv6.c
     M /trunk/epan/dissectors/packet-ipv6.h

  Correct the IPv6 fragment offset shown in COL_INFO.

  Make some Fragment header fields filterable (add_text() -> add_item()).
  Display (and make filterable) the reserved octet and bits.
  ------------------------------------------------------------------------
  r43401 | etxrab | 2012-06-20 00:59:20 -0700 (Wed, 20 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

  - In INTERNAL HANDOVER COMMAND Circuit Identity Code is C(Coded optional in WS)
  - be_speech_codec ( 3.2.2.104    Speech Codec) did not cover all codecs.
  ------------------------------------------------------------------------
  r43408 | pascal | 2012-06-20 06:37:22 -0700 (Wed, 20 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gmr1_dtap.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7383 :
  Put back items into the correct dtap_tree tree and comment pd_tree that is unused for now
  ------------------------------------------------------------------------
  r43409 | pascal | 2012-06-20 06:42:17 -0700 (Wed, 20 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gmr1_dtap.c

  Fix compilation with gcc...
  ------------------------------------------------------------------------
  r43420 | gerald | 2012-06-20 13:44:05 -0700 (Wed, 20 Jun 2012) | 5 lines
  Changed paths:
     M /trunk/tshark.c

  If we're making two passes and we have a display filter applied, create
  a protocol tree in process_packet_first_pass(). Otherwise we crash with

  ERROR:dfvm.c:434:dfvm_apply: assertion failed: (tree)
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r43407 | morriss | 2012-06-20 06:35:24 -0700 (Wed, 20 Jun 2012) | 9 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-sctp.c

Copy over from trunk:

------------------------------------------------------------------------
r43406 | morriss | 2012-06-20 09:30:07 -0400 (Wed, 20 Jun 2012) | 4 lines

Use separate filters for the RTT found on a SACK and the RTT found on a
DATA chunk: having them in both places is helpful when looking at the
messages but having them separate is helpful when graphing the RTTs.

------------------------------------------------------------------------
r43400 | guy | 2012-06-19 22:53:42 -0700 (Tue, 19 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/ui/win32/file_dlg_win32.c

Copy over r43394 from trunk:

  ------------------------------------------------------------------------
  r43394 | etxrab | 2012-06-19 21:42:55 -0700 (Tue, 19 Jun 2012) | 1 line

  MAke it compile by adding discard_comments = FALSE

------------------------------------------------------------------------
r43399 | guy | 2012-06-19 22:52:40 -0700 (Tue, 19 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/ui/win32/file_dlg_win32.c

Copy over r43302 from trunk:

  ------------------------------------------------------------------------
  r43302 | guy | 2012-06-16 18:50:52 -0700 (Sat, 16 Jun 2012) | 2 lines

  Reflect change to wtap_get_savable_file_types.

------------------------------------------------------------------------
r43398 | guy | 2012-06-19 22:48:57 -0700 (Tue, 19 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/ui/gtk/capture_file_dlg.c

Copy over r43397 from trunk:

  ------------------------------------------------------------------------
  r43397 | guy | 2012-06-19 22:48:06 -0700 (Tue, 19 Jun 2012) | 2 lines

  Clean up white space (no tabs).

------------------------------------------------------------------------
r43396 | guy | 2012-06-19 21:45:08 -0700 (Tue, 19 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/file.c
   M /trunk-1.8/file.h
   M /trunk-1.8/ui/gtk/capture_file_dlg.c

Copy over r43395 from the trunk:

  ------------------------------------------------------------------------
  r43395 | guy | 2012-06-19 21:44:14 -0700 (Tue, 19 Jun 2012) | 5 lines

  Handle the case where the user has added comments to a file that's not
  in a format that supports comments and they do a "Save" by popping up a
  similar question to the one we pop up in the "Save As" case and, if they
  say "choose another format", pop up a "Save As" dialog box.

------------------------------------------------------------------------
r43393 | guy | 2012-06-19 18:13:06 -0700 (Tue, 19 Jun 2012) | 15 lines
Changed paths:
   M /trunk-1.8/cfile.h
   M /trunk-1.8/file.c
   M /trunk-1.8/file.h
   M /trunk-1.8/ui/gtk/capture_file_dlg.c
   M /trunk-1.8/ui/gtk/new_packet_list.c

Copy over r43392 from trunk:

  ------------------------------------------------------------------------
  r43392 | guy | 2012-06-19 18:11:01 -0700 (Tue, 19 Jun 2012) | 10 lines

  If the file has an SHB comment or any packet comments, and the user
  tries to do "Save As" in a format for which we don't support comments
  (currently, we only support them for pcap-ng), ask whether they want to
  discard the comments and save anyway or, *if* the file can be saved in a
  format for which we *do* support comments, they want to save the file in
  some other format.

  Keep a count of packet comments so that we don't have to scan all the
  frame_data structures to determine whether we have any comments.

------------------------------------------------------------------------
r43388 | gerald | 2012-06-19 12:53:59 -0700 (Tue, 19 Jun 2012) | 14 lines
Changed paths:
   M /trunk-1.8/wiretap/Makefile.am
   M /trunk-1.8/wiretap/Makefile.nmake

Copy over r43387 from the trunk:

  ------------------------------------------------------------------------
  r43387 | gerald | 2012-06-19 12:53:03 -0700 (Tue, 19 Jun 2012) | 5 lines
  Changed paths:
     M /trunk/wiretap/Makefile.am
     M /trunk/wiretap/Makefile.nmake

  ascend_scanner.c includes ascend.h. Add corresponding makefile
  dependencies, otherwise we might have a race condition when doing
  parallel makes. Hopefully this will fix intermitten buildbot failures
  we've been getting lately.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43383 | guy | 2012-06-19 12:22:47 -0700 (Tue, 19 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/ui/gtk/capture_file_dlg.c
   M /trunk-1.8/ui/gtk/file_dlg.c
   M /trunk-1.8/ui/gtk/file_dlg.h

Copy over r43381 from trunk:

  ------------------------------------------------------------------------
  r43381 | guy | 2012-06-19 12:20:47 -0700 (Tue, 19 Jun 2012) | 5 lines

  The GTK+ file chooser already *includes* UI code to ask the user whether
  they want to overwrite an existing file; just use that.  (The Win32 file
  chooser also does that itself.)  Just do UI for "do you want to
  overwrite this {user-immutable,unwritable} file?".

------------------------------------------------------------------------
r43382 | guy | 2012-06-19 12:22:04 -0700 (Tue, 19 Jun 2012) | 11 lines
Changed paths:
   M /trunk-1.8/ui/gtk/pixmap_save.c

Copy over r43380 from the trunk:

  ------------------------------------------------------------------------
  r43380 | guy | 2012-06-19 11:47:22 -0700 (Tue, 19 Jun 2012) | 6 lines

  The "save as" dialog is modal, so we don't need to worry about keeping
  track of multiple such "save as" windows.

  Use modal dialog boxes to report errors, while we're at it.  That lets
  us keep the dialog open if we get an error.

------------------------------------------------------------------------
r43378 | gerald | 2012-06-19 10:41:23 -0700 (Tue, 19 Jun 2012) | 80 lines
Changed paths:
   M /trunk-1.8/Makefile.am
   M /trunk-1.8/debian/rules
   M /trunk-1.8/doc/Makefile.am
   M /trunk-1.8/doc/tshark.pod
   M /trunk-1.8/doc/wireshark-filter.pod
   M /trunk-1.8/dumpcap.c
   M /trunk-1.8/epan/dissectors/packet-gsm_sms.c
   M /trunk-1.8/packaging/macosx/Scripts/cli-postinstall.sh
   M /trunk-1.8/packaging/macosx/osx-app.sh
   M /trunk-1.8/packaging/nsis/Makefile.nmake
   M /trunk-1.8/packaging/nsis/wireshark.nsi
   M /trunk-1.8/ui/gtk/CMakeLists.txt
   M /trunk-1.8/ui/gtk/capture_if_dlg.c
   M /trunk-1.8/ui/gtk/main_menubar.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43343 | tuexen | 2012-06-18 14:50:59 -0700 (Mon, 18 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/dumpcap.c

  Fix compilation on FreeBSD.
  ------------------------------------------------------------------------
  r43345 | etxrab | 2012-06-18 23:08:58 -0700 (Mon, 18 Jun 2012) | 12 lines
  Changed paths:
     M /trunk/ui/gtk/capture_if_dlg.c

  From Pontus Fuchs:
  If there are many interfaces the button bar is not visible
  unless you manually resize the dialog. On a normal Linux PC
  you can easily reach 15-20 interfaces due to USB monitor.

  Add a vbox so that you get a scrollbar for the interface table
  instead of on the window. This way the button bar is always
  visible.

  Also increase the default height to handle 20 interfaces.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7379
  ------------------------------------------------------------------------
  r43362 | darkjames | 2012-06-19 07:25:50 -0700 (Tue, 19 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gsm_sms.c

  Fix bug #7378: Wireshark 1.8.0rc1: gsm_a_dtap SMS 7-bit default alphabet regression w.r.t. 1.6.8

  proto_item_add_string() can be only used with ASCII strings.
  ------------------------------------------------------------------------
  r43367 | etxrab | 2012-06-19 07:49:12 -0700 (Tue, 19 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/ui/gtk/CMakeLists.txt
     M /trunk/ui/gtk/main_menubar.c

  Get rid of the remnats of NEW_MENU_CODE.
  It's probably not a good idea to read the menu bar code from file as it causes problems with permissions when Wireshark is run fom build dir.
  ------------------------------------------------------------------------
  r43368 | etxrab | 2012-06-19 07:54:11 -0700 (Tue, 19 Jun 2012) | 1 line
  Changed paths:
     M /trunk/Makefile.am
     M /trunk/packaging/nsis/wireshark.nsi

  Don't install main-menubar-ui.xml
  ------------------------------------------------------------------------
  r43370 | morriss | 2012-06-19 08:39:52 -0700 (Tue, 19 Jun 2012) | 9 lines
  Changed paths:
     M /trunk/Makefile.am
     M /trunk/debian/rules
     M /trunk/doc/Makefile.am

  Don't install idl2wrs except in Debian's special wireshark-dev package.

  (Normal Wireshark installations can't be used to develop dissectors so there's
  no need to install it or its man page.)

  http://www.wireshark.org/lists/wireshark-dev/201206/msg00073.html

  (The Debian changes are untested.)
  ------------------------------------------------------------------------
  r43371 | gerald | 2012-06-19 08:44:10 -0700 (Tue, 19 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/doc/tshark.pod
     M /trunk/doc/wireshark-filter.pod

  Remove what appears to be an errant vi/vim command and add a newline.
  ------------------------------------------------------------------------
  r43377 | morriss | 2012-06-19 10:32:49 -0700 (Tue, 19 Jun 2012) | 1 line
  Changed paths:
     M /trunk/packaging/macosx/Scripts/cli-postinstall.sh
     M /trunk/packaging/macosx/osx-app.sh
     M /trunk/packaging/nsis/Makefile.nmake

  Followup to r43370: don't install idl2wrs or its man page.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43341 | gerald | 2012-06-18 13:58:11 -0700 (Mon, 18 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.8/tools/git-compare-abis.sh

Use a tag that compiles (r43301).
------------------------------------------------------------------------
r43340 | gerald | 2012-06-18 13:56:26 -0700 (Mon, 18 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.8/version.conf

Switch back to interim versions.
------------------------------------------------------------------------
r43337 | gerald | 2012-06-18 11:43:07 -0700 (Mon, 18 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/ChangeLog
   M /trunk-1.8/version.conf

Build 1.8.0rc2.

------------------------------------------------------------------------
r43336 | gerald | 2012-06-18 10:26:50 -0700 (Mon, 18 Jun 2012) | 57 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-dtls.c
   M /trunk-1.8/epan/dissectors/packet-ip.c
   M /trunk-1.8/epan/dissectors/packet-ip.h
   M /trunk-1.8/epan/dissectors/packet-ipv6.c
   M /trunk-1.8/epan/dissectors/packet-megaco.c
   M /trunk-1.8/epan/dissectors/packet-mpls-pm.c
   M /trunk-1.8/epan/dissectors/packet-nhrp.h
   M /trunk-1.8/epan/dissectors/packet-ssl-utils.c
   M /trunk-1.8/epan/dissectors/packet-ssl.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43303 | sake | 2012-06-17 02:02:04 -0700 (Sun, 17 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ssl-utils.c

  Fix reading back exported SSL keys. Bug was introduced in r43097.
  ------------------------------------------------------------------------
  r43304 | sake | 2012-06-17 04:30:25 -0700 (Sun, 17 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dtls.c
     M /trunk/epan/dissectors/packet-ssl.c

  Enhance dissection of the NewSessionTicket handshake message.
  ------------------------------------------------------------------------
  r43204 | wmeier | 2012-06-11 08:47:50 -0700 (Mon, 11 Jun 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ip.c
     M /trunk/epan/dissectors/packet-ip.h

  Create dscp_vals_ext value_str_ext (based upon dscp_vals); Use it as appropriate.
  Also:
   - use val_to_str_const() [instead of val_to_str()] in a few cases;
   - do some trivial formatting cleanup.
  ------------------------------------------------------------------------
  r43211 | wmeier | 2012-06-11 12:07:53 -0700 (Mon, 11 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ip.h
     M /trunk/epan/dissectors/packet-megaco.c
     M /trunk/epan/dissectors/packet-mpls-pm.c
     M /trunk/epan/dissectors/packet-nhrp.h

  Use dscp_vals_ext everyplace (instead of dscp_vals);
  (dscp_vals is now a static array in packet-ip.c)
  ------------------------------------------------------------------------
  r43221 | jmayer | 2012-06-12 03:38:22 -0700 (Tue, 12 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ip.c
     M /trunk/epan/dissectors/packet-ip.h
     M /trunk/epan/dissectors/packet-ipv6.c

  Manually revert r41953

    BACKPORT to 1.8
  ------------------------------------------------------------------------
  r43222 | jmayer | 2012-06-12 03:44:57 -0700 (Tue, 12 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ip.c
     M /trunk/epan/dissectors/packet-ip.h
     M /trunk/epan/dissectors/packet-ipv6.c

  Revert r41952

    BACKPORT to 1.8
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43331 | guy | 2012-06-18 01:35:03 -0700 (Mon, 18 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/ui/qt/simple_dialog_qt.cpp

Copy over r43330 from trunk:

  ------------------------------------------------------------------------
  r43330 | guy | 2012-06-18 01:30:53 -0700 (Mon, 18 Jun 2012) | 2 lines

  Add "simple dialog" routines to pop up modal message boxes.

------------------------------------------------------------------------
r43328 | guy | 2012-06-17 23:00:17 -0700 (Sun, 17 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/ui/gtk/simple_dialog.c

Copy over r43327 from trunk:

  ------------------------------------------------------------------------
  r43327 | guy | 2012-06-17 22:59:33 -0700 (Sun, 17 Jun 2012) | 2 lines

  Add initialization to squelch compiler warnings.

------------------------------------------------------------------------
r43326 | guy | 2012-06-17 22:58:22 -0700 (Sun, 17 Jun 2012) | 8 lines
Changed paths:
   M /trunk-1.8/ui/gtk/simple_dialog.c

Copy over r43325 from the trunk:

  ------------------------------------------------------------------------
  r43325 | guy | 2012-06-17 22:57:26 -0700 (Sun, 17 Jun 2012) | 3 lines

  Use the GTK+ message type, not the Wireshark message type, in GTK+
  calls.

------------------------------------------------------------------------
r43324 | guy | 2012-06-17 16:30:28 -0700 (Sun, 17 Jun 2012) | 8 lines
Changed paths:
   M /trunk-1.8/ui/gtk/simple_dialog.c

Copy over r43323 from the trunk:

  ------------------------------------------------------------------------
  r43323 | guy | 2012-06-17 16:24:06 -0700 (Sun, 17 Jun 2012) | 3 lines

  Stuff the "Don't show this message again" checkbox in the dialog's
  content area.

------------------------------------------------------------------------
r43322 | guy | 2012-06-17 15:33:11 -0700 (Sun, 17 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/file.c
   M /trunk-1.8/ui/alert_box.c
   M /trunk-1.8/ui/gtk/simple_dialog.c
   M /trunk-1.8/ui/simple_dialog.h

Copy over r43321 from the trunk:

  ------------------------------------------------------------------------
  r43321 | guy | 2012-06-17 15:32:03 -0700 (Sun, 17 Jun 2012) | 5 lines

  Add "simple dialog" routines to pop up modal message boxes.  Use them in
  file.c and routines called from it; non-modal dialogs end up, in some
  cases, either hidden, devoid of the input focus and not dismissable, or
  both.

------------------------------------------------------------------------
r43319 | gerald | 2012-06-17 10:07:27 -0700 (Sun, 17 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf

[Automatic manuf, services and enterprise-numbers update for 2012-06-17]
------------------------------------------------------------------------
r43318 | guy | 2012-06-17 09:54:19 -0700 (Sun, 17 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/wiretap/file_access.c

Copy over r43317 from the trunk:

  ------------------------------------------------------------------------
  r43317 | guy | 2012-06-17 09:53:31 -0700 (Sun, 17 Jun 2012) | 2 lines

  Forgot to use wtap_dump_can_write_encaps()'s final name.

------------------------------------------------------------------------
r43316 | guy | 2012-06-17 09:45:32 -0700 (Sun, 17 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/file.c
   M /trunk-1.8/ui/win32/file_dlg_win32.c
   M /trunk-1.8/wiretap/file_access.c
   M /trunk-1.8/wiretap/wtap.def
   M /trunk-1.8/wiretap/wtap.h

Copy over r43315 from the trunk:

  ------------------------------------------------------------------------
  r43315 | guy | 2012-06-17 09:44:09 -0700 (Sun, 17 Jun 2012) | 5 lines

  Export a wtap_dump_can_write_encaps() routine from Wiretap; it takes a
  file type and a GArray of encapsulation types and returns TRUE if a
  capture with all those encapsulation types can be written to a file in
  that file type and FALSE otherwise.  Use it where appropriate.

------------------------------------------------------------------------
r43313 | pascal | 2012-06-17 09:19:27 -0700 (Sun, 17 Jun 2012) | 14 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-gtp.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r43280 | pascal | 2012-06-16 15:09:51 +0200 (sam. 16 juin 2012) | 3 lignes

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7371 :
Add dissection of Release 8 or higher P-GW QoS profile

------------------------------------------------------------------------
r43312 | pascal | 2012-06-17 18:08:43 +0200 (dim. 17 juin 2012) | 2 lignes

Allow future forward compatibility


------------------------------------------------------------------------
r43301 | guy | 2012-06-16 18:47:59 -0700 (Sat, 16 Jun 2012) | 31 lines
Changed paths:
   M /trunk-1.8/cfile.h
   M /trunk-1.8/file.c
   M /trunk-1.8/summary.c
   M /trunk-1.8/summary.h
   M /trunk-1.8/ui/gtk/capture_file_dlg.c
   M /trunk-1.8/ui/gtk/summary_dlg.c
   M /trunk-1.8/wiretap/file_access.c
   M /trunk-1.8/wiretap/wtap.h

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43300 | guy | 2012-06-16 18:32:50 -0700 (Sat, 16 Jun 2012) | 16 lines

  Have wtap_get_savable_file_types() take an array of encapsulations and
  only return file types that could handle a single file with all those
  encapsulations - this means that

	1) if there's more then one encapsulation, the file format has
  to handle per-packet encapsulation;

	2) just because a file format handles per-packet encapsulation,
  that doesn't mean that it can handle the *particular* encapsulations
  being handed to it.

  This fixes some cases where we were claiming that a file could be saved
  in a format that doesn't actually support it (e.g., ISDN files being
  reported as savable in pcap-NG format - there's no LINKTYPE_ value for
  ISDN including B and D channels).

  ------------------------------------------------------------------------
  r43278 | guy | 2012-06-15 16:54:05 -0700 (Fri, 15 Jun 2012) | 7 lines

  For a capture file, keep an array of all encapsulation types seen.

  Show all of them in the summary dialog; we will be using it in the
  future to figure out what capture file formats we can write to (just
  because a capture file format supports per-packet encapsulations, that
  doesn't mean that it supports *all possible* encapsulations).

------------------------------------------------------------------------
r43289 | guy | 2012-06-16 12:27:24 -0700 (Sat, 16 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/ui/gtk/main_proto_draw.c

Copy over r43277 from the trunk:

  ------------------------------------------------------------------------
  r43277 | darkjames | 2012-06-15 16:04:59 -0700 (Fri, 15 Jun 2012) | 5 lines

  highlight_field: use passed GtkTreeView for proto_tree_draw.

  highlight_field() is also called when we open packet in new window and we click some bytes,
  it caused redrawing packet details in *main window* but with protocol tree from (possibly) another frame.

------------------------------------------------------------------------
r43287 | guy | 2012-06-16 12:06:37 -0700 (Sat, 16 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/doc/README.developer

Copy over r43224 from the trunk:

  ------------------------------------------------------------------------
  r43224 | wmeier | 2012-06-12 06:03:05 -0700 (Tue, 12 Jun 2012) | 2 lines

  Note that calls to "expert" functions should not be under 'if (tree)'.

------------------------------------------------------------------------
r43286 | guy | 2012-06-16 12:00:58 -0700 (Sat, 16 Jun 2012) | 14 lines
Changed paths:
   M /trunk-1.8/capture_sync.c
   M /trunk-1.8/epan/filesystem.c
   M /trunk-1.8/rawshark.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43173 | cmaynard | 2012-06-08 20:54:29 -0700 (Fri, 08 Jun 2012) | 2 lines

  Undo an accidental portion of the last commit.

  ------------------------------------------------------------------------
  r43172 | cmaynard | 2012-06-08 20:41:23 -0700 (Fri, 08 Jun 2012) | 2 lines

  Be sure to specify FORMAT_MESSAGE_IGNORE_INSERTS in the dwFlags arg to
  all FormatMessage() calls where FORMAT_MESSAGE_FROM_SYSTEM is also
  specified.  (Ref: http://blogs.msdn.com/b/oldnewthing/archive/2007/11/28/6564257.aspx)

------------------------------------------------------------------------
r43285 | guy | 2012-06-16 11:35:13 -0700 (Sat, 16 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/airpcap_loader.c

Copy over r43198 from the trunk:

  ------------------------------------------------------------------------
  r43198 | etxrab | 2012-06-11 00:14:52 -0700 (Mon, 11 Jun 2012) | 4 lines

  From Evan Huus:
  Airpcap memory leak.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7352

------------------------------------------------------------------------
r43284 | guy | 2012-06-16 11:28:39 -0700 (Sat, 16 Jun 2012) | 7 lines
Changed paths:
   M /trunk-1.8/AUTHORS

Copy over r43191 from the trunk:

  ------------------------------------------------------------------------
  r43191 | cmaynard | 2012-06-10 17:53:23 -0700 (Sun, 10 Jun 2012) | 2 lines

  Remove duplicate entry.

------------------------------------------------------------------------
r43283 | guy | 2012-06-16 11:17:12 -0700 (Sat, 16 Jun 2012) | 37 lines
Changed paths:
   M /trunk-1.8/ui/gtk/capture_file_dlg.c
   M /trunk-1.8/ui/gtk/capture_if_dlg.c
   M /trunk-1.8/ui/gtk/capture_if_dlg.h
   M /trunk-1.8/ui/gtk/main.c
   M /trunk-1.8/ui/gtk/main_menubar.c
   M /trunk-1.8/ui/gtk/main_toolbar.c
   M /trunk-1.8/ui/gtk/main_toolbar.h
   M /trunk-1.8/ui/gtk/menus.h

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43252 | guy | 2012-06-13 20:50:39 -0700 (Wed, 13 Jun 2012) | 6 lines

  In effect, disable closing the main window while a capture is being
  stopped - there's no guaranteed way to make the UI's close button
  inactive (on X11, it depends on whether the window manager allows that),
  but we can just do nothing and return TRUE from the delete event handler
  to ignore the delete event.

  ------------------------------------------------------------------------
  r43251 | guy | 2012-06-13 20:50:28 -0700 (Wed, 13 Jun 2012) | 3 lines

  Re-enable the File -> Quit menu item when the capture stops (or is
  started again).

  ------------------------------------------------------------------------
  r43250 | guy | 2012-06-13 19:19:46 -0700 (Wed, 13 Jun 2012) | 5 lines

  Disable some menu items and toolbar items while we're waiting for a
  capture to stop, so that we don't try to quit while we're in the middle
  of quitting or try to stop or restart the capture we're in the middle of
  stopping.
  ------------------------------------------------------------------------
  r43249 | guy | 2012-06-13 19:11:34 -0700 (Wed, 13 Jun 2012) | 2 lines

  No pcap, no capture to stop.

  ------------------------------------------------------------------------
  r43248 | guy | 2012-06-13 18:34:52 -0700 (Wed, 13 Jun 2012) | 5 lines

  When stopping the capture before asking whether to save the results, run
  the main loop until we're done reading the captured packets.  Hopefully
  this clears up bug 7318 in Evan Huus's case; I can't reproduce that
  myself.

------------------------------------------------------------------------
r43282 | guy | 2012-06-16 10:54:07 -0700 (Sat, 16 Jun 2012) | 9 lines
Changed paths:
   M /trunk-1.8/epan/ftypes/ftype-double.c

Copy over r43212 from the trunk:

  ------------------------------------------------------------------------
  r43212 | darkjames | 2012-06-11 12:27:57 -0700 (Mon, 11 Jun 2012) | 4 lines

  Fix bug 6917

  strtod() is locale-aware, change it to g_ascii_strtod()

------------------------------------------------------------------------
r43281 | guy | 2012-06-16 10:47:18 -0700 (Sat, 16 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/editcap.c

Copy over r43271 from the trunk:

  ------------------------------------------------------------------------
  r43271 | etxrab | 2012-06-15 05:27:21 -0700 (Fri, 15 Jun 2012) | 4 lines

  Try to fix pcap-ng - most files created by editcap -c have no IDB
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7350

  By using wtap_dump_open_ng() in all places.

------------------------------------------------------------------------
r43279 | etxrab | 2012-06-16 02:49:13 -0700 (Sat, 16 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.8/asn1/m3ap/M3AP-IEs.asn
   M /trunk-1.8/epan/dissectors/packet-m3ap.c

Copy over r43270 from trunk Log:  Correct a discrepancy in the specification.
------------------------------------------------------------------------
r43276 | gerald | 2012-06-15 13:45:07 -0700 (Fri, 15 Jun 2012) | 23 lines
Changed paths:
   M /trunk-1.8/doc/README.developer
   M /trunk-1.8/epan/dissectors/packet-dtls.c
   M /trunk-1.8/epan/dissectors/packet-ssl.c
   M /trunk-1.8/epan/libwireshark.def
   M /trunk-1.8/epan/prefs-int.h
   M /trunk-1.8/epan/prefs.c
   M /trunk-1.8/epan/prefs.h
   M /trunk-1.8/plugins/asn1/packet-asn1.c
   M /trunk-1.8/plugins/mate/packet-mate.c
   M /trunk-1.8/ui/gtk/prefs_dlg.c

Copy over r43228 from the trunk:

  ------------------------------------------------------------------------
  r43228 | morriss | 2012-06-12 18:13:12 -0700 (Tue, 12 Jun 2012) | 6 lines
  Changed paths:
     M /trunk/doc/README.developer
     M /trunk/epan/dissectors/packet-dtls.c
     M /trunk/epan/dissectors/packet-ssl.c
     M /trunk/epan/libwireshark.def
     M /trunk/epan/prefs-int.h
     M /trunk/epan/prefs.c
     M /trunk/epan/prefs.h
     M /trunk/plugins/asn1/packet-asn1.c
     M /trunk/plugins/mate/packet-mate.c
     M /trunk/ui/gtk/prefs_dlg.c

  Create, and start using, file name preferences.

  File name preferences are basically just string preferences except that the
  GUI will present a "Browse" button that allows the user to go and find the
  file s/he wants (rather than having to blindly type in the full path).
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43275 | gerald | 2012-06-15 11:18:07 -0700 (Fri, 15 Jun 2012) | 14 lines
Changed paths:
   M /trunk-1.8/Makefile.am
   M /trunk-1.8/ui/qt/Makefile.am
   M /trunk-1.8/ui/qt/Makefile.common

Copy over r43274 from the trunk:

  ------------------------------------------------------------------------
  r43274 | gerald | 2012-06-15 11:17:20 -0700 (Fri, 15 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/Makefile.am
     M /trunk/ui/qt/Makefile.am
     M /trunk/ui/qt/Makefile.common

  Don't install the Qt resource images. They get converted to C arrays in
  qrc_*.cpp so they shouldn't be necessary even when we're building and
  installing qtshark.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43269 | darkjames | 2012-06-15 01:28:47 -0700 (Fri, 15 Jun 2012) | 4 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-yami.c

Backport part of r43267 to 1.8

Double registration of yami module cause not calling proto_reg_handoff_yami after changing preferences.

------------------------------------------------------------------------
r43265 | gerald | 2012-06-14 12:50:41 -0700 (Thu, 14 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/packaging/nsis/uninstall.nsi

Copy over r43264 from the trunk:

  ------------------------------------------------------------------------
  r43264 | gerald | 2012-06-14 12:49:57 -0700 (Thu, 14 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/packaging/nsis/uninstall.nsi

  Add back an absolute path prefix.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43262 | gerald | 2012-06-14 11:54:48 -0700 (Thu, 14 Jun 2012) | 13 lines
Changed paths:
   M /trunk-1.8/packaging/nsis/common.nsh
   M /trunk-1.8/packaging/nsis/uninstall.nsi
   M /trunk-1.8/packaging/nsis/wireshark.nsi
   M /trunk-1.8/packaging/ws-manifest.pl

Copy over r43261 from the trunk:

  ------------------------------------------------------------------------
  r43261 | gerald | 2012-06-14 11:53:55 -0700 (Thu, 14 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/packaging/nsis/common.nsh
     M /trunk/packaging/nsis/uninstall.nsi
     M /trunk/packaging/nsis/wireshark.nsi
     M /trunk/packaging/ws-manifest.pl

  More NSIS cleanup.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43258 | wmeier | 2012-06-14 06:43:34 -0700 (Thu, 14 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-bacapp.c
   M /trunk-1.8/epan/dissectors/packet-banana.c
   M /trunk-1.8/epan/dissectors/packet-bfcp.c
   M /trunk-1.8/epan/dissectors/packet-bgp.c
   M /trunk-1.8/epan/dissectors/packet-cell_broadcast.c
   M /trunk-1.8/epan/dissectors/packet-cip.c
   M /trunk-1.8/epan/dissectors/packet-cipsafety.c
   M /trunk-1.8/epan/dissectors/packet-dmx.c
   M /trunk-1.8/epan/dissectors/packet-dvb-data-mpe.c
   M /trunk-1.8/epan/dissectors/packet-llrp.c
   M /trunk-1.8/epan/dissectors/packet-moldudp.c
   M /trunk-1.8/epan/dissectors/packet-moldudp64.c
   M /trunk-1.8/epan/dissectors/packet-mpeg-pat.c
   M /trunk-1.8/epan/dissectors/packet-mpeg-sect.c
   M /trunk-1.8/epan/dissectors/packet-openwire.c

Copy over SVN #43226 from trunk

------------------------------------------------------------------------
r43226 | wmeier | 2012-06-12 17:22:46 -0400 (Tue, 12 Jun 2012) | 2 lines

Fix: code under 'if(tree)' (in)directly calls sub-dissector/col_...()/expert...() fcns

------------------------------------------------------------------------


------------------------------------------------------------------------
r43254 | pascal | 2012-06-14 00:22:14 -0700 (Thu, 14 Jun 2012) | 11 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-nas_eps.c

Copy over r43253 from the trunk:

------------------------------------------------------------------------
r43253 | pascal | 2012-06-14 09:14:59 +0200 (jeu., 14 juin 2012) | 3 lines

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7368 :
Identity request, Identity response and Authentication failure message dissection are swapped

------------------------------------------------------------------------


------------------------------------------------------------------------
r43247 | gerald | 2012-06-13 16:05:47 -0700 (Wed, 13 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/packaging/u3/win32/Makefile.nmake

Copy over r43246 from the trunk:

  ------------------------------------------------------------------------
  r43246 | gerald | 2012-06-13 16:04:57 -0700 (Wed, 13 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/packaging/u3/win32/Makefile.nmake

  Fix things to match what we're doing in our portableapps counterpart.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43245 | gerald | 2012-06-13 15:29:21 -0700 (Wed, 13 Jun 2012) | 15 lines
Changed paths:
   M /trunk-1.8/packaging/portableapps/win32/Makefile.nmake
   M /trunk-1.8/packaging/portableapps/win32/makenmake.pl
   M /trunk-1.8/packaging/u3/win32/Makefile.nmake
   M /trunk-1.8/packaging/u3/win32/makenmake.pl
   M /trunk-1.8/packaging/ws-manifest.pl

Copy over r43244 from the trunk:

  ------------------------------------------------------------------------
  r43244 | gerald | 2012-06-13 15:28:28 -0700 (Wed, 13 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/packaging/portableapps/win32/Makefile.nmake
     M /trunk/packaging/portableapps/win32/makenmake.pl
     M /trunk/packaging/u3/win32/Makefile.nmake
     M /trunk/packaging/u3/win32/makenmake.pl
     M /trunk/packaging/ws-manifest.pl

  Don't add uninstall.exe to the U3/PortableApps manifest. Define
  STAGING_DIR. Update some makefile dependencies.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43240 | gerald | 2012-06-13 14:04:32 -0700 (Wed, 13 Jun 2012) | 12 lines
Changed paths:
   M /trunk-1.8/packaging/nsis/Makefile.nmake
   M /trunk-1.8/packaging/nsis/wireshark.nsi

Copy over r43239 from the trunk:

  ------------------------------------------------------------------------
  r43239 | gerald | 2012-06-13 14:03:54 -0700 (Wed, 13 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/packaging/nsis/Makefile.nmake
     M /trunk/packaging/nsis/wireshark.nsi

  Define STAGING_DIR and use it in various places instead of hard-coding
  "..\.." or "..\..\wireshark-gtk2".
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43238 | gerald | 2012-06-13 13:12:52 -0700 (Wed, 13 Jun 2012) | 37 lines
Changed paths:
   M /trunk-1.8/packaging/nsis/AdditionalTasksPage.ini
   M /trunk-1.8/packaging/nsis/Makefile.nmake
   A /trunk-1.8/packaging/nsis/common.nsh (from /trunk/packaging/nsis/common.nsh:43236)
   A /trunk-1.8/packaging/nsis/uninstall.nsi (from /trunk/packaging/nsis/uninstall.nsi:43236)
   M /trunk-1.8/packaging/nsis/wireshark.nsi

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43236 | gerald | 2012-06-13 12:06:27 -0700 (Wed, 13 Jun 2012) | 17 lines
  Changed paths:
     M /trunk/packaging/nsis/AdditionalTasksPage.ini
     M /trunk/packaging/nsis/Makefile.nmake
     A /trunk/packaging/nsis/common.nsh
     A /trunk/packaging/nsis/uninstall.nsi
     M /trunk/packaging/nsis/wireshark.nsi

  Move the "uninstall" parts of wireshark.nsi to uninstall.nsi and the
  common parts to common.nsh. Creating an installer now requires two
  NSIS runs:

    - uninstaller.nsi, which creates an installer (uninstall_installer.exe)
      that only writes uninstall.exe to ../../wireshark-gtk2.

    - wireshark.nsi, which bundles uninstall.exe along with the rest of
      our installation files.

  If we ever get around to signing our executables this will let us sign
  all of them. It also cleans up the .nsi file contents a bit.

  Instead of keeping separate list of file extensions, manage them from
  a single macro. Print the extensions we register / deregister in the
  detail pane.
  ------------------------------------------------------------------------
  r43237 | gerald | 2012-06-13 13:11:41 -0700 (Wed, 13 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/packaging/nsis/uninstall.nsi
     M /trunk/packaging/nsis/wireshark.nsi

  Use terminology that conforms better with the MSDN documentation and a
  style that conforms better with the rest of the NSIS output.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43225 | wmeier | 2012-06-12 07:02:09 -0700 (Tue, 12 Jun 2012) | 22 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-wreth.c

Copy from trunk:

------------------------------------------------------------------------
r43217 | wmeier | 2012-06-11 16:51:47 -0400 (Mon, 11 Jun 2012) | 15 lines

Fix bugs and other issues:
- remove 'if (tree)' around code which (eventually) calls col_...() functions;
- remove unneeded check_col() usage;
- use extended value-strings where appropriate;
- use col_set_str() instead of col_add_fstr();
- fix mismatch between proto_tree_add_item() size arg and the FT type in the
   referenced hf[] entry (in a few cases);
- FT_STRING fields should have ENC_ASCII|ENC_NA as the 'encoding' arg
   in the corresponding proto_tree_add_item() call;
- do whitespace cleanup.

Note: 1 issue remains:
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7260#c12

------------------------------------------------------------------------


------------------------------------------------------------------------
r43223 | pascal | 2012-06-12 05:36:29 -0700 (Tue, 12 Jun 2012) | 10 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-gsm_a_bssmap.c

Copy from the trunk:

------------------------------------------------------------------------
r43214 | pascal | 2012-06-11 22:12:17 +0200 (lun., 11 juin 2012) | 3 lines

From Alexander via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7360 :
Service handover IE is not correctly dissected

------------------------------------------------------------------------

------------------------------------------------------------------------
r43220 | gerald | 2012-06-11 16:26:55 -0700 (Mon, 11 Jun 2012) | 53 lines
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dissectors/packet-per.c
   M /trunk-1.8/epan/dissectors/packet-rsvp.c
   M /trunk-1.8/epan/dissectors/packet-udp.c
   M /trunk-1.8/epan/proto.c
   M /trunk-1.8/ui/gtk/print_dlg.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43184 | wmeier | 2012-06-10 08:10:11 -0700 (Sun, 10 Jun 2012) | 5 lines
  Changed paths:
     M /trunk/epan/proto.c

  Fix bug wherein values in a custom column aren't displayed as a value_string (when appropriate).
  Essentially: BASE_CUSTOM is "base_display_e value" (like BASE_DEC) *not* a bit-mask
   (like BASE_EXT_STRING).
  Bug introduced in SVN #39902
  ------------------------------------------------------------------------
  r43186 | wmeier | 2012-06-10 12:23:50 -0700 (Sun, 10 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/proto.c

  Fix "BASE_CUSTOM field is incorrectly formatted when applied as a column".
  Resolves Bug #6671 - https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6671
  ------------------------------------------------------------------------
  r43187 | cmaynard | 2012-06-10 12:43:40 -0700 (Sun, 10 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-udp.c

  Fix UDP-Lite checksum verification bug introduced with r40387 and reported by "answer" via http://ask.wireshark.org/questions/11798/is-udp-lite-checksum-correct-ipv6
  There is a difference between the UDP and UDP-Lite pseudo header that wasn't realized when r40387 was committed.  Details of the difference in http://tools.ietf.org/html/rfc3828#section-3.2
  ------------------------------------------------------------------------
  r43193 | cmaynard | 2012-06-10 19:43:16 -0700 (Sun, 10 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/ui/gtk/print_dlg.c

  Set the default for printing or exporting packets to displayed packets only.
  ------------------------------------------------------------------------
  r43195 | cmaynard | 2012-06-10 20:51:47 -0700 (Sun, 10 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/docbook/release-notes.xml

  Expand the item regarding displayed packets, rather than all packets, as being the default when saving to also include exporting and printing as well.
  ------------------------------------------------------------------------
  r43194 | wmeier | 2012-06-10 20:36:04 -0700 (Sun, 10 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rsvp.c

  From Evan Huus: Missing breaks in packet-rsvp.c
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7353
  ------------------------------------------------------------------------
  r43203 | pascal | 2012-06-11 06:54:06 -0700 (Mon, 11 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-per.c

  Use restricted character string decoding for IA5String type
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6246
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43219 | gerald | 2012-06-11 16:22:50 -0700 (Mon, 11 Jun 2012) | 73 lines
Changed paths:
   M /trunk-1.8/asn1/snmp/packet-snmp-template.c
   M /trunk-1.8/asn1/t124/packet-t124-template.c
   M /trunk-1.8/epan/dissectors/packet-bzr.c
   M /trunk-1.8/epan/dissectors/packet-diameter.c
   M /trunk-1.8/epan/dissectors/packet-h248_annex_e.c
   M /trunk-1.8/epan/dissectors/packet-homeplug-av.c
   M /trunk-1.8/epan/dissectors/packet-ieee80211.c
   M /trunk-1.8/epan/dissectors/packet-mndp.c
   M /trunk-1.8/epan/dissectors/packet-nflog.c
   M /trunk-1.8/epan/dissectors/packet-opensafety.c
   M /trunk-1.8/epan/dissectors/packet-sip.c
   M /trunk-1.8/epan/dissectors/packet-snmp.c
   M /trunk-1.8/epan/dissectors/packet-syslog.c
   M /trunk-1.8/epan/dissectors/packet-t124.c
   M /trunk-1.8/epan/dissectors/packet-uasip.c
   M /trunk-1.8/epan/dissectors/packet-vmlab.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43174 | cmaynard | 2012-06-09 08:43:08 -0700 (Sat, 09 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-syslog.c

  Allow syslog to work with "Decode As" for TCP.
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5241
  ------------------------------------------------------------------------
  r43175 | cmaynard | 2012-06-09 08:54:15 -0700 (Sat, 09 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-sip.c

  Add sip.to.tag and sip.from.tag filters.
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5226
  ------------------------------------------------------------------------
  r43176 | cmaynard | 2012-06-09 10:08:46 -0700 (Sat, 09 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  Do not use BASE_NONE for FT_UINT8 types.
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7333 (I think).
  ------------------------------------------------------------------------
  r43177 | cmaynard | 2012-06-09 10:47:58 -0700 (Sat, 09 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/asn1/t124/packet-t124-template.c
     M /trunk/epan/dissectors/packet-bzr.c
     M /trunk/epan/dissectors/packet-h248_annex_e.c
     M /trunk/epan/dissectors/packet-homeplug-av.c
     M /trunk/epan/dissectors/packet-nflog.c
     M /trunk/epan/dissectors/packet-opensafety.c
     M /trunk/epan/dissectors/packet-t124.c

  Do not use BASE_NONE for FT_*INT* types.
  ------------------------------------------------------------------------
  r43178 | cmaynard | 2012-06-09 10:51:30 -0700 (Sat, 09 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-mndp.c

  Do not use BASE_NONE for FT_*INT* types.
  ------------------------------------------------------------------------
  r43179 | cmaynard | 2012-06-09 10:56:08 -0700 (Sat, 09 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/asn1/snmp/packet-snmp-template.c
     M /trunk/epan/dissectors/packet-diameter.c
     M /trunk/epan/dissectors/packet-snmp.c
     M /trunk/epan/dissectors/packet-vmlab.c

  Do not use BASE_NONE for FT_*INT* types.
  ------------------------------------------------------------------------
  r43180 | wmeier | 2012-06-09 11:24:09 -0700 (Sat, 09 Jun 2012) | 11 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-uasip.c

  str_to_ipaddr() had a bug; use inet_pton() instead;
  See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6844#c27

  Also: Improve handling of an invalid value for the 'proxy IP Address'
  preference. If the address is invalid, setting the preference
  to "" in proto_reg_handoff...() doesn't work well.
  Instead, issue a g_warning for an invalid IP address when it'
  s processed in proto_reg_handoff...()
  (AFAIK, there's not a way for a dissector to validate the semantic
  value of a preference and report an error).
  ------------------------------------------------------------------------
  r43181 | wmeier | 2012-06-09 11:42:20 -0700 (Sat, 09 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-uasip.c

  Fix compiler error
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43218 | gerald | 2012-06-11 16:14:50 -0700 (Mon, 11 Jun 2012) | 53 lines
Changed paths:
   M /trunk-1.8/docbook/Makefile.common
   M /trunk-1.8/epan/dissectors/packet-glusterfs.c
   M /trunk-1.8/epan/dissectors/packet-smb2.c
   M /trunk-1.8/epan/dissectors/packet-ua3g.c
   M /trunk-1.8/epan/proto.c
   M /trunk-1.8/wiretap/netscreen.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43139 | darkjames | 2012-06-06 12:59:55 -0700 (Wed, 06 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/wiretap/netscreen.c

  Fix bug #7340

  interface name can also contain hyphen (v1-untrust, v1-trust).
  ------------------------------------------------------------------------
  r43144 | etxrab | 2012-06-06 13:44:21 -0700 (Wed, 06 Jun 2012) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-glusterfs.c

  From Niels de Vos: GlusterFS: Display SETATTR attribute valid as a list of flags https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7341
  ------------------------------------------------------------------------
  r43147 | wmeier | 2012-06-07 10:39:11 -0700 (Thu, 07 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-smb2.c

  Fix invalid hf[] entry 'display' field value.
  result: incorect display of value (and, incidentally,
          a crash in 'tshark -G values'
  ------------------------------------------------------------------------
  r43148 | rbalint | 2012-06-07 11:44:20 -0700 (Thu, 07 Jun 2012) | 1 line
  Changed paths:
     M /trunk/docbook/Makefile.common

  fix building Developer Guide from release tarball
  ------------------------------------------------------------------------
  r43150 | wmeier | 2012-06-07 14:10:02 -0700 (Thu, 07 Jun 2012) | 11 lines
  Changed paths:
     M /trunk/epan/proto.c

  Don't crash in 'proto_registrar_dump_values' if BASE_EXT_STRING and no extended string.
  Note: this shows up when doing 'tshark -G values'.

  BASE_EXT_STRING with a missing extended string does *not* cause issues
  with the normal display code:

  ToDo (eventually): Add some code to enforce requirement that hf[] entries with BASE_EXT_STRING
  (or BASE_RANGE_STRING) set must also have a 'strings' value.
  ------------------------------------------------------------------------
  r43164 | wmeier | 2012-06-08 14:17:42 -0700 (Fri, 08 Jun 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ua3g.c

  Fix bug I introduced in SVN #43129.

  Fixes fuzz crash reported in Bug #7346.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43206 | morriss | 2012-06-11 09:07:51 -0700 (Mon, 11 Jun 2012) | 9 lines
Changed paths:
   M /trunk-1.8/Makefile.am
   M /trunk-1.8/packaging/nsis/wireshark.nsi

Copy over from trunk:

------------------------------------------------------------------------
r43202 | pascal | 2012-06-11 09:48:11 -0400 (Mon, 11 Jun 2012) | 2 lines

Add TGPPS9.xml to makefile and NSIS installer

------------------------------------------------------------------------

------------------------------------------------------------------------
r43169 | gerald | 2012-06-08 16:02:45 -0700 (Fri, 08 Jun 2012) | 27 lines
Changed paths:
   M /trunk-1.8/epan/Makefile.am
   M /trunk-1.8/tools/git-compare-abis.sh
   M /trunk-1.8/wiretap/Makefile.am
   M /trunk-1.8/wsutil/Makefile.am

Forward-port r43165 and r43168 from trunk-1.6.

  ------------------------------------------------------------------------
  r43165 | gerald | 2012-06-08 14:23:25 -0700 (Fri, 08 Jun 2012) | 4 lines
  Changed paths:
     M /trunk-1.6/epan/Makefile.am
     M /trunk-1.6/wiretap/Makefile.am
     M /trunk-1.6/wsutil/Makefile.am
  
  Use separate commands in the dumpabi recipes instead a big huge long
  chain. If abi-compliance-checker fails print the contents of its
  log file.
  ------------------------------------------------------------------------
  r43168 | gerald | 2012-06-08 15:43:50 -0700 (Fri, 08 Jun 2012) | 2 lines
  Changed paths:
     M /trunk-1.6/epan/Makefile.am
     M /trunk-1.6/wiretap/Makefile.am
     M /trunk-1.6/wsutil/Makefile.am
  
  Make sure ln happens in the right directory.
  ------------------------------------------------------------------------

We don't currently have a usable tag for "git describe --tags
--abbrev=0" to latch onto so just use the master-1.8 branch commit.
Apparently if you gaze long into an abyss of commits CVS gazes back at
you.

------------------------------------------------------------------------
r43167 | morriss | 2012-06-08 15:35:41 -0700 (Fri, 08 Jun 2012) | 34 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-diameter.c

Copy over from trunk (mainly for the last revision but also to keep the files
in sync):

------------------------------------------------------------------------
r43166 | morriss | 2012-06-08 18:23:11 -0400 (Fri, 08 Jun 2012) | 10 lines

Don't register 3 (IPAddress) hf's with the same abbreviation but with 3
different types; instead use different abbreviations (filters).

This is in order to prevent running into

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2402

and seg-faulting when someone applies a filter of, for example,
diameter.Framed-IP-Address .

------------------------------------------------------------------------
r43163 | morriss | 2012-06-08 16:08:43 -0400 (Fri, 08 Jun 2012) | 1 line

Thinking about it more, how we're storing the application ID isn't a problem.
------------------------------------------------------------------------
r43162 | morriss | 2012-06-08 15:59:33 -0400 (Fri, 08 Jun 2012) | 9 lines

Don't call val_to_str() only to then compare the result with "Uknown": use
match_strval() instead.

Also, don't retrieve the application ID 3 more times; we've already got it
in a variable...

Point out a bug regarding how we're storing the application ID for use by
subdissectors (from r34570).

------------------------------------------------------------------------

------------------------------------------------------------------------
r43161 | morriss | 2012-06-08 12:23:35 -0700 (Fri, 08 Jun 2012) | 14 lines
Changed paths:
   A /trunk-1.8/diameter/TGPPS9.xml
   M /trunk-1.8/diameter/dictionary.xml

Copy over the below without the SVN properties changes:

------------------------------------------------------------------------
r43160 | morriss | 2012-06-08 15:17:04 -0400 (Fri, 08 Jun 2012) | 7 lines

Add support for 3GPP S9 (29.215).

Massively reindent dictionary.xml to try to make it more readable
to us humans.  Fix some typos too.

Set SVN properties on all the files.

------------------------------------------------------------------------

------------------------------------------------------------------------
r43146 | morriss | 2012-06-07 05:10:18 -0700 (Thu, 07 Jun 2012) | 3 lines
Changed paths:
   M /trunk-1.8/docbook/developer-guide.xml
   M /trunk-1.8/docbook/user-guide.xml

Version 1.7 --> 1.8.
Extend the copyright for these documents into 2012.

------------------------------------------------------------------------
r43143 | gerald | 2012-06-06 13:43:49 -0700 (Wed, 06 Jun 2012) | 12 lines
Changed paths:
   M /trunk-1.8/config.nmake
   M /trunk-1.8/tools/win64-setup.sh

Copy over r43142 from the trunk:

  ------------------------------------------------------------------------
  r43142 | gerald | 2012-06-06 13:42:47 -0700 (Wed, 06 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/config.nmake
     M /trunk/tools/win64-setup.sh

  Update the Lua configuration on Win64 to reflect the recent change to
  Visual Studio 2010.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43135 | gerald | 2012-06-06 11:53:40 -0700 (Wed, 06 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/version.conf

Switch back to interim versions.

------------------------------------------------------------------------
r43134 | gerald | 2012-06-06 10:08:20 -0700 (Wed, 06 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/version.conf

Build 1.8.0rc1.

------------------------------------------------------------------------
r43132 | gerald | 2012-06-06 08:46:27 -0700 (Wed, 06 Jun 2012) | 45 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-noe.c
   M /trunk-1.8/epan/dissectors/packet-ua.c
   M /trunk-1.8/epan/dissectors/packet-ua3g.c
   M /trunk-1.8/epan/dissectors/packet-uasip.c
   M /trunk-1.8/epan/dissectors/packet-uaudp.c
   M /trunk-1.8/epan/dissectors/packet-uaudp.h

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43129 | wmeier | 2012-06-05 21:54:47 -0700 (Tue, 05 Jun 2012) | 20 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-noe.c
     M /trunk/epan/dissectors/packet-ua.c
     M /trunk/epan/dissectors/packet-ua3g.c
     M /trunk/epan/dissectors/packet-uasip.c
     M /trunk/epan/dissectors/packet-uaudp.c
     M /trunk/epan/dissectors/packet-uaudp.h

  Fix some bugs & do extensive cleanup;
  Bugs fixed:
   - Calling col_...() fcns or dissectors under 'if (tree)'
   - Potential buffer overflows (if bad data)
   - Misc incorrect data display issues
  Cleanup including;
   - Remove unneeded #includes
   - Fix excessive use of value_strings
   - Use extended value_strings & val_to_str_(ext_)const as appropriate
   - Optimize repeated fetches of the same data from a tvb
   - Do general code simplification
   - Remove or #if 0 unused code;
   - Add XXX comments for code which may be incorrect
   - Remove unneeded prefs callback to proto_reg_handoff...()
   - Remove unneeded use of check_col()
   - Define several functions as static
   - Move proto_reg_handoff...() to the end of the file
   - Fix whitespace (including "4 space tabs")
   - ...
  ------------------------------------------------------------------------
  r43130 | wmeier | 2012-06-05 22:36:43 -0700 (Tue, 05 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-uasip.c

  Fix compiler error
  ------------------------------------------------------------------------
  r43131 | wmeier | 2012-06-05 22:58:42 -0700 (Tue, 05 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-uaudp.c

  Fix compiler error (I hope)
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r43127 | gerald | 2012-06-05 16:20:48 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/CMakeOptions.txt
   M /trunk-1.8/ChangeLog
   M /trunk-1.8/NEWS
   M /trunk-1.8/config.nmake
   M /trunk-1.8/configure.in

Disable warnings-as-errors by default. Update the ChangeLog and NEWS.

------------------------------------------------------------------------
r43125 | gerald | 2012-06-05 15:19:20 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/ui/gtk/Makefile.common
   M /trunk-1.8/ui/gtk/about_dlg.c

Use the normal logos.

------------------------------------------------------------------------
r43123 | gerald | 2012-06-05 10:36:26 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   A /trunk-1.8/version.conf

Add version.conf.

------------------------------------------------------------------------
r43122 | gerald | 2012-06-05 09:46:30 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/ui/gtk/main_welcome.c

Use the release badge.

------------------------------------------------------------------------
r43121 | gerald | 2012-06-05 09:32:07 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/config.nmake
   M /trunk-1.8/configure.in
   M /trunk-1.8/debian/changelog
   M /trunk-1.8/debian/wireshark-common.files
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/Makefile.am
   M /trunk-1.8/make-version.pl
   M /trunk-1.8/wiretap/Makefile.am
   M /trunk-1.8/wsutil/Makefile.am

1.7.2 → 1.8.0rc1. Add version.conf and adjust debian/wireshark-common.files.

------------------------------------------------------------------------
r43119 | gerald | 2012-06-05 09:18:22 -0700 (Tue, 05 Jun 2012) | 1 line
Changed paths:
   A /trunk-1.8 (from /trunk:43118)

Create the 1.8 branch.
------------------------------------------------------------------------
r43118 | gerald | 2012-06-05 09:14:20 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Add YAMI and SDH.

------------------------------------------------------------------------
r43117 | darkjames | 2012-06-05 08:52:08 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-yami.c

yami: dissect header messages, add parameter names to parent tree item.

------------------------------------------------------------------------
r43116 | morriss | 2012-06-05 08:29:25 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua_tree.c

Fix Coverity 702396: tvbr is ep_ allocated so it can't be NULL.

------------------------------------------------------------------------
r43115 | morriss | 2012-06-05 08:26:09 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua_tvb.c

Fix Coverity 702397: reference tvbr *after* checking that it is not NULL.

------------------------------------------------------------------------
r43114 | morriss | 2012-06-05 08:20:31 -0700 (Tue, 05 Jun 2012) | 3 lines
Changed paths:
   M /trunk/plugins/mate/mate_util.c

Fix Coverity 702421: Handle the possibility that fvalue_to_string_repr()
may return NULL.

------------------------------------------------------------------------
r43113 | morriss | 2012-06-05 08:05:17 -0700 (Tue, 05 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_mac.c

Fix Coverity 703495: reference fpinf *after* checking that it is not NULL.

Also replace some 4 space tabs with spaces.

------------------------------------------------------------------------
r43112 | darkjames | 2012-06-05 08:02:49 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-yami.c

packet-yami: cleanup, remove non-ASCII character.

------------------------------------------------------------------------
r43111 | darkjames | 2012-06-05 07:50:37 -0700 (Tue, 05 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wreth.c

packet-wreth: cleanup

- make function and arrays static
- comment out unused hf-entry.
- comment out unused variable.

------------------------------------------------------------------------
r43110 | darkjames | 2012-06-05 07:17:50 -0700 (Tue, 05 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-yami.c

Dissector for YAMI protocol.

------------------------------------------------------------------------
r43109 | etxrab | 2012-06-05 06:12:28 -0700 (Tue, 05 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-opensafety.c

From Roland Knall:
openSAFETY - Names for certain SOD objects, automatic SCM UDID detecion.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7335
------------------------------------------------------------------------
r43108 | etxrab | 2012-06-05 04:19:33 -0700 (Tue, 05 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sdh.c

Set SVN properties.
------------------------------------------------------------------------
r43107 | etxrab | 2012-06-05 03:54:21 -0700 (Tue, 05 Jun 2012) | 4 lines
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/h248v1support.asn
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/h248/packet-h248-template.h
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h
   M /trunk/epan/dissectors/packet-h248_10.c
   M /trunk/epan/dissectors/packet-h248_2.c
   M /trunk/epan/dissectors/packet-h248_3gpp.c
   M /trunk/epan/dissectors/packet-h248_7.c
   M /trunk/epan/dissectors/packet-h248_annex_c.c
   M /trunk/epan/dissectors/packet-h248_annex_e.c
   M /trunk/epan/dissectors/packet-h248_q1950.c

from Alex Lindberg:
Update to packet-h248.c and associated h248 dissecorts.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7332
------------------------------------------------------------------------
r43106 | etxrab | 2012-06-05 03:42:38 -0700 (Tue, 05 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-erf.c
   A /trunk/epan/dissectors/packet-sdh.c
   M /trunk/wiretap/wtap.h

From Andrew Kampjes:
SDH support for wireshark.

- Added GPL license.
- Removed not needed includes.
- Skipped th .h file as it wasn't used.
------------------------------------------------------------------------
r43105 | guy | 2012-06-05 01:59:37 -0700 (Tue, 05 Jun 2012) | 5 lines
Changed paths:
   M /trunk/wiretap/file_wrappers.c

Casting a negative value to unsigned makes it positive; I'm not sure
that will do the right thing here.  Instead, cast its negative (which is
positive) to unsigned, use that value as the adjustment, and flip the
signs of the subsequent adjustment operations.

------------------------------------------------------------------------
r43104 | etxrab | 2012-06-05 01:39:58 -0700 (Tue, 05 Jun 2012) | 1 line
Changed paths:
   M /trunk/wiretap/file_wrappers.c

Add another cast to make it build on Win32.
------------------------------------------------------------------------
r43103 | guy | 2012-06-05 01:04:15 -0700 (Tue, 05 Jun 2012) | 6 lines
Changed paths:
   M /trunk/wiretap/file_wrappers.c

Making "had" a ptrdiff_t caused warnings, even if it eliminated a
warning about assigning the difference between two (64-bit) pointers to
a (32-bit) variable.  That difference is guaranteed to fit in an
unsigned int; make "had" an unsigned int, and cast the difference to
unsigned int before assigning it to "had".

------------------------------------------------------------------------
r43102 | guy | 2012-06-05 00:24:17 -0700 (Tue, 05 Jun 2012) | 9 lines
Changed paths:
   M /trunk/wiretap/file_wrappers.c

From Jakub Zawadzki: when seeking backwards, if the seek will put you at
a position that's in our data buffer, just reposition within the
buffer, don't do any seeks or I/O on the underlying file.  This lets us
do some backwards seeking on a pipe, to allow the rewind-and-try scheme
we use to try to identify capture file types to work, at least for some
capture file formats (those that have magic numbers at the beginning or
have heuristics that don't require much data), on pipes, allowing, for
example, TShark to read those formats from a pipe.

------------------------------------------------------------------------
r43101 | guy | 2012-06-04 23:52:18 -0700 (Mon, 04 Jun 2012) | 21 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_statusbar.c

If we do a Save or Save As with a move, don't reread the capture file,
just tweak the elements in the capture_file structure as necessary and
poke the UI to update stuff such as the windows title.

If we do a Save or Save As with a copy, don't reread the capture file,
just close the old wtap, open a wtap for the copy, and tweak the
elements in the capture_file structure as necessary and poke the UI to
update stuff such as the windows title.

Otherwise, don't do a full read-and-dissect pass on the capture file,
just close the old wtap, open a wtap for the new file, tweak the
elements in the capture_file structure as necessary and poke the UI to
update stuff such as the windows title, and rescan the file to update
the packet offsets (and cause Wiretap to regenerate, for a gzipped file,
the information needed to support fast random access to the gzipped
file).

This should speed up Save and Save As a bit, as well as removing some
glitches in the UI (e.g., you won't see the packet list disappear and
reappear).

------------------------------------------------------------------------
r43100 | etxrab | 2012-06-04 22:27:06 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

From Adam Langley: Add support for decrypting ECDHE-RSA-RC4-SHA. https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7331
------------------------------------------------------------------------
r43099 | etxrab | 2012-06-04 22:22:41 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

From Adam Langley: Add support for CLIENT_RANDOM lines in SSL keylog. https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7330
------------------------------------------------------------------------
r43098 | etxrab | 2012-06-04 22:16:06 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Alex Lindberg: Add preference to packet-ber.c to toggle BER warning on leading zero bits. https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7328
------------------------------------------------------------------------
r43097 | etxrab | 2012-06-04 22:10:18 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

From Adam Langley: Clean up code for handling keylog files. https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7329
------------------------------------------------------------------------
r43096 | guy | 2012-06-04 19:49:56 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/file.c

Fix some comments.

------------------------------------------------------------------------
r43095 | guy | 2012-06-04 19:46:54 -0700 (Mon, 04 Jun 2012) | 18 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_statusbar.c

Distinguish between "failed" and "user stopped it" for "save as" and
"export specified packets".  For "failed", let the user try again with a
different file, in case it failed due to, for example, running out of
space or quota (probably the most likely failure mode for writing, and
trying to a different volume might be the best workaround).  For "user
stopped it", presumably they don't want to try again (the most likely
reason is "it was taking too damn long").
 
Put "Exporting to: ...", not "Saving: ..." in the statusbar if we're
doing "export specified packets".

In process_specified_packets(), allow a null range pointer to be
specified, meaning "save 'em all"; that avoids the possibly-expensive
(with a large capture) operation of initializing the range.

If a "safe save" atop an existing file fails or is stopped, get rid of
the temporary file we created.

------------------------------------------------------------------------
r43094 | gerald | 2012-06-04 16:47:11 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpcap.c

Fix compilation.

------------------------------------------------------------------------
r43093 | gerald | 2012-06-04 16:39:40 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Add WSE Remote Ethernet & resort.

------------------------------------------------------------------------
r43092 | alagoutte | 2012-06-04 15:34:27 -0700 (Mon, 04 Jun 2012) | 15 lines
Changed paths:
   A /trunk/epan/dissectors/packet-wreth.c

 From Clement Marrast via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7260
 New dissector for WSE Remote Ethernet protocol

 From me :
 * Fix Compilation under linux
 * Use proto_tree_add_item*
 * Make build-in dissector
 * Include Status.* and Codef.* in dissector
 * Reorder function (to respect Wireshark Codelines)
 * Add Modelines Info and fix indent (use 4 spaces)
 * Fix check* tools
 * Add Clement to AUTHORS

With the dissector....

------------------------------------------------------------------------
r43091 | alagoutte | 2012-06-04 15:26:40 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-pgsql.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-rpcap.c
   M /trunk/epan/dissectors/packet-rtmpt.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang

------------------------------------------------------------------------
r43090 | alagoutte | 2012-06-04 15:26:18 -0700 (Mon, 04 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-parlay.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
(Manual Fix, not found how to fix the generator...)

------------------------------------------------------------------------
r43089 | alagoutte | 2012-06-04 15:25:27 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-msproxy.c
   M /trunk/epan/dissectors/packet-nbns.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang

------------------------------------------------------------------------
r43088 | alagoutte | 2012-06-04 15:25:10 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/plugins/unistim/packet-unistim.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang

------------------------------------------------------------------------
r43087 | alagoutte | 2012-06-04 15:24:46 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-memcache.c
   M /trunk/epan/dissectors/packet-mq.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang

------------------------------------------------------------------------
r43086 | alagoutte | 2012-06-04 15:22:32 -0700 (Mon, 04 Jun 2012) | 13 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common

From Clement Marrast via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7260
New dissector for WSE Remote Ethernet protocol

From me :
* Fix Compilation under linux
* Use proto_tree_add_item*
* Make build-in dissector
* Include Status.* and Codef.* in dissector
* Reorder function (to respect Wireshark Codelines)
* Add Modelines Info and fix indent (use 4 spaces)
* Fix check* tools
* Add Clement to AUTHORS

------------------------------------------------------------------------
r43085 | jmayer | 2012-06-04 14:54:29 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/STATUS.gtk3

gtk3 libs for win are now available.

------------------------------------------------------------------------
r43084 | pascal | 2012-06-04 14:31:18 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/tcp_graph.c

C++ -> C-style comments

------------------------------------------------------------------------
r43083 | etxrab | 2012-06-04 13:42:09 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/ui/gtk/tcp_graph.c

Make it possible to build with GTK3 on Windows
------------------------------------------------------------------------
r43082 | gerald | 2012-06-04 13:29:24 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Add entries for Gluster.

------------------------------------------------------------------------
r43081 | guy | 2012-06-04 13:08:59 -0700 (Mon, 04 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/alert_box.c
   M /trunk/ui/alert_box.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/find_dlg.c
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/gui_utils.h
   M /trunk/ui/gtk/io_stat.c
   M /trunk/ui/gtk/main.c

Use the modal version of the bad display filter alert box in the I/O
statistics window.

Get rid of the non-modal version (it's not being used any more), and
remove the now-redundant _modal from the modal version.

------------------------------------------------------------------------
r43080 | guy | 2012-06-04 12:58:54 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/find_dlg.c

Use the modal bad display filter alert dialog.

------------------------------------------------------------------------
r43079 | guy | 2012-06-04 12:45:44 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/find_dlg.c

Clean up indentation.

------------------------------------------------------------------------
r43078 | guy | 2012-06-04 12:44:48 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Use the modal version of the bad display filter alert box.

------------------------------------------------------------------------
r43077 | guy | 2012-06-04 12:37:04 -0700 (Mon, 04 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/file_dlg.c
   M /trunk/ui/gtk/file_dlg.h

And do the same with the color filter import and export dialogs (which
really don't belong here - they have nothing to do with capture files).

Absorb the test for the target file's existence into
file_target_exist_ui().

------------------------------------------------------------------------
r43076 | guy | 2012-06-04 12:04:45 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

And do the same with the merge dialog.

------------------------------------------------------------------------
r43075 | guy | 2012-06-04 11:41:36 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Clean up indentation.

------------------------------------------------------------------------
r43074 | guy | 2012-06-04 11:40:45 -0700 (Mon, 04 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/gui_utils.h

Do with the open dialog what we've done with the save and "export
selected packets" dialog.

------------------------------------------------------------------------
r43073 | gerald | 2012-06-04 11:33:21 -0700 (Mon, 04 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/wiretap/Makefile.am

There doesn't appear to be a way to convey the message "This library is
under development. Maybe you should use a stable version." via the
version number. Use the next best thing and set each number to zero.

------------------------------------------------------------------------
r43072 | guy | 2012-06-04 10:21:32 -0700 (Mon, 04 Jun 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/file_dlg.c
   M /trunk/ui/gtk/file_dlg.h

file_target_exist_ui() is used only on UN*Xes; on Win32, we'd use the
Windows file dialog, which has its own built-in version of the "do you
want to overwrite that file?" dialog, and Notepad and WordPad, at least,
just appear to error out if you try to overwrite a file with the
read-only flag set, rather than asking whether you want to override
that.

------------------------------------------------------------------------
r43071 | etxrab | 2012-06-04 09:56:08 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/config.nmake

Update GTK 3.0 package Id
------------------------------------------------------------------------
r43070 | gerald | 2012-06-04 08:36:42 -0700 (Mon, 04 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ChangeLog

There's no sense in making everyone check out a large, old list of
changes.

------------------------------------------------------------------------
r43069 | darkjames | 2012-06-04 07:45:50 -0700 (Mon, 04 Jun 2012) | 10 lines
Changed paths:
   M /trunk/epan/dfilter/gencode.c
   M /trunk/epan/dfilter/semcheck.c

display filter: restore comparision of fields.

like:
  udp.srcport == udp.dstport
  frame.cap_len != frame.len
(probably you can use it for better ones)

part of bug #7263


------------------------------------------------------------------------
r43068 | darkjames | 2012-06-04 07:37:24 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c

packet-gadu-gadu: set COL_INFO in undissected/unknown packet types.

------------------------------------------------------------------------
r43067 | etxrab | 2012-06-04 07:31:53 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-aim.c

Try to make the buildbot happy.
------------------------------------------------------------------------
r43066 | etxrab | 2012-06-04 06:52:46 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c
   M /trunk/epan/dissectors/packet-aarp.c
   M /trunk/epan/dissectors/packet-actrace.c
   M /trunk/epan/dissectors/packet-adwin.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-alcap.c

Get rid of a couple of warnings.
------------------------------------------------------------------------
r43065 | etxrab | 2012-06-04 06:21:44 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-bt-dht.c
   M /trunk/epan/dissectors/packet-snmp.c

Get rid of a couple of warnings.
------------------------------------------------------------------------
r43064 | etxrab | 2012-06-04 05:20:37 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-ldap.c

Get rid of a couple of warnings.
------------------------------------------------------------------------
r43063 | etxrab | 2012-06-04 04:44:52 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-csn1.c

Get rid of a couple of warnings.
------------------------------------------------------------------------
r43062 | etxrab | 2012-06-04 04:18:17 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-xmpp-utils.h

Revert previous change as it did not compile.
------------------------------------------------------------------------
r43061 | etxrab | 2012-06-04 03:36:43 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-xmpp-utils.h

Try to get rid of a couple of warnings.
------------------------------------------------------------------------
r43060 | guy | 2012-06-04 03:27:59 -0700 (Mon, 04 Jun 2012) | 18 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.h
   M /trunk/ui/gtk/file_dlg.c
   M /trunk/ui/gtk/file_dlg.h
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/new_packet_list.c
   M /trunk/ui/gtk/range_utils.c
   M /trunk/ui/gtk/range_utils.h

Make the "Export Selected Packets As..." code path more like the "Save
As..." code path.

Extract the code for the "do you want to overwrite this file" and "OK,
you do - are you aware it's {user-immutable, read-only}?" code paths
into a common routine for use by both of those and, potentially, other
save/export/etc. code paths in the future.

For "Save As", allow us to save atop the current capture file, as that's
just what "Save" does if there are unsaved changes, and "safe save"
makes that work.  *Don't* allow that for "Export Selected Packets
As...", however.

The file chooser is run as a modal dialog, so we don't need to worry
about creating more than one of them or about the number of marked
packets etc. being changed out from under us.  Get rid of a bunch of
static variables.

------------------------------------------------------------------------
r43059 | pascal | 2012-06-04 03:02:08 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/asn1/gsm_map/gsm_map.cnf
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix 'lvalue required as left operand of assignment' error when compiling with gcc 4.3.2

------------------------------------------------------------------------
r43058 | etxrab | 2012-06-04 02:04:36 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-giop.h

Try to get rid of a couple of warnings.
------------------------------------------------------------------------
r43057 | etxrab | 2012-06-04 01:56:48 -0700 (Mon, 04 Jun 2012) | 1 line
Changed paths:
   M /trunk/asn1/gsm_map/gsm_map.cnf
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-ldap.c

Get rid of a couple of warnings.
------------------------------------------------------------------------
r43056 | guy | 2012-06-04 01:46:51 -0700 (Mon, 04 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Clean up indentation.

------------------------------------------------------------------------
r43055 | pascal | 2012-06-04 01:42:12 -0700 (Mon, 04 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-gluster_cli.c

From Niels de Vos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7325 :
Add support for the Gluster CLI RPC-protocol

------------------------------------------------------------------------
r43054 | cmaynard | 2012-06-03 23:22:50 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eap.c

Remove a few of "if (tree)" checks surrounding expert_add_info_format().

------------------------------------------------------------------------
r43053 | guy | 2012-06-03 20:15:05 -0700 (Sun, 03 Jun 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_menubar_private.h
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/main_toolbar.h
   A /trunk/ui/gtk/main_toolbar_private.h
   M /trunk/ui/gtk/menus.h
   M /trunk/ui/gtk/new_packet_list.c

Add some more routines to main.c that handle updates to "auto scroll in
live capture" and colorization, so that the ones in main_menubar.c don't
have to know about anything other than the main menubar.

Move some toolbar routines that should only be used by routines in
main.c into a main_toolbar_private.h header.

------------------------------------------------------------------------
r43052 | guy | 2012-06-03 20:09:54 -0700 (Sun, 03 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/summary_dlg.c

We need main.h for main_update_for_unsaved_changes(), regardless of
whether we have pcap or not.

------------------------------------------------------------------------
r43051 | guy | 2012-06-03 19:24:42 -0700 (Sun, 03 Jun 2012) | 11 lines
Changed paths:
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/drag_and_drop.c
   M /trunk/ui/gtk/edit_packet_comment_dlg.c
   M /trunk/ui/gtk/export_sslkeys.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main.h
   M /trunk/ui/gtk/main_menubar.c
   A /trunk/ui/gtk/main_menubar_private.h
   M /trunk/ui/gtk/menus.h
   M /trunk/ui/gtk/new_packet_list.c
   M /trunk/ui/gtk/summary_dlg.c

Have a main_update_for_unsaved_changes() routine that, if changes are
made to the capture file (adding/removing/editing comments, for now) or
if a capture file with unsaved changes are unsaved, updates the menu
bar, the toolbar, *and* the titlebar, which now has a GNOME-style "*" to
indicate unsaved changes.

Make set_menus_for_capture_file() a private interface between main.c and
main_menubar.c, and have its callers, such as
main_update_for_unsaved_changes(), be responsible for updating the
toolbar as well.

------------------------------------------------------------------------
r43050 | wmeier | 2012-06-03 18:09:56 -0700 (Sun, 03 Jun 2012) | 17 lines
Changed paths:
   M /trunk/radius/dictionary.3gpp

From René Scheibe:

"
I just noticed when upgrading from 1.2.15 to 1.6.8 that the file
dictionary.3gpp now contains an invalid entry. There is a typo (3GGP
instead of 3GPP) and the decoding is incorrect too.

wireshark:
ATTRIBUTE   3GGP-IMEISV   20   octets

freeradius:
ATTRIBUTE   3GPP-IMEISV   20   string
"

http://www.wireshark.org/lists/wireshark-dev/201206/msg00021.html


------------------------------------------------------------------------
r43049 | guy | 2012-06-03 16:41:39 -0700 (Sun, 03 Jun 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

set_file_type_list() uses two items from the capture_file structure;
just pass it a pointer to a capture_file structure and have it use them
as it chooses.

------------------------------------------------------------------------
r43048 | guy | 2012-06-03 16:38:11 -0700 (Sun, 03 Jun 2012) | 8 lines
Changed paths:
   M /trunk/file.c

As we might use cf->lnk_t while a capture is in progress, we need up
update it after each burst of packets.  (This is broken - we should have
cf->lnk_t be WTAP_ENCAP_PER_PACKET in all capture file formats that can
handle more than one packet type, and, in order to support writing out
*some* such files in formats that can only handle one packet type, just
use the type of the first packet when doing a one-pass operation and
gather up all the packet types in a multi-pass operation.)

------------------------------------------------------------------------
r43047 | guy | 2012-06-03 15:03:05 -0700 (Sun, 03 Jun 2012) | 9 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/afp_stat.c
   M /trunk/ui/gtk/camel_srt.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/compare_stat.c
   M /trunk/ui/gtk/conversations_table.c
   M /trunk/ui/gtk/dcerpc_stat.c
   M /trunk/ui/gtk/diameter_stat.c
   M /trunk/ui/gtk/expert_comp_dlg.c
   M /trunk/ui/gtk/fc_stat.c
   M /trunk/ui/gtk/graph_analysis.c
   M /trunk/ui/gtk/gtp_stat.c
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/gui_utils.h
   M /trunk/ui/gtk/hostlist_table.c
   M /trunk/ui/gtk/io_stat.c
   M /trunk/ui/gtk/ldap_stat.c
   M /trunk/ui/gtk/mac_lte_stat_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_statusbar.c
   M /trunk/ui/gtk/mcast_stream_dlg.c
   M /trunk/ui/gtk/ncp_stat.c
   M /trunk/ui/gtk/rlc_lte_stat_dlg.c
   M /trunk/ui/gtk/rpc_progs.c
   M /trunk/ui/gtk/rpc_stat.c
   M /trunk/ui/gtk/rtp_player.c
   M /trunk/ui/gtk/scsi_stat.c
   M /trunk/ui/gtk/sctp_assoc_analyse.c
   M /trunk/ui/gtk/sctp_byte_graph_dlg.c
   M /trunk/ui/gtk/sctp_chunk_stat_dlg.c
   M /trunk/ui/gtk/sctp_graph_dlg.c
   M /trunk/ui/gtk/smb2_stat.c
   M /trunk/ui/gtk/smb_stat.c
   M /trunk/ui/gtk/tap_param_dlg.c
   M /trunk/ui/gtk/tcp_graph.c
   M /trunk/ui/gtk/voip_calls_dlg.c
   M /trunk/ui/gtk/wlan_stat_dlg.c

g_filename_display_basename() returns a g_mallocated string, so its
callers either need to free it or their callers need to free it or....

This means that cf_get_display_name() must always return a g_mallocated
string and its callers or... must free it.

For some of those callers, create a new set_window_title() routine to do
the work - they're all using the same pattern.

------------------------------------------------------------------------
r43046 | etxrab | 2012-06-03 13:59:41 -0700 (Sun, 03 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dfilter/grammar.lemon
   M /trunk/epan/dfilter/semcheck.c
   M /trunk/epan/dfilter/sttype-test.c

Fix warnings
------------------------------------------------------------------------
r43045 | guy | 2012-06-03 13:39:45 -0700 (Sun, 03 Jun 2012) | 13 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/stock_icons.c
   M /trunk/ui/gtk/stock_icons.h

When allowing the user to save a capture file before closing it, if it's
a live capture:

	have the dialog note that what's being saved are captured
	packets;

	have the dialog note that the capture will be stopped if you
	close/quit;

	actually stop the capture before saving the file or closing it.

This should fix bug 7318 (it appears to do so in my tests).

------------------------------------------------------------------------
r43044 | guy | 2012-06-03 12:31:59 -0700 (Sun, 03 Jun 2012) | 8 lines
Changed paths:
   M /trunk/file.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/main_statusbar.c

Use g_filename_display_basename() rather than get_basename() when we're
getting the basename for display purposes, so it's converted from the
GLib/GTK+ locale filename encoding to UTF-8.  (For Windows, the locale
filename encoding is UTF-8, and the internal encoding is UTF-16, so the
file names should *probably* all be valid UTF-8 - Windows may not
support invalid UTF-16 in file names.  For Qt, I'm not sure whether the
file dialogs ever return file names in some non-UTF-8 encoding.)

------------------------------------------------------------------------
r43043 | guy | 2012-06-03 11:48:51 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/file.c

Update a comment.

------------------------------------------------------------------------
r43042 | guy | 2012-06-03 11:40:23 -0700 (Sun, 03 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/main_titlebar.h
   M /trunk/ui/ui_util.h

Move the declaration of main_set_window_name() frm ui/ui_util.h to
ui/gtk/main_titlebar.h.

------------------------------------------------------------------------
r43041 | guy | 2012-06-03 11:35:34 -0700 (Sun, 03 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/CMakeLists.txt
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/gui_utils.h
   M /trunk/ui/gtk/main.c
   A /trunk/ui/gtk/main_titlebar.c
   A /trunk/ui/gtk/main_titlebar.h
   M /trunk/ui/gtk/prefs_gui.c
   M /trunk/ui/gtk/prefs_layout.c
   M /trunk/ui/ui_util.h

Move routines that handle the main window title bar out of
ui/gtk/gui_utils.c into ui/gtk/main_titlebar.c, and the declaration of
one of them out of ui/ui_util.h into ui/gtk/main_titlebar.h, and rename
them to clarify that they work on the window name and titlebar.

------------------------------------------------------------------------
r43040 | etxrab | 2012-06-03 11:03:51 -0700 (Sun, 03 Jun 2012) | 1 line
Changed paths:
   M /trunk/tools/checkAPIs.pl

Add more depricated functions
------------------------------------------------------------------------
r43039 | etxrab | 2012-06-03 11:03:00 -0700 (Sun, 03 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Get rid of mor hbox:es
------------------------------------------------------------------------
r43038 | etxrab | 2012-06-03 10:52:05 -0700 (Sun, 03 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/expert_comp_dlg.c

From Evan Huus: Reset the comment tree when the filter changes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7317
------------------------------------------------------------------------
r43037 | guy | 2012-06-03 10:35:34 -0700 (Sun, 03 Jun 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Note in a comment that we should perhaps handle safe-saving on top of a
symlink.

------------------------------------------------------------------------
r43036 | guy | 2012-06-03 10:25:08 -0700 (Sun, 03 Jun 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

gedit, at least, says

	The file "xxx" is read-only.

if you try to save over a file that has no read permission bits.

------------------------------------------------------------------------
r43035 | pascal | 2012-06-03 10:15:21 -0700 (Sun, 03 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-glusterfs_hndsk.c

From Niels de Vos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7324 :
Add support for the Gluster Handshake and Callback RPC-protocols

------------------------------------------------------------------------
r43034 | guy | 2012-06-03 10:08:38 -0700 (Sun, 03 Jun 2012) | 6 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Update a link (that's where it redirected to).

Remove "/en-us" from links; presumably it'll go to the appropriate
country and language for you (or will default to the country and primary
language of Redmond, Washington :-)).

------------------------------------------------------------------------
r43033 | pascal | 2012-06-03 09:49:58 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Convert space to tab

------------------------------------------------------------------------
r43032 | alagoutte | 2012-06-03 09:49:01 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Make checkhf tools Happy, Remove hf_ieee80211_chan*

------------------------------------------------------------------------
r43031 | alagoutte | 2012-06-03 09:47:15 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Add 802.11 AP Channel Report IE (51)

------------------------------------------------------------------------
r43030 | alagoutte | 2012-06-03 09:45:30 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 Secondary Channel Offset (62)

------------------------------------------------------------------------
r43029 | alagoutte | 2012-06-03 09:43:19 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 HT Info 1.1 (60)

------------------------------------------------------------------------
r43028 | alagoutte | 2012-06-03 09:41:11 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Cleanup Header (Remove e-mail of original author to report bugs...)

------------------------------------------------------------------------
r43027 | alagoutte | 2012-06-03 09:39:55 -0700 (Sun, 03 Jun 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 (Vendor Specific) HT Capability (45)
And fix last Dead Store warning found by Clang


------------------------------------------------------------------------
r43026 | guy | 2012-06-03 09:39:27 -0700 (Sun, 03 Jun 2012) | 13 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Update some links (the "[Ff]amily[Ii]d=" links just redirected to the
"id=" links when I last tried them).

There  are apparently both x86 and x86 versions of the VC++ 2005
distributables and, at least for the non-SP1 versions, there's also an
IA64 version.  List them.

If the URLs have the country and language in them, the displaylang= item
doesn't seem to work (tried with both "displaylang=en" and
"displaylang=de" with both "en-us" and "de-de").  Remove it.

Fix some typoes.

------------------------------------------------------------------------
r43025 | alagoutte | 2012-06-03 09:37:56 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 (vendor specifiq) HT Info 1.0 (Draft)

------------------------------------------------------------------------
r43024 | pascal | 2012-06-03 09:17:38 -0700 (Sun, 03 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-gluster_pmap.c

From Niels de Vos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7323 :
Add support for the Gluster Portmapper and DUMP RPC-protocols

------------------------------------------------------------------------
r43023 | pascal | 2012-06-03 08:52:15 -0700 (Sun, 03 Jun 2012) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-glusterd.c

From Niels de Vos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7315 :
Initial support for the GlusterD RPC-protocol

------------------------------------------------------------------------
r43020 | gerald | 2012-06-03 07:03:36 -0700 (Sun, 03 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-03]
------------------------------------------------------------------------
r43019 | etxrab | 2012-06-03 02:26:15 -0700 (Sun, 03 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dfilter/dfilter.c
   M /trunk/epan/dfilter/dfunctions.c
   M /trunk/epan/dfilter/drange.c
   M /trunk/epan/dfilter/gencode.c
   M /trunk/epan/dfilter/semcheck.c
   M /trunk/epan/dfilter/sttype-function.c
   M /trunk/epan/dfilter/sttype-range.c

Try to squelch warnings
------------------------------------------------------------------------
r43018 | pascal | 2012-06-03 01:15:43 -0700 (Sun, 03 Jun 2012) | 6 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Add references to MSVC++ 2008 64-bit redistributables.
Add version numbers for MSVC++ 2010 64-bit redistributables.
--Cette ligne, et les suivantes ci-dessous, seront ignorées--

M    docbook/wsdg_src/WSDG_chapter_tools.xml

------------------------------------------------------------------------
r43017 | guy | 2012-06-03 00:47:20 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Fix end of closing tag.

------------------------------------------------------------------------
r43016 | guy | 2012-06-03 00:07:35 -0700 (Sun, 03 Jun 2012) | 3 lines
Changed paths:
   M /trunk/config.nmake

Default to the version recommended in the Developer's Guide, namely
MSVC++ 2010 Express Edition.

------------------------------------------------------------------------
r43015 | guy | 2012-06-03 00:04:13 -0700 (Sun, 03 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Close XML tag.

------------------------------------------------------------------------
r43014 | guy | 2012-06-02 20:55:37 -0700 (Sat, 02 Jun 2012) | 9 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Say "For {compiler}, you need" rather than "For {compiler}, use" - when
discussing VC++ 2010, at least, you may need *both* of them if you'll be
doing both 32-bit and 64-bit builds; hopefully this makes it sound a bit
less like a choice of one or the other but not both.

Get rid of reference to 32-bit builds with MSVC++ 2008 (did it do 64-bit
builds? I didn't see any reference to 64-bit redistributables for it on
the pages for the other redistributables).

------------------------------------------------------------------------
r43013 | guy | 2012-06-02 20:49:05 -0700 (Sat, 02 Jun 2012) | 3 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Mention vcredist_x64.exe in the table, and mark the vcredist_*.exe as
filenames throughout.  Do the same with some other file names.

------------------------------------------------------------------------
r43012 | guy | 2012-06-02 20:32:46 -0700 (Sat, 02 Jun 2012) | 3 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

I don't know what the version number is of the MSVC++ 2010 SP1 x86-64
redistributables.

------------------------------------------------------------------------
r43011 | guy | 2012-06-02 20:24:22 -0700 (Sat, 02 Jun 2012) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Mention the installers for the 64-bit versions of the redistributables.

------------------------------------------------------------------------
r43010 | guy | 2012-06-02 19:53:36 -0700 (Sat, 02 Jun 2012) | 7 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Indicate what you're supposed to do with vcredist_x86.exe (download it
to the WIRESHARK_LIB_DIR, and don't run it after downloading it).

Indicate that the version of vcredist_x86.exe you download depends not
only on the major version of the VC++ you have but on what service packs
you have.

------------------------------------------------------------------------
r43009 | etxrab | 2012-06-02 16:53:04 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/capture_info_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_welcome.c
   M /trunk/ui/gtk/prefs_dlg.c
   M /trunk/ui/gtk/tcp_graph.c

From Evan Huus Convert a bunch more GTK-2 calls to their cross-version ws_ equivalent
------------------------------------------------------------------------
r43008 | pascal | 2012-06-02 12:20:04 -0700 (Sat, 02 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common

Revert files committed by error in revision 43007

------------------------------------------------------------------------
r43007 | pascal | 2012-06-02 12:15:07 -0700 (Sat, 02 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/plugins/docsis/packet-bpkmattr.c

From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7322 :
Add a missing break in packet-bpkmattr.c (CID 280484)

------------------------------------------------------------------------
r43006 | guy | 2012-06-02 11:53:13 -0700 (Sat, 02 Jun 2012) | 7 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in
   M /trunk/ui/gtk/capture_file_dlg.c

If the user tries to save a capture file atop a file that has all its
write bits turned off or, on 4.4-Lite-based systems, has its "user
immutable" bit turned on, ask them if they really want to overwrite the
file (as those are both used to say "this file is precious, don't let me
easily accidentally trash it") and, if the "user immutable" bit is set,
turn it off first so that the move in the "safe save" won't fail.

------------------------------------------------------------------------
r43005 | guy | 2012-06-02 11:13:12 -0700 (Sat, 02 Jun 2012) | 9 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

The only reason we need to do locale conversions is that path names as
returned by the file selection dialog are in the locale's character
encoding.  Just convert those, and use the formatting capabilities of
the GTK+ message dialog rather than formattting the message to a string
and translating it in its entirety.

Use g_filename_display_basename() to do the locale conversion while
we're at it.

------------------------------------------------------------------------
r43004 | guy | 2012-06-02 10:05:12 -0700 (Sat, 02 Jun 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Clean up indentation.

------------------------------------------------------------------------
r43003 | guy | 2012-06-02 09:59:47 -0700 (Sat, 02 Jun 2012) | 4 lines
Changed paths:
   M /trunk/file.c

If the rename in a safe "Save As" fails, the current file's name has
*not* changed; what we need to, on Windows, reopen is the *old* file
name, not the name we're saving as.

------------------------------------------------------------------------
r43002 | etxrab | 2012-06-02 08:52:42 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dfilter/dfunctions.c
   M /trunk/epan/dfilter/dfvm.c

Try to squelch warnings
------------------------------------------------------------------------
r43001 | etxrab | 2012-06-02 08:32:54 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/ftypes/ftype-integer.c
   M /trunk/epan/ftypes/ftype-pcre.c
   M /trunk/epan/ftypes/ftype-string.c
   M /trunk/epan/ftypes/ftype-tvbuff.c
   M /trunk/epan/ftypes/ftypes.c

Try to squelch warnings
------------------------------------------------------------------------
r43000 | etxrab | 2012-06-02 08:32:34 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/wiretap/erf.c
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/k12text.l
   M /trunk/wiretap/ngsniffer.c
   M /trunk/wiretap/pppdump.c
   M /trunk/wiretap/visual.c

Try to squelch warnings
------------------------------------------------------------------------
r42999 | etxrab | 2012-06-02 07:56:18 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/wiretap/ngsniffer.c

Try to squelch warnings
------------------------------------------------------------------------
r42998 | etxrab | 2012-06-02 07:13:14 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/lanalyzer.c
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/netscaler.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/pcapng.c
   M /trunk/wiretap/pppdump.c

Try to squelch warnings
------------------------------------------------------------------------
r42997 | etxrab | 2012-06-02 06:28:42 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/voip_calls.c

From Evan Huus Memory leak in voip_calls.c https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7320
------------------------------------------------------------------------
r42996 | etxrab | 2012-06-02 06:25:02 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssh.c

From Evan Huus Useless null check in packet-ssh.c https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7319
------------------------------------------------------------------------
r42995 | rbalint | 2012-06-02 05:57:40 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/Makefile.am.inc

Don't complain about using GNU make extensions during running ./autogen.sh
------------------------------------------------------------------------
r42994 | rbalint | 2012-06-02 05:57:26 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-cipsafety.h
   M /trunk/epan/dissectors/packet-enip.h
   M /trunk/epan/dissectors/packet-lldp.h

Fix header file includes to allow make dumpabi run without errors
------------------------------------------------------------------------
r42993 | etxrab | 2012-06-02 03:11:46 -0700 (Sat, 02 Jun 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c

Put more mesage names in info col
------------------------------------------------------------------------
r42992 | gerald | 2012-06-01 16:35:32 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Fix or remove download links as appropriate. Remove the entry for the
.NET Framework 3.0; it looks like we never really supported it.

------------------------------------------------------------------------
r42991 | morriss | 2012-06-01 14:18:59 -0700 (Fri, 01 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/packet_info.h
   M /trunk/ui/gtk/decode_as_dlg.c

Only propose decoding PPID 0 if that PPID is in the currently-selected frame.

(I used PPID 0xffffffff as an end-of-list marker so that PPID can no longer
be used in this dialog; if someone starts using that PPID then we'll have
to put a count of PPIDs in pinfo.)

------------------------------------------------------------------------
r42990 | gerald | 2012-06-01 13:54:04 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Try to be a bit more clear that "lost" is from Wireshark's perspective,
not necessarily one of the TCP endpoints.

------------------------------------------------------------------------
r42989 | pascal | 2012-06-01 13:32:15 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7316 :
Use correct field type for OUI

------------------------------------------------------------------------
r42988 | morriss | 2012-06-01 12:46:53 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Clean up some indentation (get rid of 4-space tabs) and white space.

------------------------------------------------------------------------
r42987 | morriss | 2012-06-01 12:22:01 -0700 (Fri, 01 Jun 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Remember the 'lower' UDP port information even if we got the UDP packet
non-heuristically.  This prevents us from trying to decode the user's UDP
payload as FP.

(This is a followup/revision to r31113/bug 4218.)

------------------------------------------------------------------------
r42986 | guy | 2012-06-01 12:05:28 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/wiretap/wtap.def

Export those file_ routines that Wiretap plugins would use (others
should only be used inside Wiretap).

------------------------------------------------------------------------
r42985 | morriss | 2012-06-01 11:35:20 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Some code/white space cleanup.
------------------------------------------------------------------------
r42984 | guy | 2012-06-01 11:09:14 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

No more GIOP plugins, no more plugins/giop directory.

------------------------------------------------------------------------
r42983 | guy | 2012-06-01 11:01:42 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glusterfs.c

Squelch warning about uninitialized variable (the dataflow analysis
isn't sophisticated enough to know that can't happen).

------------------------------------------------------------------------
r42982 | guy | 2012-06-01 10:26:28 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/configure.in

No more GIOP plugins, no more plugins/giop directory.

------------------------------------------------------------------------
r42981 | guy | 2012-06-01 10:11:00 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

No more GIOP plugins, no more GIOP loadable DLL.

------------------------------------------------------------------------
r42980 | guy | 2012-06-01 10:10:09 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

No more GIOP plugins, no more GIOP plugin directory.

------------------------------------------------------------------------
r42979 | pascal | 2012-06-01 10:10:03 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-gluster.h
   A /trunk/epan/dissectors/packet-glusterfs.c

From Niels de Vos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7310 :
Initial support for the GlusterFS RPC-protocol

------------------------------------------------------------------------
r42978 | guy | 2012-06-01 10:08:32 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   D /trunk/plugins/giop

No more GIOP plugins, so get rid of the directory for the former plugins.

------------------------------------------------------------------------
r42977 | guy | 2012-06-01 09:55:10 -0700 (Fri, 01 Jun 2012) | 11 lines
Changed paths:
   M /trunk/file.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.h

TShark doesn't need wtap_fdreopen(), as it doesn't do saves and thus
doesn't do safe saves, so wtap_fdreopen() always needs to reopen the
random file descriptor.

At the point where a safe save is done, the sequential read is done, so
the sequential stream is closed; there's no need to reopen it.

(The former fourth argument to wtap_fdreopen() wasn't an indication of
whether the file was compressed, it was an indicationof whether the
random stream should be reopened.)

------------------------------------------------------------------------
r42976 | etxrab | 2012-06-01 08:58:30 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   D /trunk/plugins/giop/packet-coseventcomm.c

Make packet-coseventcomm.c a bultin dissector
------------------------------------------------------------------------
r42975 | etxrab | 2012-06-01 08:57:41 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/CMakeLists.txt

Make packet-coseventcomm.c a bultin dissector
------------------------------------------------------------------------
r42974 | etxrab | 2012-06-01 08:57:05 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-coseventcomm.c (from /trunk/plugins/giop/packet-coseventcomm.c:42972)
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake

Make packet-coseventcomm.c a bultin dissector
------------------------------------------------------------------------
r42973 | gerald | 2012-06-01 08:35:29 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/test/config.sh

Add more manufacturer names.

------------------------------------------------------------------------
r42972 | wmeier | 2012-06-01 07:44:35 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/plugins/asn1/Makefile.am
   M /trunk/plugins/docsis/Makefile.am
   M /trunk/plugins/ethercat/Makefile.am
   M /trunk/plugins/giop/Makefile.am
   M /trunk/plugins/gryphon/Makefile.am
   M /trunk/plugins/irda/Makefile.am
   M /trunk/plugins/m2m/Makefile.am
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/opcua/Makefile.am
   M /trunk/plugins/profinet/Makefile.am
   M /trunk/plugins/unistim/Makefile.am
   M /trunk/plugins/wimax/Makefile.am
   M /trunk/plugins/wimaxasncp/Makefile.am

Set Makefile.common as a plugin.c dependency so plugin.c is rebuilt if Makefile.common is changed

------------------------------------------------------------------------
r42971 | wmeier | 2012-06-01 07:08:12 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/docsis/Makefile.nmake
   M /trunk/plugins/ethercat/Makefile.nmake
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/plugins/m2m/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/opcua/Makefile.nmake
   M /trunk/plugins/profinet/Makefile.nmake
   M /trunk/plugins/unistim/Makefile.nmake
   M /trunk/plugins/wimax/Makefile.nmake
   M /trunk/plugins/wimaxasncp/Makefile.nmake

Windows: Set Makefile.common as a plugin.c dependency so plugin.c is rebuilt if Makefile.common is changed
ToDo: ditto for Makefile.am ?

------------------------------------------------------------------------
r42970 | etxrab | 2012-06-01 06:01:32 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

For RLC re-assembly to work we need to fake urnti.
------------------------------------------------------------------------
r42969 | etxrab | 2012-06-01 05:28:05 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Don't call subdissectors if the CRCI bit is set.
------------------------------------------------------------------------
r42968 | etxrab | 2012-06-01 05:27:04 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-cosnaming.c (from /trunk/plugins/giop/packet-cosnaming.c:42965)
   M /trunk/plugins/giop/CMakeLists.txt
   M /trunk/plugins/giop/Makefile.common
   D /trunk/plugins/giop/packet-cosnaming.c

Make the cosnaming dissector a builtin dissector.
------------------------------------------------------------------------
r42967 | etxrab | 2012-06-01 03:31:34 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-tango.c (from /trunk/plugins/giop/packet-tango.c:42965)
   M /trunk/plugins/giop/CMakeLists.txt
   M /trunk/plugins/giop/Makefile.common
   D /trunk/plugins/giop/packet-tango.c

Make the tango dissector a builtin dissector.
------------------------------------------------------------------------
r42966 | etxrab | 2012-06-01 03:26:49 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/file.c

make it compile.
 I suppose we do random access if compressed.
------------------------------------------------------------------------
r42965 | etxrab | 2012-06-01 02:04:28 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/plugins/giop/CMakeLists.txt

parlay changes to Cmake
------------------------------------------------------------------------
r42964 | etxrab | 2012-06-01 01:48:31 -0700 (Fri, 01 Jun 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-parlay.c (from /trunk/plugins/giop/packet-parlay.c:42959)
   M /trunk/plugins/giop/Makefile.common
   D /trunk/plugins/giop/packet-parlay.c

Make the parlay dissector a buil tin dissector.
------------------------------------------------------------------------
r42963 | guy | 2012-06-01 01:45:39 -0700 (Fri, 01 Jun 2012) | 3 lines
Changed paths:
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.c

Move wtap_fdreopen() to file_access.c for now, as it requires many of
the same #includes.

------------------------------------------------------------------------
r42962 | guy | 2012-06-01 01:33:25 -0700 (Fri, 01 Jun 2012) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.c

Need fcntl.h for the O_ #defines on Windows.

------------------------------------------------------------------------
r42961 | guy | 2012-06-01 01:05:12 -0700 (Fri, 01 Jun 2012) | 20 lines
Changed paths:
   M /trunk/file.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/file_wrappers.h
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.def
   M /trunk/wiretap/wtap.h

Sigh.  There appears to be no way to get Windows to allow us to rename a
file that we ourselves have open.  In the "safe save" code path for
capture files, on Windows temporarily close the file descriptors for the
currently-open capture before doing the rename and then, if the rename
failed, reopen them, leaving the rest of the wtap and capture_file
structures intact.

Rename filed_open() to file_fdopen(), to make its name match what it
does a bit better (it's an fdopen()-style routine, i.e. do the
equivalent of an open with an already-open file descriptor rather than a
pathname, in the file_wrappers.c set of routines).

Remove the file_ routines from the .def file for Wiretap - they should
only be called by code inside Wiretap.

Closing a descriptor open for input has no reason to fail (closing a
descriptor open for *writing* could fail if the file is on a server and
dirty pages are pushed asynchronously to the server and synchronously on
a close), so just have file_close() return void.

------------------------------------------------------------------------
r42960 | etxrab | 2012-06-01 00:02:04 -0700 (Fri, 01 Jun 2012) | 5 lines
Changed paths:
   M /trunk/ui/gtk/proto_hier_stats_dlg.c

From Alexander Koeppe.
Patch that creates the filter according to the protocol tree selected.
Fixes
IPv6 filters built from "Protocol Hierarchy Statistics" dialog not specific
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7250
------------------------------------------------------------------------
r42959 | etxrab | 2012-05-31 23:14:08 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/epan/conversation.c

Remove debug code left by mistake
------------------------------------------------------------------------
r42958 | etxrab | 2012-05-31 22:55:45 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/epan/conversation.c

Fix a couple of warnings
------------------------------------------------------------------------
r42957 | etxrab | 2012-05-31 22:55:20 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/epan/dissectors/packet-rrc.c

Fix a couple of warnings
------------------------------------------------------------------------
r42956 | etxrab | 2012-05-31 22:36:52 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_mac.c

Fix a couple of warnings
------------------------------------------------------------------------
r42953 | gerald | 2012-05-31 16:34:19 -0700 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Update the release notes. The new protocol count is now over 100.

------------------------------------------------------------------------
r42952 | gerald | 2012-05-31 14:40:55 -0700 (Thu, 31 May 2012) | 21 lines
Changed paths:
   M /trunk/ui/cli/tap-iostat.c

From Martin Kaiser via bug 7312:

there's three coverity defects about division by zero in ui/cli/tap-iostat.c,
function iostat_packet()

This can be triggered from the command line

martin@greta# ./tshark -z io,stat,0.2,AVG\(frame.number\)
Capturing on eth0
Floating point exception

it->num is 0, wireshark crashes in

parent->max_vals[it->colnum] =                       
MAX(parent->max_vals[it->colnum], it->counter/it->num);

(and similar for other data types)

My proposal for a fix is to not update parent->max_vals[it->colnum] when
it->num==0, see the attached patch.

------------------------------------------------------------------------
r42951 | gerald | 2012-05-31 14:30:40 -0700 (Thu, 31 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-erf.c

g_snprintf → ep_strbuf. I can't find an ERF file with a virtual
container but the conversion seemed be straightforward enough.

------------------------------------------------------------------------
r42950 | morriss | 2012-05-31 14:19:39 -0700 (Thu, 31 May 2012) | 3 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Look only for calls to strlen() within an snprintf() call (not for any file
that has the string "strlen" somewhere after a call to snprintf()).

------------------------------------------------------------------------
r42949 | pascal | 2012-05-31 13:40:07 -0700 (Thu, 31 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmx.c

From Erwin Rol via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7311 :
Fix a cut and paste error in packet-dmx.c

------------------------------------------------------------------------
r42948 | gerald | 2012-05-31 13:24:04 -0700 (Thu, 31 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmx-chan.c

Fix a possible zero division found by scan-build. While we're at it replace
occurrences of g_snprintf+strlen with ep_strbuf.

------------------------------------------------------------------------
r42947 | gerald | 2012-05-31 13:12:27 -0700 (Thu, 31 May 2012) | 3 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

If we're feeding the output of strlen to an snprintf-style function
there's a good chance we're doing something wrong.

------------------------------------------------------------------------
r42946 | pascal | 2012-05-31 11:56:02 -0700 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake

Use GeoIP package 1.4.8-2 for win64 also (I guess that's what was intended in r42933)

------------------------------------------------------------------------
r42945 | etxrab | 2012-05-31 06:23:42 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Set dir if we don't have it.
------------------------------------------------------------------------
r42944 | pascal | 2012-05-31 06:22:52 -0700 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Display hf_smb_server_guid, hf_smb_volume_guid and hf_smb_dfs_referral_server_guid as FT_GUID

------------------------------------------------------------------------
r42943 | etxrab | 2012-05-31 06:09:27 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/tools/Makefile.am

Add fix-encoding-args.pl to the distribution.
------------------------------------------------------------------------
r42942 | etxrab | 2012-05-31 05:46:51 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/diameter/TGPPRx.xml
   M /trunk/diameter/TGPPSh.xml
   M /trunk/diameter/dictionary.xml
   M /trunk/diameter/imscxdx.xml

Minor updates to the AVP:s
------------------------------------------------------------------------
r42941 | etxrab | 2012-05-31 05:46:09 -0700 (Thu, 31 May 2012) | 1 line
Changed paths:
   M /trunk/tools/wireshark_gen.py

Remove redundant code from the template.
------------------------------------------------------------------------
r42940 | pascal | 2012-05-31 01:56:19 -0700 (Thu, 31 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

From Niels de Vos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7306 :
RPC: show the AUTH_GLUSTERFS/lk_owner as hex

------------------------------------------------------------------------
r42939 | pascal | 2012-05-31 01:25:00 -0700 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7307

------------------------------------------------------------------------
r42938 | pascal | 2012-05-31 01:08:44 -0700 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Clean GeoIP-1.4.8-*-win??ws folder with setup target

------------------------------------------------------------------------
r42937 | etxrab | 2012-05-31 00:25:11 -0700 (Thu, 31 May 2012) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ipv6.c

From Sheetal Kshirsagar and Andrew Williams:
Updating the RPL SRH dissector and implementing RPL Options header dissection.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6986
------------------------------------------------------------------------
r42936 | etxrab | 2012-05-30 22:42:02 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-adwin.c

Try to squelch a couple of warnings
------------------------------------------------------------------------
r42935 | gerald | 2012-05-30 16:14:07 -0700 (Wed, 30 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c

Add some needed parenthesis as pointed out by Jakub and the OS X
builders.

------------------------------------------------------------------------
r42933 | gerald | 2012-05-30 15:55:02 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh
   M /trunk/tools/win64-setup.sh

Use the updated GeoIP package (1.4.8-2).

------------------------------------------------------------------------
r42932 | darkjames | 2012-05-30 15:39:56 -0700 (Wed, 30 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

Revert r42853, cleanup packet-jxta which might really fix CID 280210

References: http://www.wireshark.org/lists/wireshark-dev/201205/msg00226.html

------------------------------------------------------------------------
r42930 | gerald | 2012-05-30 14:42:24 -0700 (Wed, 30 May 2012) | 10 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/test/suite-capture.sh

In recent versions of GLib (test with 2.32) g_log_default_handler
helpfully ignores G_LOG_LEVEL_INFO and G_LOG_LEVEL_DEBUG messages by
default. If the console_log_level preference includes either of those
two levels set the G_MESSAGES_DEBUG environment variable so that those
messages are printed.

Add checks for various console log messages to the stdin capture suite.

Fixes bug 7265.

------------------------------------------------------------------------
r42929 | morriss | 2012-05-30 14:32:32 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/Makefile.am

The GIOP plugin is now one big plugin (instead of 2, or was it 4?).
------------------------------------------------------------------------
r42928 | etxrab | 2012-05-30 13:51:36 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/plugins/giop/Makefile.am

Dissable -Werror
------------------------------------------------------------------------
r42927 | etxrab | 2012-05-30 12:51:54 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/plugins/giop/Makefile.am

Forgot to change the name to giop
------------------------------------------------------------------------
r42926 | etxrab | 2012-05-30 12:03:56 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

Replace IDL generated dissector with common dll
------------------------------------------------------------------------
r42925 | etxrab | 2012-05-30 12:02:53 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/tools/wireshark_gen.py

Modify IDL generated plugin interface (untested)
------------------------------------------------------------------------
r42924 | etxrab | 2012-05-30 12:01:29 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/plugins/giop/Makefile.am
   A /trunk/plugins/giop/Makefile.common
   M /trunk/plugins/giop/Makefile.nmake
   A /trunk/plugins/giop/moduleinfo.nmake
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c
   M /trunk/plugins/giop/packet-tango.c
   A /trunk/plugins/giop/plugin.rc.in

Add files to use 'new plugin build style'
------------------------------------------------------------------------
r42923 | morriss | 2012-05-30 11:29:37 -0700 (Wed, 30 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

From Richard Sharpe on -dev:

Attached is a patch that fixes (I think) the handling of extended
responses on NTCreate&X requests.

------------------------------------------------------------------------
r42922 | pascal | 2012-05-30 11:27:40 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c

Prefix TransportFormatSet_type_enum values with NBAP_ to avoid a clash with 'PCH' in <WinNT.h>

------------------------------------------------------------------------
r42921 | cmaynard | 2012-05-30 10:26:00 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Mark pinfo as unused.  Change args to proto_tree_add_text().

------------------------------------------------------------------------
r42920 | cmaynard | 2012-05-30 10:02:44 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

PPP CCP improvements.  And yay, checkAPIs no longer complains about the number of useless add_text()'s since the ratio is finally below 50%.  This ratio should continue to drop as more and more fields become filterable.

------------------------------------------------------------------------
r42919 | gerald | 2012-05-30 08:36:48 -0700 (Wed, 30 May 2012) | 3 lines
Changed paths:
   M /trunk/config.nmake

Revert GEOIP_CFLAGS back to r42905. It looks like the builders picked up
the wrong archive yesterday before I had a chance to upload the right one.

------------------------------------------------------------------------
r42918 | cmaynard | 2012-05-30 08:30:07 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake

Ugh.  Fix GEOIP_CFLAGS again.  3rd time's the charm?

------------------------------------------------------------------------
r42917 | cmaynard | 2012-05-30 08:05:21 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake

Try it with Windows style path separator instead.

------------------------------------------------------------------------
r42916 | cmaynard | 2012-05-30 07:33:00 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/config.nmake

Fix GEOIP_CFLAGS so GeoIP.h can be found.

------------------------------------------------------------------------
r42915 | etxrab | 2012-05-30 07:04:45 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Stab at DCH 31 dissection.
------------------------------------------------------------------------
r42914 | etxrab | 2012-05-30 04:48:05 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrc.h

Dissect non segmented MiB and SiB:s
------------------------------------------------------------------------
r42913 | pascal | 2012-05-30 01:49:56 -0700 (Wed, 30 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.c
   M /trunk/epan/dissectors/packet-lte-rrc.c

Use ett variable for proto_item_add_subtree function call

------------------------------------------------------------------------
r42912 | etxrab | 2012-05-30 01:41:00 -0700 (Wed, 30 May 2012) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add an application id.
------------------------------------------------------------------------
r42911 | darkjames | 2012-05-29 23:44:37 -0700 (Tue, 29 May 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/hostlist_table.c

Fix part of bug #4030

GeoIP strings from r39299 are encoded in UTF-8 so don't use format_text.

------------------------------------------------------------------------
r42910 | darkjames | 2012-05-29 23:13:12 -0700 (Tue, 29 May 2012) | 3 lines
Changed paths:
   M /trunk/AUTHORS

Fix make-authors-short.pl warning:
  Use of uninitialized value $nextline in pattern match (m//) at ./make-authors-short.pl line 23, <> line 3660

------------------------------------------------------------------------
r42909 | darkjames | 2012-05-29 22:39:39 -0700 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Fix bug #5077 in IPv6.

------------------------------------------------------------------------
r42908 | darkjames | 2012-05-29 22:33:37 -0700 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Cleanup geoip support in ipv6.

------------------------------------------------------------------------
r42907 | gerald | 2012-05-29 17:11:11 -0700 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Back out previous change.

------------------------------------------------------------------------
r42906 | gerald | 2012-05-29 17:04:03 -0700 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Extract into the right directory.

------------------------------------------------------------------------
r42905 | gerald | 2012-05-29 16:31:00 -0700 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh
   M /trunk/tools/win64-setup.sh

Use GeoIP 1.4.8 which includes a DLL instead of a static library.

------------------------------------------------------------------------
r42904 | pascal | 2012-05-29 14:51:52 -0700 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c
   M /trunk/epan/dissectors/packet-mpeg-descriptor.c
   M /trunk/epan/dissectors/packet-ntlmssp.c

Avoid using C99 '%hh' length modifier

------------------------------------------------------------------------
r42903 | pascal | 2012-05-29 14:36:39 -0700 (Tue, 29 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dvb-ait.c
   M /trunk/epan/dissectors/packet-mpeg-sect.c
   M /trunk/epan/dissectors/packet-mpeg-sect.h

From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7301:
Dissector for DVB Application Information Table (AIT)

------------------------------------------------------------------------
r42902 | pascal | 2012-05-29 14:09:46 -0700 (Tue, 29 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iso7816.c

From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7302:
Small updates to ISO 7816 dissector

------------------------------------------------------------------------
r42901 | pascal | 2012-05-29 13:28:41 -0700 (Tue, 29 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvbci.c

From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7303
Remove unnecessary null checks before calling proto_item_set_len() in DVB-CI dissector

------------------------------------------------------------------------
r42900 | darkjames | 2012-05-29 13:27:22 -0700 (Tue, 29 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c

Fix bug #7304, stupid mistake.

------------------------------------------------------------------------
r42899 | darkjames | 2012-05-29 13:01:25 -0700 (Tue, 29 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Fix bug #5735

dissect_attribute_value_pairs() should be also called with NULL tree.
Broken from r29964.

------------------------------------------------------------------------
r42898 | etxrab | 2012-05-29 07:34:34 -0700 (Tue, 29 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_mac.c

Handle E-DCH
------------------------------------------------------------------------
r42897 | sahlberg | 2012-05-29 04:25:38 -0700 (Tue, 29 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c
   M /trunk/epan/dissectors/packet-scsi.h

SCSI SBC: Add dissection of GET_LBA_STATUS command


------------------------------------------------------------------------
r42896 | etxrab | 2012-05-29 01:23:10 -0700 (Tue, 29 May 2012) | 4 lines
Changed paths:
   M /trunk/radius/dictionary.starent

From Porus Mehta:
Wireshark's RADIUS dictionaries for Starent need an update.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6243
------------------------------------------------------------------------
r42895 | etxrab | 2012-05-29 01:00:35 -0700 (Tue, 29 May 2012) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-arp.c

From Deepti Ragha:
Additions to the ARP dissector as per the IANA specifications for ARP

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7216
------------------------------------------------------------------------
r42894 | etxrab | 2012-05-29 00:45:40 -0700 (Tue, 29 May 2012) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-mpls.c

From Aditya Ambadkar and Diana Chris:
Enhancement to LDP dissector to support changes proposed in RFC6391 - flow aware transport of PW over an MPLS PSN.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7046
------------------------------------------------------------------------
r42893 | etxrab | 2012-05-29 00:31:38 -0700 (Tue, 29 May 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Evan Huus:
Fix to
BACapp item length causes Buildbot crash output: randpkt-2011-04-13-1899.pcap

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5825

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7296
------------------------------------------------------------------------
r42892 | etxrab | 2012-05-29 00:27:35 -0700 (Tue, 29 May 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/graph_analysis.c
   M /trunk/update.c

From Evan Huus:
Misc resource leaks.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7296
------------------------------------------------------------------------
r42891 | guy | 2012-05-28 18:18:16 -0700 (Mon, 28 May 2012) | 5 lines
Changed paths:
   M /trunk/file.c

Test was backwards - if fname_new is *NON*-null, it was the name of a
temporary file to which we were writing in order to do a "safe save". 
Thanks to Coverity for pointing this out - should fix CIDs 703317 and
703316.

------------------------------------------------------------------------
r42890 | guy | 2012-05-28 17:05:39 -0700 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmx.c

From Erwin Rol: fix a copy-and-paste leftover.

------------------------------------------------------------------------
r42889 | pascal | 2012-05-28 13:34:27 -0700 (Mon, 28 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-rlc.c
   M /trunk/epan/dissectors/packet-rlc.h
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Keep backward compatibility with UDP framing format for UMTS RLC dissector
Fix a few typo errors while we are at it

------------------------------------------------------------------------
r42888 | etxrab | 2012-05-28 13:11:59 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_mac.c

Use C/T as rbid
------------------------------------------------------------------------
r42887 | etxrab | 2012-05-28 13:09:00 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-rrc.c

Use ett instead of hf variable
------------------------------------------------------------------------
r42886 | cmaynard | 2012-05-28 11:37:10 -0700 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/ui/gtk/io_stat.c

Fix Coverity CID's 702388 and 702422: OVERFLOW_BEFORE_WIDEN.

------------------------------------------------------------------------
r42885 | etxrab | 2012-05-28 10:55:47 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-artnet.c

Set but not used variable
------------------------------------------------------------------------
r42884 | etxrab | 2012-05-28 09:00:20 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-artnet.c

Remove C++ style comments initilize some variables.
------------------------------------------------------------------------
r42883 | darkjames | 2012-05-28 08:59:00 -0700 (Mon, 28 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/proto.c
   M /trunk/epan/strutil.c

While iterating over string characters don't use strlen(), but check for NUL.

------------------------------------------------------------------------
r42882 | etxrab | 2012-05-28 08:30:09 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dmx.c

Set SVN properties.
------------------------------------------------------------------------
r42881 | etxrab | 2012-05-28 08:29:36 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dmx-chan.c
   M /trunk/epan/dissectors/packet-dmx-sip.c
   M /trunk/epan/dissectors/packet-dmx-test.c
   M /trunk/epan/dissectors/packet-dmx-text.c

Set SVN properties.
------------------------------------------------------------------------
r42880 | etxrab | 2012-05-28 08:24:54 -0700 (Mon, 28 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-artnet.c
   A /trunk/epan/dissectors/packet-dmx-chan.c
   A /trunk/epan/dissectors/packet-dmx-sip.c
   A /trunk/epan/dissectors/packet-dmx-test.c
   A /trunk/epan/dissectors/packet-dmx-text.c
   A /trunk/epan/dissectors/packet-dmx.c
   M /trunk/epan/dissectors/packet-rdm.c

From Erwin Rol:
Artnet, RDM and DMX dissector updates

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7286
------------------------------------------------------------------------
r42879 | etxrab | 2012-05-28 08:09:33 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-rlc.c

Extend the switch statement.
------------------------------------------------------------------------
r42878 | etxrab | 2012-05-28 07:50:54 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-rlc.h
   M /trunk/epan/dissectors/packet-umts_fp.h

Move defenition of rlc_mode.
------------------------------------------------------------------------
r42877 | etxrab | 2012-05-28 06:53:33 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c

Try to pacify the Ubuntu buildbot.
------------------------------------------------------------------------
r42876 | etxrab | 2012-05-28 06:38:40 -0700 (Mon, 28 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-rlc.c
   M /trunk/epan/dissectors/packet-rlc.h
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Enhance CHANNEL_HSDSCH dissection.
------------------------------------------------------------------------
r42875 | sahlberg | 2012-05-28 02:40:54 -0700 (Mon, 28 May 2012) | 7 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

Sometimes you might have plaintext LDAP for a SASL LDAP connection if the handshake never occured.

Observed with exchange in some configurations.

From Matthieu Patou <mat@matws.net>


------------------------------------------------------------------------
r42874 | guy | 2012-05-27 18:23:28 -0700 (Sun, 27 May 2012) | 9 lines
Changed paths:
   M /trunk/summary.c

That doesn't work correctly if we read in a file with no interface
information, as it'll fill in whatever stuff happens to be in the
capture info.  We should somehow figure uot whether this is a capture we
just did (note: cf->is_tempfile does *NOT* necessarily tell us that, as
it's set for the result of a merge, and is cleared if we save the
capture) and fill in the interface information only if that's the case.

Put in a comment to note that we need to do that.

------------------------------------------------------------------------
r42873 | guy | 2012-05-27 18:17:48 -0700 (Sun, 27 May 2012) | 13 lines
Changed paths:
   M /trunk/summary.c

Correctly implement what was my intent when removing the HAVE_LIBPCAP
stuff - arrange that the interface summary list is set, if we've read a
capture file that has interface information, *regardless* of whether we
have libpcap/WinPcap or not.

That means that summary_fill_in() should fill in the interface
information for the summary if there's interface information from the
capture file, and summary_fill_in_capture() - which is called only if
HAVE_LIBPCAP is defined, and can exist only if HAVE_LIBPCAP is defined
(as it takes an argument of a type that's defined only if HAVE_LIBPCAP
is defined) - just fills in interface information from the capture
options and does so only if there's none from the file.

------------------------------------------------------------------------
r42872 | guy | 2012-05-27 17:43:13 -0700 (Sun, 27 May 2012) | 10 lines
Changed paths:
   M /trunk/wiretap/libpcap.c

Interface lists currently have to be constructed in the open routine
(otherwise, nobody sees them); do so.

Fix some cases where we weren't doing the proper post-processing after
doing the heuristics for format changes that didn't involve magic-number
changes (discovered because constructing the interface list is now being
done as part of that post-processing).

Fixes bug 7287.

------------------------------------------------------------------------
r42871 | guy | 2012-05-27 17:31:27 -0700 (Sun, 27 May 2012) | 11 lines
Changed paths:
   M /trunk/summary.c
   M /trunk/summary.h
   M /trunk/ui/gtk/summary_dlg.c

Don't use pcap LINKTYPE_ values in the iface_options structure, use
Wiretap encapsulation values; rename the field in question encap_type to
emphasize that.  (Code that looks at that field already assumes it's a
Wiretap encapsulation value.)

For live captures, map the LINKTYPE_ value to a Wiretap encapsulation
value.

wtap_encap_string() never returns NULL, so don't check for a null return
value.

------------------------------------------------------------------------
r42870 | guy | 2012-05-27 16:50:14 -0700 (Sun, 27 May 2012) | 2 lines
Changed paths:
   M /trunk/summary.h

Clean up indentation (use spaces, not tabs).

------------------------------------------------------------------------
r42869 | guy | 2012-05-27 16:41:03 -0700 (Sun, 27 May 2012) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.h

Clean up indentation (remove tabs from one structure definition).

------------------------------------------------------------------------
r42868 | guy | 2012-05-27 16:32:12 -0700 (Sun, 27 May 2012) | 2 lines
Changed paths:
   M /trunk/summary.c

Clean up indentation (use spaces, not tabs).

------------------------------------------------------------------------
r42867 | guy | 2012-05-27 13:47:57 -0700 (Sun, 27 May 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/airpcap_gui_utils.c

From Evan Huus in bug 7295:

cppcheck realized that if_info is known not to be null in that code
path, and therefore that checking whether it's null in that code path is
unnecessary.  Remove it.

------------------------------------------------------------------------
r42866 | guy | 2012-05-27 13:45:16 -0700 (Sun, 27 May 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/dfilter_expr_dlg.c

From Evan Huus from bug 7295:

Fix an ancient copy-and-pasteo of mine ("me" here meaning Guy Harris,
not Evan Huus) - remove an unused data structure (used in the code I
copied and pasted to make this code, not used here).

------------------------------------------------------------------------
r42865 | guy | 2012-05-27 13:40:09 -0700 (Sun, 27 May 2012) | 14 lines
Changed paths:
   M /trunk/wiretap/vwr.c

vwr_read_rec_header()'s return value is used only to distinguish success
(read a record header) from failure (got an EOF or an error).  Make it
just return a Boolean.

If it fails in vwr_read(), don't overwrite *err_info (yes,
vwr_read_rec_header() might have set *err_info, so don't lose - and
leak! - the value it returned) - trust vwr_read_rec_header(), or the
routines it calls, to have set it.  (If there's a code path where that
doesn't happen, that code path needs to be fixed; the setting of
*err_info in vwr_read() should *not* be restored.)

Thanks to Evan Huus for finding a useless variable with cppcheck, and
reporting it in bug 7295, provoking me to look at this.

------------------------------------------------------------------------
r42862 | gerald | 2012-05-27 07:03:33 -0700 (Sun, 27 May 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-05-27]
------------------------------------------------------------------------
r42861 | jmayer | 2012-05-27 03:15:56 -0700 (Sun, 27 May 2012) | 7 lines
Changed paths:
   M /trunk/macosx-setup.sh
   M /trunk/macosx-support-lib-patches/gnutls-pkgconfig.patch

- Update cmake, gnutls and pixman to current version
- unpack an xz file with xzcat instead of gzcat
- remove some trailing whitespace
- the update of gnutls required two changes in the gnutls
  build stuff: a) gnutls.pc is now generated from gnutls.pc.in
  and b) we now need to build with --without-p11-kit

------------------------------------------------------------------------
r42860 | guy | 2012-05-25 17:53:50 -0700 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/file.c

I already got rid of that variable - it just mirrors cf->filename.

------------------------------------------------------------------------
r42859 | guy | 2012-05-25 17:44:49 -0700 (Fri, 25 May 2012) | 6 lines
Changed paths:
   M /trunk/file.c

We can't save a live capture file with a ws_rename() on Windows, as we
have the file open.  Go back to doing it with a copy on Windows.

Explain what the problem is, and give a way in which we might be able to
make it work on Windows (without using any NT native API calls...).

------------------------------------------------------------------------
r42857 | guy | 2012-05-25 14:58:10 -0700 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/win32/file_dlg_win32.c

See if this fixes the include problem.

------------------------------------------------------------------------
r42856 | guy | 2012-05-25 14:52:50 -0700 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/win32/file_dlg_win32.c

Fix some build problems.

------------------------------------------------------------------------
r42855 | guy | 2012-05-25 14:25:55 -0700 (Fri, 25 May 2012) | 8 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.h
   M /trunk/ui/gtk/drag_and_drop.c
   M /trunk/ui/gtk/export_sslkeys.c
   M /trunk/ui/gtk/file_import_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_proto_draw.c
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/print_dlg.c
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/ui/win32/file_dlg_win32.h

Use GTK+'s GtkMessageDialog for the questions we ask in the process of
saving files, and run it modal (which we're already doing with the
GtkFileChooserDialog); this means less callback-based state machine
stuff, simplifying the code paths a bit.

If we're saving a file before closing it, don't bother reloading it
after saving it.

------------------------------------------------------------------------
r42854 | guy | 2012-05-25 11:50:47 -0700 (Fri, 25 May 2012) | 6 lines
Changed paths:
   M /trunk/merge.c

On a read error, always return a pointer to the merge_in_file_t for the
file from which we got the error.

On a successful read, always clear out err - wtap_read() doesn't set *err
on success.

------------------------------------------------------------------------
r42853 | gerald | 2012-05-25 11:25:31 -0700 (Fri, 25 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

Add a null check to fix Coverity CID 280210. It doesn't look like we'd
run into this in the wild.

------------------------------------------------------------------------
r42851 | guy | 2012-05-25 02:58:42 -0700 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/export_sslkeys.c
   M /trunk/ui/gtk/main_proto_draw.c
   M /trunk/ui/gtk/print_dlg.c

Well, "ui/gtk/capture_file_dlg.h" is needed on Win32.

------------------------------------------------------------------------
r42850 | guy | 2012-05-25 02:26:45 -0700 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/export_sslkeys.c
   M /trunk/ui/gtk/main_proto_draw.c
   M /trunk/ui/gtk/prefs_print.c
   M /trunk/ui/gtk/print_dlg.c

ui/gtk/capture_file_dlg.h doesn't need to be included in these files.

------------------------------------------------------------------------
r42849 | cmaynard | 2012-05-24 19:51:23 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis-hello.c

Fix Coverity CID 700177 Unused pointer value.

------------------------------------------------------------------------
r42848 | cmaynard | 2012-05-24 19:43:39 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-beep.c

The rest of the fix for Coverity CID's 280507 and 280508.  (There were multiple occurrences grouped into the 2 CID's, but I hadn't noticed them all.)

------------------------------------------------------------------------
r42847 | cmaynard | 2012-05-24 19:18:49 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-beep.c

tvb_length_remaining() can return a negative number, so be sure to handle it.  Fixes Coverity CID's 280507 and 280508.

------------------------------------------------------------------------
r42846 | cmaynard | 2012-05-24 19:04:29 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/wiretap/netscaler.c

In ns_hrtime2nsec(), cast "val" to guint64 to fix Coverity CID 702389 Unintentional integer overflow.

------------------------------------------------------------------------
r42845 | cmaynard | 2012-05-24 18:49:49 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua_proto.c

Add a "fallthrough" comment to avoid a missing break report from Coverity.  Fixes Coverity CID 702382 Missing break in switch.

------------------------------------------------------------------------
r42844 | cmaynard | 2012-05-24 18:32:26 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

In cap_pipe_open_live(), be sure to call ws_close(fd) before returning due to a couple of error condtions.  Fixes Coverity CID 702395 Resource leak.

------------------------------------------------------------------------
r42843 | cmaynard | 2012-05-24 18:14:29 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-pipe.c

Fix Coverity CID 701035: Dereference after null check of hfinfo.

------------------------------------------------------------------------
r42842 | cmaynard | 2012-05-24 17:54:49 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c

Fix Coverity CID 700201: Dereference after null check, by ensuring "decoder" is not NULL before passing it to ssl_decrypt_record().

------------------------------------------------------------------------
r42841 | cmaynard | 2012-05-24 17:43:32 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/decode_as_dlg.c

If either create_persconffile_dir() or ws_fopen() fail, then bail out.  This avoids potentially dereferencing "daf" if it's NULL and fixes Coverity CID 281275.

------------------------------------------------------------------------
r42840 | cmaynard | 2012-05-24 17:29:46 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/c1222/packet-c1222-template.c
   M /trunk/epan/dissectors/packet-c1222.c

tvb_length_remaining() can return a negative number, so be sure to handle it.  Fixes Coverity CID 281367.

------------------------------------------------------------------------
r42839 | cmaynard | 2012-05-24 16:35:23 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

tvb_length_remaining() can return a negative number, so be sure to handle it.  Fixes Coverity CID's 280233-280235.

------------------------------------------------------------------------
r42838 | cmaynard | 2012-05-24 16:31:38 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pres.c

Update asn1-generated dissector.

------------------------------------------------------------------------
r42837 | cmaynard | 2012-05-24 16:14:30 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c

tvb_reported_length_remaining() can return a negative number.  In dissect_gadu_gadu_userlist80_compressed(), bail out if it does.  Fixes Coverity CID 703085.  In dissect_gadu_gadu_stringz_cp1250(), be sure to compare against its return value as being only positve rather than non-zero.  Also, fixed a couple of typos.

------------------------------------------------------------------------
r42836 | morriss | 2012-05-24 14:38:22 -0700 (Thu, 24 May 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/edit_packet_comment_dlg.c

Don't include a Clear button in the packet- and capture-file-comment dialogs:
the user can just Ctrl-A + backspace if they want to do that.

------------------------------------------------------------------------
r42835 | morriss | 2012-05-24 14:35:41 -0700 (Thu, 24 May 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/edit_packet_comment_dlg.c
   M /trunk/ui/gtk/summary_dlg.c

Enable word wrapping for capture-file comments.
------------------------------------------------------------------------
r42834 | morriss | 2012-05-24 14:33:25 -0700 (Thu, 24 May 2012) | 17 lines
Changed paths:
   M /trunk/ui/gtk/summary_dlg.c

Get rid of the button row for the capture-file comments.  Instead, turn the
whole summary dialog into an editor-like dialog with an OK and Cancel buttons
(OK sets the new capture file comment, Cancel doesn't).

In order to keep the dialog the same regardless of the file type (and avoid
having a Cancel and OK button when there's no text field to edit), allow
users to create or edit capture-file comments even if the file type is not
PCAPNG (they can add a comment via the add/edit comment UI anyway).

Don't include a Clear button: the user can just Ctrl-A + backspace if they
want to do that.

Don't set the comment text to "[None]" if there's no comment, just leave it
blank.

Don't allow the user to create more than 1 Summary dialog at a time.

------------------------------------------------------------------------
r42833 | guy | 2012-05-24 12:18:31 -0700 (Thu, 24 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/edit_packet_comment_dlg.c

Word-wrap comments in the display.

------------------------------------------------------------------------
r42832 | morriss | 2012-05-24 11:59:39 -0700 (Thu, 24 May 2012) | 5 lines
Changed paths:
   M /trunk/summary.c
   M /trunk/summary.h
   M /trunk/ui/gtk/summary_dlg.c

Use cf_update_capture_comment() to save the capture comment (instead of
summary_update_comment() which is no longer necessary).
cf_update_capture_comment() has the advantage that it doesn't mark the file
as unsaved unless the comment actually changed.

------------------------------------------------------------------------
r42831 | morriss | 2012-05-24 11:55:38 -0700 (Thu, 24 May 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/summary_dlg.c

Free the new comment after calling gtk_text_buffer_set_text().
------------------------------------------------------------------------
r42830 | morriss | 2012-05-24 11:54:03 -0700 (Thu, 24 May 2012) | 1 line
Changed paths:
   M /trunk/file.c

cf_update_capture_comment(): free the shb_inf when we're done with it.
------------------------------------------------------------------------
r42829 | morriss | 2012-05-24 11:26:52 -0700 (Thu, 24 May 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

menu_dissector_filter(): free the action_name when we're done with it.

capture_cb(): if we strrchr() didn't find a seperator, don't use
g_strdup_printf() to format the action_name (since that would have to be
freed), just set it to the action_name.

------------------------------------------------------------------------
r42828 | morriss | 2012-05-24 11:11:55 -0700 (Thu, 24 May 2012) | 1 line
Changed paths:
   M /trunk/ui/gtk/edit_packet_comment_dlg.c

Free the comment after calling gtk_text_buffer_set_text().
------------------------------------------------------------------------
r42827 | morriss | 2012-05-24 08:16:18 -0700 (Thu, 24 May 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/summary_dlg.c

Also allow the user to edit the capture-file comment if there is one (not
only if the capture file format is PCAPNG).  This can happen if the user
does not have a PCAPNG file but has added a capture-file comment via the
add/edit capture file comment UI.

Replace some tabs with spaces and wrap a few long lines.

------------------------------------------------------------------------
r42826 | morriss | 2012-05-24 07:52:06 -0700 (Thu, 24 May 2012) | 5 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Followup to r42823: check for RVALS used without BASE_RANGE_STRING.

Also: identify problematic fields by hf_variable_name instead of name or
abbreviation (the variable name is sure to be unique).

------------------------------------------------------------------------
r42825 | darkjames | 2012-05-24 05:26:34 -0700 (Thu, 24 May 2012) | 4 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Fix bug #7283

When Engine ID is 128 we should only break when we know the enterprise id.

------------------------------------------------------------------------
r42824 | etxrab | 2012-05-24 02:24:05 -0700 (Thu, 24 May 2012) | 4 lines
Changed paths:
   M /trunk/wiretap/erf.c
   M /trunk/wiretap/erf.h
   M /trunk/wiretap/libpcap.c

From Stephen Donnelly:
Add frame.interface_id support for pcap DLT_ERF file format

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7281
------------------------------------------------------------------------
r42823 | etxrab | 2012-05-24 02:17:11 -0700 (Thu, 24 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-usb-hid.c

From Martin Kaiser:
RVALS() needs BASE_RANGE_STRING 

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7282
------------------------------------------------------------------------
r42822 | guy | 2012-05-24 00:51:39 -0700 (Thu, 24 May 2012) | 6 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Now that cf_save_packets() can avoid doing a "fast path" save if the
source isn't compressed and the target is (or vice versa), enable the
"compressed" checkbox in the Save As and Export Specified Packets
dialog.  Fix it to clear the checkbox if the selected file format
doesn't support gzipping.

------------------------------------------------------------------------
r42821 | darkjames | 2012-05-24 00:50:41 -0700 (Thu, 24 May 2012) | 5 lines
Changed paths:
   M /trunk/AUTHORS

Cleanup AUTHORS file.

- Merge duplicated entries for: Dominic Bechaz, Holger Hans Peter Freyther 
- Remove duplicated entry for: Shiang-Ming Huang

------------------------------------------------------------------------
r42820 | etxrab | 2012-05-23 23:56:04 -0700 (Wed, 23 May 2012) | 4 lines
Changed paths:
   M /trunk/AUTHORS

From Mayuresh Raut.
Addition of DDMAP TLV and Downstream FEC stack change sub-TLV to DDMAP [RFC 6424]

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7006
------------------------------------------------------------------------
r42819 | etxrab | 2012-05-23 23:55:18 -0700 (Wed, 23 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpls-echo.c

From Mayuresh Raut.
Addition of DDMAP TLV and Downstream FEC stack change sub-TLV to DDMAP [RFC 6424]

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7006
------------------------------------------------------------------------
r42818 | guy | 2012-05-23 22:05:29 -0700 (Wed, 23 May 2012) | 8 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/cfile.h
   M /trunk/file.c
   M /trunk/summary.c
   M /trunk/summary.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/summary_dlg.c
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/file_wrappers.h
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.def
   M /trunk/wiretap/wtap.h

Keep track, in Wiretap, of whether the file is compressed, and provide
an API to fetch that.

When doing "Save" on a compressed file, write it out compressed.

In the Statistics -> Summary dialog and in capinfos, report whether the
file is gzip-compressed.

------------------------------------------------------------------------
r42817 | guy | 2012-05-23 19:30:43 -0700 (Wed, 23 May 2012) | 3 lines
Changed paths:
   M /trunk/ui/win32/file_dlg_win32.c

We have to tell cf_save_packets() whether to save them in compressed
form; say "don't" for now.

------------------------------------------------------------------------
r42816 | guy | 2012-05-23 19:16:53 -0700 (Wed, 23 May 2012) | 15 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/win32/file_dlg_win32.c

In the "Save As" and "Export Specified Packets" code path, do a "safe
save" if the destination file exists.

Don't forbid overwriting an existing file in either of those cases (we
still forbid overwriting the current capture file) - the GUI asks the
user whether they want to do the overwrite, and allows them to cancel
out of it - and don't remove the file before writing to it (doing so
makes the save *un*safe).

Attempt to do a save of an unedited temporary file by just moving the
file on Windows as well as on UN*X - ws_rename() will remove the target
if necessary on Windows (and won't do it as a separate operation before
attempting the rename), so it behaves like ws_rename() on UN*X (which is
just a wrapper around rename()).

------------------------------------------------------------------------
r42814 | pascal | 2012-05-23 13:51:38 -0700 (Wed, 23 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iso7816.c

From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7275 :
iso7816: dissect ATR (answer to reset)

------------------------------------------------------------------------
r42813 | guy | 2012-05-23 10:17:39 -0700 (Wed, 23 May 2012) | 3 lines
Changed paths:
   M /trunk/image/file_dlg_win32.rc

Shrink the height of the "Save As" dialog, now that it no longer has
widgets to specify a range.

------------------------------------------------------------------------
r42812 | darkjames | 2012-05-23 05:20:15 -0700 (Wed, 23 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-image-gif.c

Fix bug #7277

Check tvb length before fetching data.

------------------------------------------------------------------------
r42811 | etxrab | 2012-05-23 03:47:52 -0700 (Wed, 23 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Dissect MAC and RLC for CHANNEL_FACH_FDD
------------------------------------------------------------------------
r42810 | etxrab | 2012-05-23 00:27:35 -0700 (Wed, 23 May 2012) | 1 line
Changed paths:
   M /trunk/epan/Makefile.common

Add conv_id.h
------------------------------------------------------------------------
r42809 | etxrab | 2012-05-23 00:13:43 -0700 (Wed, 23 May 2012) | 1 line
Changed paths:
   A /trunk/epan/conv_id.h

Add file missing from http://anonsvn.wireshark.org/viewvc/viewvc.cgi?view=rev&revision=42806
------------------------------------------------------------------------
r42808 | etxrab | 2012-05-22 23:55:31 -0700 (Tue, 22 May 2012) | 5 lines
Changed paths:
   M /trunk/ui/cli/tap-iostat.c

From Florent Drouin:
(Jeff Morriss, Michael Mann )
Add absolute timestamps to -z io,stat

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7207
------------------------------------------------------------------------
r42807 | etxrab | 2012-05-22 23:41:37 -0700 (Tue, 22 May 2012) | 4 lines
Changed paths:
   M /trunk/wiretap/erf.c

From Stephen Donnelly:
Add frame.interface_id support for ERF file format

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7266
------------------------------------------------------------------------
r42806 | etxrab | 2012-05-22 23:36:47 -0700 (Tue, 22 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tcp.h
   M /trunk/ui/cli/tap-iousers.c
   M /trunk/ui/gtk/conversations_table.c
   M /trunk/ui/gtk/conversations_table.h
   M /trunk/ui/gtk/conversations_tcpip.c

From Robert Bullen:
The Wireshark and tshark TCP conversations stats tables aggregate reused connections into a single line item

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7248
------------------------------------------------------------------------
r42805 | etxrab | 2012-05-22 23:26:46 -0700 (Tue, 22 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c

Fix a typo
------------------------------------------------------------------------
r42804 | etxrab | 2012-05-22 23:25:00 -0700 (Tue, 22 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtn.c
   M /trunk/epan/dissectors/packet-dtn.h

From Jim Wright:
Enhance the DTN dissector so that it understands ECOS blocks (Extended Class of Service)

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7242
------------------------------------------------------------------------
r42803 | guy | 2012-05-22 20:27:34 -0700 (Tue, 22 May 2012) | 7 lines
Changed paths:
   M /trunk/ui/win32/file_dlg_win32.c

Fix comparison of file extension with extensions for the file type -
compare extension with extension, not dot-plus-extension with extension.

Skip unnecesary test.

Clean up white space.

------------------------------------------------------------------------
r42802 | wmeier | 2012-05-22 20:26:35 -0700 (Tue, 22 May 2012) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-yhoo.c
   M /trunk/epan/dissectors/packet-ymsg.c

   All:
   - whitespace cleanup;
   - Remove redundant code;

   packet-ymsg.c:
   - Check if bytes available before doing tvb fetch for heuristic check;
   - Required tcp pdu "fixed part length" is 10 (not 8);
   - Use val_to_str_const() as appropriate;
   - Remove some unneeded initializations.

------------------------------------------------------------------------
r42801 | wmeier | 2012-05-22 20:22:51 -0700 (Tue, 22 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-yhoo.c
   M /trunk/epan/dissectors/packet-ymsg.c

From Evan Huus: "Fix Potential padding issues in Yahoo dissectors"
   https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7276

------------------------------------------------------------------------
r42800 | guy | 2012-05-22 20:05:17 -0700 (Tue, 22 May 2012) | 12 lines
Changed paths:
   M /trunk/ui/qt/main_window.cpp
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.h

In Windows, in the Save As and Export Selected Packets dialog, append
the default extension for the file type iff

	the file type we're using has a list of extensions;

	the file has no extension or it has one but it's not one of the
	ones in the list.

*Don't* expect a file extension to be at most 5 characters plus the dot
- the extension for pcap-ng, our default capture file type, is "pcapng",
and that's 6 characters!

------------------------------------------------------------------------
r42799 | guy | 2012-05-22 18:06:51 -0700 (Tue, 22 May 2012) | 2 lines
Changed paths:
   M /trunk/image/file_dlg_win32.rc
   M /trunk/ui/win32/file_dlg_win32.c

No packet range stuff for the "Save As" dialog.

------------------------------------------------------------------------
r42798 | cmaynard | 2012-05-22 17:56:15 -0700 (Tue, 22 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Fix Coverity CID 703086: Dereference after null check in decode_tcp_ports().

------------------------------------------------------------------------
r42797 | morriss | 2012-05-22 16:59:41 -0700 (Tue, 22 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Fix: packet-gsm_a_gm.c:3965:6: error: comparison is always true due to limited range of data type [-Werror=type-limits]

------------------------------------------------------------------------
r42796 | guy | 2012-05-22 16:57:54 -0700 (Tue, 22 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nflog.c

Suppress a (legitimate) compiler warning for now, and leave a comment
indicating that we should do *something* about nanoseconds values >= 1
billion.

------------------------------------------------------------------------
r42795 | guy | 2012-05-22 15:57:37 -0700 (Tue, 22 May 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c

Separate callback to control the file type combo box in the "Export
Specified Packets" dialog.

------------------------------------------------------------------------
r42794 | guy | 2012-05-22 15:39:30 -0700 (Tue, 22 May 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/ui/win32/file_dlg_win32.h

Do the "Save As always saves the entire capture, Export Specified
Packets saves specified packets" stuff for Windows.

------------------------------------------------------------------------
r42793 | darkjames | 2012-05-22 15:34:57 -0700 (Tue, 22 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nflog.c

nflog dissector:

 - dissect NFULA_TIMESTAMP as 16B time.
 - fix byte_order_types (selecting BE selected little endian)

------------------------------------------------------------------------
r42792 | guy | 2012-05-22 15:17:57 -0700 (Tue, 22 May 2012) | 20 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.h
   M /trunk/ui/gtk/drag_and_drop.c
   M /trunk/ui/gtk/file_import_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/new_packet_list.c

"Save As" always saves everything and, when the save is done, makes the
new file the current file, as is the case in most if not all other GUI
applications.

A new "Export Specified Packets" menu option allows you to specify which
packets to write out, with the default being the displayed packets (and
those on which the displayed packets depend for, e.g.  reassembly), and
never makes the resulting file the current file.

The two operations are conceptually distinct.  Lumping them into one
menu item, with the default for "Save As" being "displayed packets only"
and thus making it behave like the latter operation, was causing some
confusion; see, for example, bug 6640.

Make the dialog popped up if you try to "Save As" or "Export Specified
Packets" on top of an existing file ask the "do you want to do this?"
question in the main part of the message, and note in the secondary text
that doing that will overwrite what's in the file; that matches what
TextEdit on OS X and the GNOME text editor say.

------------------------------------------------------------------------
r42791 | etxrab | 2012-05-22 14:12:59 -0700 (Tue, 22 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix PCH dissection
------------------------------------------------------------------------
r42790 | pascal | 2012-05-22 13:34:20 -0700 (Tue, 22 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Dissect Operator Specific Use container in Protocol Configuration Options IE
Put protocol and container ID in a subtree

------------------------------------------------------------------------
r42783 | etxrab | 2012-05-22 08:39:12 -0700 (Tue, 22 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Set paging indication and start fixing TFI list.
------------------------------------------------------------------------
r42782 | morriss | 2012-05-22 07:00:19 -0700 (Tue, 22 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Get rid of non-ASCII chars.  Remove a few trailing commas.
------------------------------------------------------------------------
r42781 | etxrab | 2012-05-22 05:35:49 -0700 (Tue, 22 May 2012) | 1 line
Changed paths:
   M /trunk/ui/win32/file_dlg_win32.c

cf_save -> cf_save_as
------------------------------------------------------------------------
r42780 | etxrab | 2012-05-22 04:53:52 -0700 (Tue, 22 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf

Collect and use E-DCH data. + one file.
------------------------------------------------------------------------
r42779 | etxrab | 2012-05-22 04:53:12 -0700 (Tue, 22 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Collect and use E-DCH data.
------------------------------------------------------------------------
r42778 | guy | 2012-05-22 04:44:55 -0700 (Tue, 22 May 2012) | 56 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

Replace the File -> Export menu with separate:

	File -> Export Packet Dissections

	    (for the "print to file", "export as CSV", "export as C array",
	    "export as PSML", and "export as PDML" items)

	File-> Export Selected Packet Bytes

	File -> Export SSL Session Keys

	File -> Export Objects

	    (for exporting objects transferred over HTTP, DICOM, or SMB)

menu items.

The operations under Export really weren't that related - about all they
had in common was that they wrote to a file stuff other than packets
in a capture file format; the operations in the groups *under* Export
were related, so the groups are now menu items of their own.

This way, the File menu more immediately indicates what options of that
sort are available.

It also means that the Export Packet Dissections item might make it
clearer that what you get from that is *NOT* something that can just be
read back into Wireshark, as at least one user who asked "how do I get
my capture back from this?" on ask.wireshark.com thought.  If that
doesn't suffice, perhaps renaming it to "Export Dissected Packets" would
help; if *that* doesn't suffice, perhaps Kevin Cullimore's suggestion
that it say "Report" rather than "Export" will do the trick:

	From: Kevin Cullimore <kcullimo@runbox.com>
	Subject: [Wireshark-users] Re: Should the "export as text" item be in an "Export Human-readable..." item in the File menu?
	Date: May 19, 2012 8:31:23 PM PDT
	To: wireshark-users <wireshark-users@wireshark.org>

	Would classifying the asymmetric export (ones that lack a
	corresponding "import" action) formats as "reports" help clear
	up the original ambiguity/misunderstanding? It seems that most
	of the gui-based network tools I'm forced to periodically
	interact with rely upon that term with at least some success.

(Or perhaps some other verb would be right in some cases, e.g. "Save SSL
Session Keys".)

This also sets a pattern for another upcoming change - splitting "Save
As" into "Save As", which always saves every packet and makes the new
file the current file, and "{Verb} Specified Packets", which lets you
specify which packets to save and does *not* make the new file the
current file.  That'd simplify the code a bit, and might clear up the
new only-in-the-trunk issue in bug 6640 - having "Save As" default to
saving displayed packets currently means that it acts more like the
latter of those functions.

------------------------------------------------------------------------
r42777 | guy | 2012-05-22 03:36:40 -0700 (Tue, 22 May 2012) | 24 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.h

We're an editor now, as we let you add, delete, and edit frame comments,
so "Save" should, for non-temporary files, mean "save the current state
of the capture file on top of the existing file" without prompting for a
file name.

That means we have to do a "safe save" - i.e, write the capture out to a
new file and, if that succeeds, rename the new file on top of the old
file - as the actual packet data to write out is in the file we're
overwriting, not in memory.  (We'd want to do that anyway, of
course....)

Update some comments.

Clean up indentation slightly, and get rid of an unnecessary variable
(in all the cases where we use it, we assign it the same value, and that
value isn't modified out from under us before we use it).

Note that after a "Save", or a "Save As" that writes out all captured
packets, we shouldn't have to close the current file and open the new
file and reread it - we should be able to open the new file and update
the frame offsets in the frame_data structures.

Note that we need to do some a better job of reporting rename failures.

------------------------------------------------------------------------
r42776 | guy | 2012-05-22 03:05:01 -0700 (Tue, 22 May 2012) | 8 lines
Changed paths:
   M /trunk/disabled_protos.c
   M /trunk/filters.c

Note that, given that ws_rename() is a wrapper around ws_stdio_rename()
on Windows, and that ws_stdio_rename() uses MoveFileEx() with
MOVEFILE_REPLACE_EXISTING and should therefore remove the target if it
exists, the extra "remove the target first" stuff should not be
necessary on Windows - if we remove it, it also keeps the code from
removing the target and then having the rename fail, with the result
that the target no longer exists.

------------------------------------------------------------------------
r42775 | guy | 2012-05-22 02:57:18 -0700 (Tue, 22 May 2012) | 8 lines
Changed paths:
   M /trunk/wsutil/file_util.h

Update comments to reflect that the GLib version is no longer relevant
(we require GLib 2.14 or later, and always use UTF-8 for pathnames on
Windows), to note that ws_stdio_rename() should have UN*X-style
rename semantics in that it removes the target if necessary, and to give
more details in other ways.

Clean up indetation a bit.

------------------------------------------------------------------------
r42774 | sahlberg | 2012-05-22 00:51:12 -0700 (Tue, 22 May 2012) | 25 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

TCP: Some protocols running ontop of TCP needs the PDUs to be delivered in order. for example decryption of DCERPCoverHTTP.
For such protocols, hte state gets out of sync of for example the same PDU is invoked twice in a row, which sometimes can happen if there is tcp retransmission and we see the same PDU twice. First for hte original segment and a second time for the tcp retransmission.
These protocols might lack an easy way to detect that a PDU is seen twice or out of order.

To handle this a little better, offer a TCP option that defaults to being disabled but when enabled skips invoking any subdissector for retransmitted or out of order packets.
(For some virtualization environments it sometimes becomes VERY common to see false tcp retransmissions due to segments being captured twice making this even worse)


We dont want this option to default to ON because for most cases we do want the current behaviour where the subdissector is called twice, or more, for any PDU that is retrasnmitted on the TPC layer.
For example, assume a SMB response packet is retransmitted on the TCP level.
This may result in a capture file that looks like
1 -> SMB request
2 <- SMB response to 1  
... 1 second ...
3 <- SMB response to 1   TCP retransmission

For this case we definitely want packet 3 to be passed to the SMB layer so that 
the request/respons ematching will detect that the response time for this transaction was > 1.0 second
We want smb.time to indicate the delta betwenn packets 1 and 3
as well as the SMB Service Response Time to indicate that this command took very long.





------------------------------------------------------------------------
r42773 | sahlberg | 2012-05-21 23:23:36 -0700 (Mon, 21 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/req_resp_hdrs.c

HTTP: RPC/HTTP do a better detection and parsing of RPC over HTTP

From Matthieu Patou <mat@matws.net>

------------------------------------------------------------------------
r42772 | sahlberg | 2012-05-21 22:56:39 -0700 (Mon, 21 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

packet-smb2: dissect the channel sequence in the SMB 2.2 header

From Stefan Metzmacher <metze@samba.org>

------------------------------------------------------------------------
r42771 | sahlberg | 2012-05-21 22:55:05 -0700 (Mon, 21 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

SMB: Add dissection of TRANS2_REQUEST_TRANSPORT_ENCRYPTION messages

From Stefan Metzmacher <metze@samba.org>

------------------------------------------------------------------------
r42770 | sahlberg | 2012-05-21 22:53:28 -0700 (Mon, 21 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

SMB: Dissect TRANS2_SET_FS_INFORMATION infolevel

From Stefan Metzmacher <metze@samba.org>

------------------------------------------------------------------------
r42769 | sahlberg | 2012-05-21 22:51:16 -0700 (Mon, 21 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

SMB: Call dissect_nt_quota() via a new dissect_sfsi_request/response()

From Stefan Metzmacher <metze@samba.org>


------------------------------------------------------------------------
r42768 | sahlberg | 2012-05-21 22:48:55 -0700 (Mon, 21 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c
   M /trunk/epan/dissectors/packet-smb2.h

SMB2: Add dissection of the encrypted SMB2 headers

From Matthieu Patou <mat@matws.net>


------------------------------------------------------------------------
r42767 | sahlberg | 2012-05-21 22:46:47 -0700 (Mon, 21 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

SMB2: Add support for the "encrypted" flag for shares

From Michael Adam <obnox@samba.org>

------------------------------------------------------------------------
r42766 | sahlberg | 2012-05-21 22:45:30 -0700 (Mon, 21 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

SMB2: Fix, the flag is called PERSISTENT_HANDLES, not LARGE_MTU

From Michael Adam <obnox@samba.org>


------------------------------------------------------------------------
r42765 | sahlberg | 2012-05-21 22:44:07 -0700 (Mon, 21 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

SMB2: Add support for SMB2_GLOBAL_CAP_ENCRYPTION flag

From Michael Adam <obnox@samba.org>


------------------------------------------------------------------------
r42764 | guy | 2012-05-21 20:52:12 -0700 (Mon, 21 May 2012) | 12 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_statusbar.c
   M /trunk/ui/qt/wireshark_application.cpp

The GUI's state machine requires that, when reloading a capture after a
save, we post capture file callback events similar to the ones posted
when reading a capture - otherwise, the reload will leave the welcome
screen up.

Rename cf_cb_file_save_reload_finished to cf_cb_file_reload_finished,
add a cf_cb_file_reload_started callback, have them work similarly to
read_finished and read_started except that the reload uses "Reloading"
in the progress bar and status bar.

Clean up some indentation while we're at it.

------------------------------------------------------------------------
r42763 | guy | 2012-05-21 19:37:32 -0700 (Mon, 21 May 2012) | 3 lines
Changed paths:
   M /trunk/packet-range.c

Note that packet_range_calc() and packet_range_calc_user() can be
painfully slow with a large capture.

------------------------------------------------------------------------
r42762 | morriss | 2012-05-21 18:59:34 -0700 (Mon, 21 May 2012) | 8 lines
Changed paths:
   M /trunk/file.c

Finish fixing https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7270#c4 :

Revert r42758 as it only helps in one case; rather, fix it correctly: if
we're redissecting or refiltering, clear any frame dependencies as we go
along.  (Fortunately, frame dependencies are all forward dependencies--
meaning that a given frame can only be depended upon by a later frame--
so we can do this as we rescan the packets/frames.)

------------------------------------------------------------------------
r42760 | pascal | 2012-05-21 14:49:11 -0700 (Mon, 21 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis-lsp.c

Fix indentation

------------------------------------------------------------------------
r42759 | pascal | 2012-05-21 13:51:22 -0700 (Mon, 21 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis-lsp.c

From gyanesh via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7267 :
Add dissector function for SPB link metric sub tlv (type 29)

------------------------------------------------------------------------
r42758 | morriss | 2012-05-21 12:44:24 -0700 (Mon, 21 May 2012) | 6 lines
Changed paths:
   M /trunk/file.c

Partial fix for https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7270#c4 :

Clear the dependent_of_displayed flag when there's no dfilter.  This only
helps the case when you clear a display filter before moving on to another
display filter.

------------------------------------------------------------------------
r42755 | pascal | 2012-05-21 12:27:38 -0700 (Mon, 21 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-nas_eps.c
   M /trunk/epan/dissectors/packet-sgsap.c

Display Element ID in hexadecimal (like in 3GPP specs)
Display EPS bearer ID in decimal

------------------------------------------------------------------------
r42754 | wmeier | 2012-05-21 11:25:29 -0700 (Mon, 21 May 2012) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c

Fix "Function call argument is an uninitialized value" issue found by scan-build.
(It seems to me that this issue would rarely, if ever, actually occur).

Also:
- Use val_to_str_const() as appropriate;
- Localize some variables;
- Remove unneeded initializers;
- Do some parenthesizing;
- Use a consistent formatting style;
- Do whitespace cleanup.

------------------------------------------------------------------------
r42752 | morriss | 2012-05-21 10:09:15 -0700 (Mon, 21 May 2012) | 5 lines
Changed paths:
   M /trunk/file.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7270 :

Don't mark frames as dependent upon a displayed frame unless the (supposedly)
displayed frame is actually displayed.  (Fix to r41214 <sigh>.)

------------------------------------------------------------------------
r42748 | wmeier | 2012-05-21 09:12:56 -0700 (Mon, 21 May 2012) | 3 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

Cleanup whitespace;
Reformat hf[] entries.

------------------------------------------------------------------------
r42747 | wmeier | 2012-05-21 08:56:26 -0700 (Mon, 21 May 2012) | 3 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

Init some variables to prevent scan-build "Function call argument is an uninitialized value" messages.
(Not actually a bug due to the way the code works ?)

------------------------------------------------------------------------
r42746 | wmeier | 2012-05-21 08:06:24 -0700 (Mon, 21 May 2012) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nhrp.c

Init a pointer to prevent a (not actually valid) scan-build "Function call argument is an uninitialized value" msg
Also:
 - #if 0 out some unused hf[] entries;
 - use val_to_str_const() in a few places;
 - remove some unneeded initializers;
 - do col_set_str()/col_clear() before referencing tvb;
 - reformat hf[] entries;
 - Fix whitespace (4-space tabs, etc).

------------------------------------------------------------------------
r42745 | wmeier | 2012-05-21 07:25:27 -0700 (Mon, 21 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sync.c

Additional cleanup:
- use #if 0/#endif to comment out code(instead of /* ...*/
- remove unused #define
- replace col_clear()/col_add() by col_set()

------------------------------------------------------------------------
r42744 | wmeier | 2012-05-21 07:02:40 -0700 (Mon, 21 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sync.c

From Evan Huus: Unused Prefs registration;
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7273

From me: whitespace cleanup;

------------------------------------------------------------------------
r42743 | wmeier | 2012-05-21 06:18:57 -0700 (Mon, 21 May 2012) | 2 lines
Changed paths:
   M /trunk/tap-rtp-common.c

Fix some indentation.

------------------------------------------------------------------------
r42742 | darkjames | 2012-05-21 06:07:33 -0700 (Mon, 21 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c

Improve Gadu-Gadu dissector (part III)

------------------------------------------------------------------------
r42741 | pascal | 2012-05-21 02:37:58 -0700 (Mon, 21 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

From Evan Huus via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7271 :
Remove useless null check

------------------------------------------------------------------------
r42740 | pascal | 2012-05-21 02:18:39 -0700 (Mon, 21 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt

Add packet-sync.c to epan\CMakeLists.txt

------------------------------------------------------------------------
r42739 | etxrab | 2012-05-21 01:21:26 -0700 (Mon, 21 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From David Wei:
fix for Higher bitrates than 16 Mbps flag.
------------------------------------------------------------------------
r42738 | etxrab | 2012-05-21 00:42:09 -0700 (Mon, 21 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/wslua/wslua_gui.c
   M /trunk/epan/wslua/wslua_pinfo.c
   M /trunk/epan/wslua/wslua_proto.c

From Evan Huus:
Fix Three memory leaks and a bad if-condition, as caught by CppCheck.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7272
------------------------------------------------------------------------
r42737 | etxrab | 2012-05-21 00:34:20 -0700 (Mon, 21 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sync.c

Use new_register_dissector.
------------------------------------------------------------------------
r42736 | etxrab | 2012-05-21 00:28:13 -0700 (Mon, 21 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xmpp.c

From Michael Mann:
Check for enabled XML dissecto.
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6625
xmpp decoder crashes when xml is disabled
------------------------------------------------------------------------
r42735 | etxrab | 2012-05-21 00:11:36 -0700 (Mon, 21 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-sync.c

From David Wei:
New dissector for MBMS synchronisation protocol.
------------------------------------------------------------------------
r42734 | wmeier | 2012-05-20 19:20:53 -0700 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.h

Whitespace cleanup;

------------------------------------------------------------------------
r42733 | wmeier | 2012-05-20 19:13:49 -0700 (Sun, 20 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

General cleanup:
- 4-space tabs, trailing whitespace, etc
- use a consistent formatting style
- ...

------------------------------------------------------------------------
r42732 | wmeier | 2012-05-20 18:00:12 -0700 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Prevent (what seems to me to be) a possible null pointer dereference.

------------------------------------------------------------------------
r42731 | jmayer | 2012-05-20 17:23:13 -0700 (Sun, 20 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Two cases where gcc has problems to detect that a specific specific
variable may not be used uninitialized.

------------------------------------------------------------------------
r42730 | wmeier | 2012-05-20 17:20:09 -0700 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix 'unused parameter' warning.

------------------------------------------------------------------------
r42729 | etxrab | 2012-05-20 14:24:18 -0700 (Sun, 20 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Set up conversations for more channel types
------------------------------------------------------------------------
r42728 | pascal | 2012-05-20 13:56:42 -0700 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Upgrade NAS dissector to Release 10 (v10.6.1)

------------------------------------------------------------------------
r42727 | darkjames | 2012-05-20 11:32:44 -0700 (Sun, 20 May 2012) | 14 lines
Changed paths:
   M /trunk/epan/strutil.c

Revert r35131 fix bug #5738

g_unichar_isprint() is for *wide characters*.
For UTF-8 multibyte characters we could 
use g_utf8_validate() and g_utf8_next_char(),
but IMHO format_text_* should be ASCII-only.

We rather need to store encoding of FT_STRING[Z]
and in proto_item_fill_label() call appropiate
function.
For ENC_ASCII use format_text(),
for unicode (ENC_UTF*, ENC_UCS*) use format_text_utf(),
etc..

------------------------------------------------------------------------
r42724 | gerald | 2012-05-20 07:03:32 -0700 (Sun, 20 May 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-05-20]
------------------------------------------------------------------------
r42723 | tuexen | 2012-05-20 03:57:12 -0700 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Make the compiler happy.

------------------------------------------------------------------------
r42722 | pascal | 2012-05-20 02:50:34 -0700 (Sun, 20 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-nas_eps.c

Upgrade NAS EPS dissector to Release 10 (10.6.1)

------------------------------------------------------------------------
r42721 | guy | 2012-05-20 01:56:06 -0700 (Sun, 20 May 2012) | 13 lines
Changed paths:
   M /trunk/cfile.c
   M /trunk/cfile.h
   M /trunk/file.c
   M /trunk/rawshark.c
   M /trunk/tshark.c
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/drag_and_drop.c
   M /trunk/ui/gtk/file_import_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/main_toolbar.h
   M /trunk/ui/gtk/new_packet_list.c
   M /trunk/ui/gtk/summary_dlg.c

Change the "user_saved" member of a capture_file structure to
"unsaved_changes", and have it be TRUE iff changes have been made to the
file since it was read - *not* if it's a temporary file from a live
capture.

Check the "is_tempfile" member, and the "unsaved_changes" member, when
appropriate.

Just have a set_toolbar_for_capture_file() routine that updates the
"save", "close", and "reload" toolbar as appropriate, given a
capture_file structure - absorb the function of
set_toolbar_for_unsaved_capture_file() into it.

------------------------------------------------------------------------
r42720 | pascal | 2012-05-19 12:05:36 -0700 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-mp4ves.c
   M /trunk/epan/dissectors/packet-mpls-pm.c
   M /trunk/epan/dissectors/packet-mpls-psc.c
   M /trunk/epan/dissectors/packet-omron-fins.c
   M /trunk/epan/dissectors/packet-ospf.c

Fix RVALS() macro usage

------------------------------------------------------------------------
r42719 | wmeier | 2012-05-19 10:21:32 -0700 (Sat, 19 May 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/conversations_table.c

Add an 'if' test to prevent a potential null pointer dereference
identified by clang scan-build.


------------------------------------------------------------------------
r42718 | wmeier | 2012-05-19 09:55:22 -0700 (Sat, 19 May 2012) | 3 lines
Changed paths:
   M /trunk/ui/gtk/conversations_table.c

Rework 'ct_nb_switch_page_cb()' slightly to prevent a scan-build "null pointer de-reference" message;
(In practice, the "null pointer de-reference" would not actually occur ?).

------------------------------------------------------------------------
r42717 | wmeier | 2012-05-19 09:07:50 -0700 (Sat, 19 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

Rework proto_registrar_dump_protocols() to prevent a Clang scan-build "de-reference of a null poiunter" warning
(In practice, bug would not actually occur).

------------------------------------------------------------------------
r42716 | pascal | 2012-05-19 09:06:12 -0700 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/lpp/lpp.cnf
   M /trunk/asn1/rrlp/rrlp.cnf
   M /trunk/epan/dissectors/packet-lpp.c
   M /trunk/epan/dissectors/packet-rrlp.c

Use col_append_sep_str instead of col_append_str

------------------------------------------------------------------------
r42715 | wmeier | 2012-05-19 07:20:55 -0700 (Sat, 19 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-ansi_683.c
   M /trunk/epan/dissectors/packet-ansi_a.c

Fix some "warning: Value stored to '...' is never read" clang scan-build warnings.
Also; Do some whitespace cleanup in a few cases.

------------------------------------------------------------------------
r42714 | darkjames | 2012-05-19 06:27:43 -0700 (Sat, 19 May 2012) | 7 lines
Changed paths:
   M /trunk/wiretap/file_wrappers.c

Z_BLOCK was added in zlib-1.2.0.5

Pass Z_NO_FLUSH to inflate() when Z_BLOCK is not defined,
just in case also disable fast seeking when it's not defined.

References: http://www.wireshark.org/lists/wireshark-dev/201205/msg00145.html 

------------------------------------------------------------------------
r42713 | pascal | 2012-05-19 05:32:10 -0700 (Sat, 19 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.c

From Thomas Loockx via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7269 :
Add BGP MDT-SAFI dissection (RFC6037)

------------------------------------------------------------------------
r42712 | pascal | 2012-05-19 03:35:43 -0700 (Sat, 19 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis-hello.c

From gyanesh via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7262 :
Digest details display issue in SPB Digest subtlv (ISIS hello pdu)

------------------------------------------------------------------------
r42711 | darkjames | 2012-05-19 00:57:45 -0700 (Sat, 19 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c

Improve Gadu-Gadu dissector and fix some comments.

------------------------------------------------------------------------
r42710 | etxrab | 2012-05-18 23:20:05 -0700 (Fri, 18 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix the DCH data collection for conversation setup
------------------------------------------------------------------------
r42709 | darkjames | 2012-05-18 10:43:48 -0700 (Fri, 18 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gadu-gadu.c

Improve Gadu-Gadu dissector.

------------------------------------------------------------------------
r42708 | morriss | 2012-05-18 10:19:50 -0700 (Fri, 18 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.nmake

There's no need to include Custom.common here; it gets pulled in by Makefile.common
------------------------------------------------------------------------
r42707 | morriss | 2012-05-18 09:20:36 -0700 (Fri, 18 May 2012) | 1 line
Changed paths:
   A /trunk/epan/dissectors/Custom.common (from /trunk/epan/dissectors/Custom.nmake:42706)
   D /trunk/epan/dissectors/Custom.nmake
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/Makefile.nmake

Allow custom dissectors in automake too.
------------------------------------------------------------------------
r42706 | guy | 2012-05-17 21:06:35 -0700 (Thu, 17 May 2012) | 4 lines
Changed paths:
   M /trunk/dumpcap.c

Expand a comment.

Clear the struct sigaction *before* we fill in any fields in it.

------------------------------------------------------------------------
r42705 | guy | 2012-05-17 20:31:50 -0700 (Thu, 17 May 2012) | 4 lines
Changed paths:
   M /trunk/file.c

When saving packets, fill in hdr.presence_flags from the flags in the
frame_data structure; there's no guarantee that the wtap_pkthdr in the
wtap structure reflects the current packet.

------------------------------------------------------------------------
r42691 | pascal | 2012-05-17 14:24:48 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb-ccid.c

Tabs -> spaces

------------------------------------------------------------------------
r42689 | pascal | 2012-05-17 14:11:22 -0700 (Thu, 17 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-iso7816.c
   M /trunk/epan/dissectors/packet-usb-ccid.c

From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7255 :
dissector for generic ISO 7816 messages (atr and apdus)

------------------------------------------------------------------------
r42687 | tuexen | 2012-05-17 13:49:09 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/macosx-setup.sh

Use some newer versions.

------------------------------------------------------------------------
r42686 | wmeier | 2012-05-17 13:41:46 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v5dl.c

Fix an "unused variable" warning....

------------------------------------------------------------------------
r42685 | wmeier | 2012-05-17 13:36:23 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Fix the fix ....

------------------------------------------------------------------------
r42684 | wmeier | 2012-05-17 13:30:59 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Silence a "may be used uninitialiuzed" warning.....

------------------------------------------------------------------------
r42683 | wmeier | 2012-05-17 13:13:22 -0700 (Thu, 17 May 2012) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpteam.c
   M /trunk/epan/dissectors/packet-mactelnet.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtp-midi.c
   M /trunk/epan/dissectors/packet-slowprotocols.c
   M /trunk/epan/dissectors/packet-v5dl.c
   M /trunk/epan/dissectors/packet-v5ef.c
   M /trunk/epan/dissectors/packet-yhoo.c

General cleanup including as appropriate:
 - Remove unneeded #include files (string.h, addr_resolv.h);
 - Remove unneeded 'if(!initialized){...}' in proto_reg_handoff();
 - Reformat hf[] entries;
 - Remove unneeded variable initializations;
 - "localize" some variables;
 - Whitespace/indentation/long lines/formatting
(in one case: re-order code slightly to not do col_set_str() & etc until
              after initial "frame acceptance testing" by dissector.

------------------------------------------------------------------------
r42682 | darkjames | 2012-05-17 12:41:19 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-smb2.c

Fix copy&paste: hf variable name in hfi->abbrev

------------------------------------------------------------------------
r42679 | tuexen | 2012-05-17 08:31:15 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-megaco.c

No leading whitespaces in the INFO column.

------------------------------------------------------------------------
r42678 | wmeier | 2012-05-17 07:35:11 -0700 (Thu, 17 May 2012) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ehs.c
   M /trunk/epan/dissectors/packet-gre.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_sms_ud.c
   M /trunk/epan/dissectors/packet-gvrp.c
   M /trunk/epan/dissectors/packet-pdcp-lte.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-usb.c

General Cleanup including:
- Remove unneeded #include <stdlib.h>;
- Remove "README.developer" comments;
- Reformat hf[] entries;
- Remove unneeded variable initialization;
- "localize" some variables;
- Whitespace/indentation/long lines/formatting
- (In one case) proto_tree_add_uint returns a proto_item* (not a proto_tree *);

------------------------------------------------------------------------
r42677 | tuexen | 2012-05-17 07:34:09 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-megaco.c

Add support for specifying an SCTP port number.

------------------------------------------------------------------------
r42676 | darkjames | 2012-05-17 03:18:53 -0700 (Thu, 17 May 2012) | 6 lines
Changed paths:
   M /trunk/epan/proto.c

Fix string buffer overflow (bug #7029)

g_strlcpy() always return the size of strlen(src), so in case of truncation it could happen that offset_r > size or offset_e > size.
Fix it by adding new function protoo_strlcpy() which returns how many bytes was copied to dest buffer.


------------------------------------------------------------------------
r42675 | pascal | 2012-05-17 01:22:34 -0700 (Thu, 17 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-spice.c

Fix spice.common_cap_byte1 filter I changed by mistake in r42664

------------------------------------------------------------------------
r42668 | gerald | 2012-05-16 15:05:47 -0700 (Wed, 16 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-spice.c

Use BASE_DEC for spice.common_cap_byte1. (Hopefully that's correct.)

------------------------------------------------------------------------
r42664 | pascal | 2012-05-16 14:20:16 -0700 (Wed, 16 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-spice.c

From Yaniv Kaul via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7264 :
Enhance the Spice dissector to deal with sized data streams and playback data
From me: fix a few hf entries

------------------------------------------------------------------------
r42663 | pascal | 2012-05-16 13:59:56 -0700 (Wed, 16 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

From Pontus Andersson via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7259 :
GTP Extension headers are dissected incorrectly

------------------------------------------------------------------------
r42661 | cmaynard | 2012-05-16 12:55:49 -0700 (Wed, 16 May 2012) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Largely, whitespace and formatting changes.  Added modelines to match.
Other misc. changes:
-> Delete useless, duplicate assignment of offset to 0 in dissect_vsnp().
-> Change short seq # display filter so it's not the same as the seq # filter.
-> pppoe.dump.gz looks to be malformed, so remove unnecessary "remlen" code in
   dissect_cp() and let the packets be displayed as malformed since they are.
-> Remove if (check_col()) checks.
-> Fix copy-and-paste of filter name for ipcp.opt.max_header.

------------------------------------------------------------------------
r42660 | gerald | 2012-05-16 10:57:12 -0700 (Wed, 16 May 2012) | 2 lines
Changed paths:
   M /trunk/test/suite-unittests.sh

Update INSTALL_DIR to match r42659.

------------------------------------------------------------------------
r42659 | morriss | 2012-05-16 09:36:32 -0700 (Wed, 16 May 2012) | 1 line
Changed paths:
   M /trunk/epan/Makefile.nmake

Fix the *test_install targets so they put the test tools in the right directory (wireshark-gtk2 is one dir up from here).
------------------------------------------------------------------------
r42658 | gerald | 2012-05-16 09:29:12 -0700 (Wed, 16 May 2012) | 4 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/dumpcap.c
   M /trunk/epan/dissectors/packet-dcerpc-dnsserver.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/pidl/dnsserver.cnf
   M /trunk/epan/frame_data.c
   M /trunk/tshark.c
   M /trunk/wiretap/catapult_dct2000.c
   M /trunk/wiretap/dbs-etherwatch.c

Fix a bunch of uninitialized variables found by Coverity Scan. CIDs
702403, 702404, 702405, 702406, 702407, 702408, 702409, 702410, 702411,
and 702412.

------------------------------------------------------------------------
r42657 | etxrab | 2012-05-16 07:56:34 -0700 (Wed, 16 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

se_allocate and store per packet data.
------------------------------------------------------------------------
r42656 | pascal | 2012-05-16 06:24:10 -0700 (Wed, 16 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7186 :
Link together access-request and access-challenge messages

------------------------------------------------------------------------
r42655 | etxrab | 2012-05-16 06:05:27 -0700 (Wed, 16 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c

Handle DCH information in RadioLinkReconfigurationPrepareFDD
------------------------------------------------------------------------
r42654 | darkjames | 2012-05-16 02:07:19 -0700 (Wed, 16 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/iax2_analysis.c
   M /trunk/ui/gtk/rtp_analysis.c

Free memory when create_tempfile() failed.

------------------------------------------------------------------------
r42653 | etxrab | 2012-05-16 01:35:53 -0700 (Wed, 16 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c

Only do HS-DSCH Control frames for now as something is broken.
------------------------------------------------------------------------
r42652 | etxrab | 2012-05-16 00:47:15 -0700 (Wed, 16 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From David Wei:
 Corrected info column for piggybacked GTPv2 messages.
------------------------------------------------------------------------
r42651 | etxrab | 2012-05-15 23:03:06 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf

Setup frame for HSDSCH
------------------------------------------------------------------------
r42650 | etxrab | 2012-05-15 22:58:30 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nbap.c

Bug fixes and add HSDSCH
------------------------------------------------------------------------
r42649 | etxrab | 2012-05-15 22:57:41 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Bug fixes and add HSDSCH
------------------------------------------------------------------------
r42648 | morriss | 2012-05-15 20:06:08 -0700 (Tue, 15 May 2012) | 16 lines
Changed paths:
   M /trunk/epan/prefs.c

Store a copy of the default preferences (e_prefs; the dissectors' default
preference values have been stored for a while now).

If a preference has not been changed from its default value, comment it out
when writing the preferences file.  That way you won't get warnings about
some new "gui.*" (or other non-dissector) preference when switching between
SVN Wireshark and some older version.


Also fix some ommissions in copy_prefs() (preferences that were not copied).


(All these non-dissector preferences seem to require an awful lot of code;
it would be very nice to have a non-dissector preference registration API that
the GUI and core could use so we could eliminate a lot of this code.)

------------------------------------------------------------------------
r42647 | wmeier | 2012-05-15 18:41:03 -0700 (Tue, 15 May 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-acn.c
   D /trunk/epan/dissectors/packet-acn.h
   M /trunk/epan/dissectors/packet-afs.c
   D /trunk/epan/dissectors/packet-afs.h
   M /trunk/epan/dissectors/packet-assa_r3.c
   D /trunk/epan/dissectors/packet-assa_r3_public.h
   M /trunk/epan/dissectors/packet-bgp.c
   D /trunk/epan/dissectors/packet-bgp.h
   M /trunk/epan/dissectors/packet-bootparams.c
   D /trunk/epan/dissectors/packet-bootparams.h

all:
     Merge .h files into .c files since .h files unused elsewhere;
     Do whitespace, indentation & formatting cleanup.
packet-acn.c:
     Fix 2 minor bugs wherein subtree not displayed in packet-details
     because tree variable used in proto_tree_add_text() always NULL.

------------------------------------------------------------------------
r42646 | morriss | 2012-05-15 18:20:55 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/epan/prefs.c

Most dissectors don't register their preferences in subtrees, so don't allocate the submodules pe_tree until it's needed.
------------------------------------------------------------------------
r42645 | gerald | 2012-05-15 17:27:26 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/iax2_analysis.c
   M /trunk/ui/gtk/rtp_analysis.c

Check the return value of create_tempfile. Fixes CIDs 280527 and 280528.

------------------------------------------------------------------------
r42644 | cmaynard | 2012-05-15 16:44:23 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Call  dissect_osinlcp_opt_type_len() to dissect the OSINLCP option type and length, unintentionally omitted.  I guess this is what happens without enough packet captures to test against and a compiler that doesn't warn enough about unused functions.  Anyone know how to get MSVC compilers to complain about such things like the other compilers do?

------------------------------------------------------------------------
r42643 | morriss | 2012-05-15 16:39:06 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

ifdef out dissect_osinlcp_opt_type_len since it's not used--should it be?
------------------------------------------------------------------------
r42642 | gerald | 2012-05-15 15:25:35 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/gtk/hostlist_table.c

Don't leak an open file handle (CID 702423).

------------------------------------------------------------------------
r42641 | gerald | 2012-05-15 15:19:51 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c

Remove a bonus semicolon (CID 702424).

------------------------------------------------------------------------
r42640 | wmeier | 2012-05-15 15:07:00 -0700 (Tue, 15 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-cimd.c
   D /trunk/epan/dissectors/packet-cimd.h

Merge packet-cimd.h into packet-cimd.c (packet-cimd.h not used elsewhere);
Remove unneeded #includes;
Reformat hf[] entries;
Do minor code rework & whitespace cleanup.

------------------------------------------------------------------------
r42639 | cmaynard | 2012-05-15 15:02:57 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

PPP OSINLCP improvements.  Note that the protocol name has been changed from OSICP to OSINLCP, which matches RFC1377 and IANA terminology from http://www.iana.org/assignments/ppp-numbers

------------------------------------------------------------------------
r42638 | gerald | 2012-05-15 14:56:02 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/tvbuff.c

Assign some variables that scan-build was complaining about.

------------------------------------------------------------------------
r42637 | pascal | 2012-05-15 14:18:39 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

Spaces -> tabs

------------------------------------------------------------------------
r42636 | pascal | 2012-05-15 14:16:06 -0700 (Tue, 15 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7261 :
Add some sanity checks when dissecting SQ_TYPE_NULL

------------------------------------------------------------------------
r42635 | cmaynard | 2012-05-15 14:01:52 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

PPP IPCP improvements.

------------------------------------------------------------------------
r42634 | wmeier | 2012-05-15 13:57:21 -0700 (Tue, 15 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-ndr.c
   M /trunk/epan/dissectors/packet-ipp.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-l1-events.c
   M /trunk/epan/dissectors/packet-memcache.c
   M /trunk/epan/dissectors/packet-osi.c
   M /trunk/epan/dissectors/packet-rfid-felica.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-smb-browse.c
   M /trunk/epan/dissectors/packet-text-media.c
   M /trunk/epan/dissectors/packet-ucp.c

Remove unneeded includes (ctype.h, stdio.h);
In one case, define our own size for a string buffer
 (instead of using a magic constant 'BUFSIZ');
In a few cases: do some whitespace, indentation & reformatting cleanup.

------------------------------------------------------------------------
r42633 | pascal | 2012-05-15 12:25:33 -0700 (Tue, 15 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Alexander Lüders & Frank Lahm via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7254 :
Enhancements for FPSpotlightRPC AFP function

------------------------------------------------------------------------
r42632 | wmeier | 2012-05-15 12:23:35 -0700 (Tue, 15 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-admin.c
   M /trunk/epan/dissectors/packet-aim-adverts.c
   M /trunk/epan/dissectors/packet-aim-bos.c
   M /trunk/epan/dissectors/packet-aim-buddylist.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim-chatnav.c
   M /trunk/epan/dissectors/packet-aim-directory.c
   M /trunk/epan/dissectors/packet-aim-email.c
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-invitation.c
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim-oft.c
   M /trunk/epan/dissectors/packet-aim-popup.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim-stats.c
   M /trunk/epan/dissectors/packet-aim-translate.c
   M /trunk/epan/dissectors/packet-aim-userlookup.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-app-pkix-cert.c
   M /trunk/epan/dissectors/packet-arcnet.c
   M /trunk/epan/dissectors/packet-artnet.c
   M /trunk/epan/dissectors/packet-aruba-adp.c
   M /trunk/epan/dissectors/packet-banana.c
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-brdwlk.c
   M /trunk/epan/dissectors/packet-capwap.c
   M /trunk/epan/dissectors/packet-ccsds.c
   M /trunk/epan/dissectors/packet-cell_broadcast.c
   M /trunk/epan/dissectors/packet-cgmp.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-cimetrics.c
   M /trunk/epan/dissectors/packet-cisco-sm.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-dtp.c
   M /trunk/epan/dissectors/packet-enttec.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcct.c
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-fcfcs.c
   M /trunk/epan/dissectors/packet-fclctl.c
   M /trunk/epan/dissectors/packet-fcoe.c
   M /trunk/epan/dissectors/packet-fcsp.c
   M /trunk/epan/dissectors/packet-g723.c
   M /trunk/epan/dissectors/packet-gdsdb.c
   M /trunk/epan/dissectors/packet-gift.c
   M /trunk/epan/dissectors/packet-git.c
   M /trunk/epan/dissectors/packet-gmrp.c
   M /trunk/epan/dissectors/packet-gnutella.c
   M /trunk/epan/dissectors/packet-gopher.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c
   M /trunk/epan/dissectors/packet-icp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ifcp.c
   M /trunk/epan/dissectors/packet-igrp.c
   M /trunk/epan/dissectors/packet-image-gif.c
   M /trunk/epan/dissectors/packet-ipfc.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ismp.c
   M /trunk/epan/dissectors/packet-iwarp-ddp-rdmap.c
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-laplink.c
   M /trunk/epan/dissectors/packet-llt.c
   M /trunk/epan/dissectors/packet-lsc.c
   M /trunk/epan/dissectors/packet-lwres.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-manolito.c
   M /trunk/epan/dissectors/packet-mesh.c
   M /trunk/epan/dissectors/packet-mip.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-mpls-echo.c
   M /trunk/epan/dissectors/packet-mpls-pm.c
   M /trunk/epan/dissectors/packet-mpls-psc.c
   M /trunk/epan/dissectors/packet-mpls-y1711.c
   M /trunk/epan/dissectors/packet-msdp.c
   M /trunk/epan/dissectors/packet-mstp.c
   M /trunk/epan/dissectors/packet-mstp.h
   M /trunk/epan/dissectors/packet-multipart.c
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-ndp.c
   M /trunk/epan/dissectors/packet-netdump.c
   M /trunk/epan/dissectors/packet-netsync.c
   M /trunk/epan/dissectors/packet-nhrp.c
   M /trunk/epan/dissectors/packet-nt-tpcp.c
   M /trunk/epan/dissectors/packet-olsr.c
   M /trunk/epan/dissectors/packet-openwire.c
   M /trunk/epan/dissectors/packet-opsi.c
   M /trunk/epan/dissectors/packet-pcli.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-pktgen.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-pw-cesopsn.c
   M /trunk/epan/dissectors/packet-pw-eth.c
   M /trunk/epan/dissectors/packet-pw-hdlc.c
   M /trunk/epan/dissectors/packet-pw-satop.c
   M /trunk/epan/dissectors/packet-redbackli.c
   M /trunk/epan/dissectors/packet-rlm.c
   M /trunk/epan/dissectors/packet-rmi.c
   M /trunk/epan/dissectors/packet-rmt-alc.c
   M /trunk/epan/dissectors/packet-rmt-common.c
   M /trunk/epan/dissectors/packet-rmt-fec.c
   M /trunk/epan/dissectors/packet-rmt-lct.c
   M /trunk/epan/dissectors/packet-rmt-norm.c
   M /trunk/epan/dissectors/packet-rsh.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtnet.c
   M /trunk/epan/dissectors/packet-sccpmg.c
   M /trunk/epan/dissectors/packet-sita.c
   M /trunk/epan/dissectors/packet-sndcp-xid.c
   M /trunk/epan/dissectors/packet-synergy.c
   M /trunk/epan/dissectors/packet-syslog.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-teamspeak2.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tivoconnect.c
   M /trunk/epan/dissectors/packet-tnef.c
   M /trunk/epan/dissectors/packet-tte-pcf.c
   M /trunk/epan/dissectors/packet-turbocell.c
   M /trunk/epan/dissectors/packet-turnchannel.c
   M /trunk/epan/dissectors/packet-udld.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-uma.c
   M /trunk/epan/dissectors/packet-v5ua.c
   M /trunk/epan/dissectors/packet-vtp.c
   M /trunk/epan/dissectors/packet-wbxml.c
   M /trunk/epan/dissectors/packet-wlccp.c
   M /trunk/epan/dissectors/packet-wol.c
   M /trunk/epan/dissectors/packet-wow.c
   M /trunk/epan/dissectors/packet-wsmp.c
   M /trunk/epan/dissectors/packet-wtls.c
   M /trunk/epan/dissectors/packet-wtp.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-xdmcp.c
   M /trunk/epan/dissectors/packet-xot.c

Remove unneeded #includes (stdlib, stdio, ctypes, time);
In a few cases: do some whitespace, indentation cleanup & reformatting.

------------------------------------------------------------------------
r42631 | gerald | 2012-05-15 12:13:10 -0700 (Tue, 15 May 2012) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Evan Huus via bug 6805:

Look before we loop

Check the value of various key count parameters against the size of their
parent tag *before* we start looping on them.

Stick an expert error on the field and bound the loop at a sane point if the
count is bogus.

------------------------------------------------------------------------
r42630 | gerald | 2012-05-15 12:11:08 -0700 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Fix a few scan-build warnings along with some whitespace.

------------------------------------------------------------------------
r42629 | etxrab | 2012-05-15 08:46:15 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c

Remove more unfinished code.
------------------------------------------------------------------------
r42628 | etxrab | 2012-05-15 08:00:52 -0700 (Tue, 15 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Use converstaion info to dissect FP DCH flows. Revert unfinished code.
------------------------------------------------------------------------
r42627 | guy | 2012-05-14 22:42:58 -0700 (Mon, 14 May 2012) | 13 lines
Changed paths:
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

Make the encoding argument uniformly guint rather than gint.

Put the code that's currently common to the ENC_ASCII and ENC_UTF_8
cases in tvb_get_ephemeral_string_enc() into tvb_get_ephemeral_string(),
and call tvb_get_ephemeral_string() in those cases.  Skip the
tvb_ensure_bytes_exist() and ensure_contiguous() calls in the ENC_UTF_16
and ENC_UCS_2 cases, as they're unnecessary there.

Update the comment for tvb_get_ephemeral_string_enc().

Make tvb_get_ephemeral_stringz_enc() handle the encodings that
tvb_get_ephemeral_string_enc() does.

------------------------------------------------------------------------
r42626 | guy | 2012-05-14 16:19:13 -0700 (Mon, 14 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c

Make the "idl-light"-to-dissector generator handle hex (and octal)
values in enums (and, while we're at it, add some error checking for
valid values).  (The regenerated dissectors don't differ usefully from
the fixed dissectors, so we don't check them in.)

------------------------------------------------------------------------
r42625 | guy | 2012-05-14 16:05:28 -0700 (Mon, 14 May 2012) | 23 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/packet-dcerpc-drsuapi-template.c
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c
   M /trunk/epan/dissectors/packet-dcerpc-budb.c
   M /trunk/epan/dissectors/packet-dcerpc-butc.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.h

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Change the "idl-light"-to-dissector generator to use ENC_NA for
structures and ENC_LITTLE_ENDIAN for bitmasks (are they always
little-endian, or should they check the data representation?).  Also
change it to properly set the display format for FT_ABSOLUTE_TIME fields
(it now specifies whether to show local time, UTC, or UTC with a
1-origin day-of-year).

Change one routine in the template for the DRSUAPI dissector to use
ENC_UTF_16|ENC_LITTLE_ENDIAN with proto_tree_add_item() (the field it
dissects is known to be a string, so there's no need to check its data
type).

Regenerate the BUDB, BUTC, and DRSUAPI dissectors.  (The generated BUTC
dissector handles pointers differently - either the old dissector was
wrong, or the generator is wrong, or the IDL for the protocol is wrong,
or the difference doesn't actually affect dissection.)

The generator doesn't currently handle hex values in enums correctly;
manually fix packet-dcerpc-drsuapi.h.

------------------------------------------------------------------------
r42624 | pascal | 2012-05-14 14:46:02 -0700 (Mon, 14 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Frank Lahm via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7256 :
Fix subquery_count loop variable updating

------------------------------------------------------------------------
r42623 | gerald | 2012-05-14 10:54:47 -0700 (Mon, 14 May 2012) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh
   M /trunk/tools/win64-setup.sh

Try using an OBS-derived Gtk2 bundle, second try.

------------------------------------------------------------------------
r42622 | darkjames | 2012-05-13 23:32:16 -0700 (Sun, 13 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.c
   M /trunk/epan/wslua/wslua_tree.c

tvb_unicode_strsize() returns number of bytes, NOT number of UCS-2 characters.

------------------------------------------------------------------------
r42621 | guy | 2012-05-13 17:49:05 -0700 (Sun, 13 May 2012) | 15 lines
Changed paths:
   M /trunk/epan/libwireshark.def
   M /trunk/epan/proto.h
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h
   M /trunk/epan/wslua/make-init-lua.pl
   M /trunk/epan/wslua/template-init.lua
   M /trunk/epan/wslua/wslua_tree.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Add new "add_packet_field" method to the TreeItem class, taking a
protocol field (*not* a protocol), TvbRange, and encoding value as
arguments.

Add the ENC_ values to init.lua.  Make them all hex #defines so
make-init-lua.pl can easily extract them.

Export tvb_unicode_strsize() for use by Lua (and elsewhere as desired). 
Note that it handles UTF-16 and UTF-8, and fix the comment to note that
its count of hexadectets *does* include the null terminator (that's what
the code does).

------------------------------------------------------------------------
r42620 | pascal | 2012-05-13 14:02:42 -0700 (Sun, 13 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Frank Lahm via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7246 :
Patch adding dissection of time data

------------------------------------------------------------------------
r42619 | pascal | 2012-05-13 12:03:48 -0700 (Sun, 13 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Revert 42618 (in 3GPP vocabulary multirat means multi radio access technology)

------------------------------------------------------------------------
r42618 | cmaynard | 2012-05-13 11:01:35 -0700 (Sun, 13 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

More typos: Multirat -> Multirate.

------------------------------------------------------------------------
r42617 | cmaynard | 2012-05-13 10:55:06 -0700 (Sun, 13 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Convert tabs to spaces.  Fix some typos.

------------------------------------------------------------------------
r42616 | etxrab | 2012-05-13 09:34:53 -0700 (Sun, 13 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Tabs spelling
------------------------------------------------------------------------
r42614 | wmeier | 2012-05-13 07:53:26 -0700 (Sun, 13 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

General cleanup:
- whitespace;
- formatting (including long lines & hf[] entries).

------------------------------------------------------------------------
r42612 | gerald | 2012-05-13 07:03:29 -0700 (Sun, 13 May 2012) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2012-05-13]
------------------------------------------------------------------------
r42611 | etxrab | 2012-05-13 07:00:10 -0700 (Sun, 13 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Renove redundant code
------------------------------------------------------------------------
r42610 | etxrab | 2012-05-13 06:58:10 -0700 (Sun, 13 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Fix de_rr_cell_opt_sacch decoding the DTX cell options wrongly, by using proto_tree_add_split_bits_item_ret_val https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7253
------------------------------------------------------------------------
r42609 | guy | 2012-05-12 16:00:15 -0700 (Sat, 12 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/x11-extension-implementation.h
   M /trunk/tools/process-x11-xcb.pl

A routine that processes a struct_XXX() won't necessarily use its
encoding argument; mark it as (potentially) unused.

------------------------------------------------------------------------
r42608 | guy | 2012-05-12 15:56:46 -0700 (Sat, 12 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

"byte_order" is an encoding value, so it should be guint.

------------------------------------------------------------------------
r42607 | guy | 2012-05-12 15:25:29 -0700 (Sat, 12 May 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ziop.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Replaced the "little_endian" Boolean value with an "byte_order" value
containing the setting of the byte-order ENC_ bit. 

------------------------------------------------------------------------
r42606 | wmeier | 2012-05-12 15:19:02 -0700 (Sat, 12 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

Fix a compile error

------------------------------------------------------------------------
r42605 | wmeier | 2012-05-12 15:14:02 -0700 (Sat, 12 May 2012) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-rdp.c
   D /trunk/epan/dissectors/packet-rdp.h

General cleanup:
- Fix two minor bugs which resulted in missing entries in packet details pane;
- Remove packet-rdp.h: It's not used elsewhere;
- Define 3 global fcns as static: they're only referenced within packet-rdp.c;;
- Localize some variable definitions & remove uneeded variable initializations;
- ...
- Fix whitespace and indentation.


------------------------------------------------------------------------
r42604 | guy | 2012-05-12 13:27:35 -0700 (Sat, 12 May 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-miop.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Replaced the "little_endian" Boolean value with an "byte_order" value
containing the setting of the byte-order ENC_ bit. 

------------------------------------------------------------------------
r42603 | cmaynard | 2012-05-12 13:26:42 -0700 (Sat, 12 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntp.c

Fix display filter prefix from "ntpctrl." to "ntp.ctrl."  Part of a patch submitted by Michael Mann in bug 2794, but for some reason the patch specified the filter prefix as "nap.ctrl.", which I don't think is right.

------------------------------------------------------------------------
r42602 | guy | 2012-05-12 13:10:18 -0700 (Sat, 12 May 2012) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Mention ENC_UCS_2 and ENC_UTF_16.

------------------------------------------------------------------------
r42601 | guy | 2012-05-12 13:07:08 -0700 (Sat, 12 May 2012) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/x11-enum.h
   M /trunk/epan/dissectors/x11-extension-errors.h
   M /trunk/epan/dissectors/x11-extension-implementation.h
   M /trunk/epan/dissectors/x11-glx-render-enum.h
   M /trunk/tools/process-x11-xcb.pl

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Updated tools/process-x11-xcb.pl to support different encoding values
for different fields.  Replaced the "little_endian" Boolean value with a
"byte_order" value containing the setting of the byte-order ENC_ bit. 
Regenerated X11 fields from current x.org git.

------------------------------------------------------------------------
r42600 | darkjames | 2012-05-12 12:49:49 -0700 (Sat, 12 May 2012) | 2 lines
Changed paths:
   M /trunk/doc/dumpcap.pod

From r37696 default file format for dumpcap is pcap-ng. Fix manuals.

------------------------------------------------------------------------
r42599 | cmaynard | 2012-05-12 10:55:09 -0700 (Sat, 12 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Evan Huus via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7239
Make inputint and outputint fields UINT32s instead of UINT16s.

------------------------------------------------------------------------
r42598 | pascal | 2012-05-12 08:19:25 -0700 (Sat, 12 May 2012) | 4 lines
Changed paths:
   M /trunk/ui/gtk/io_stat.c

From Akos Lukovics:
Fix div-by-zero error in the moving average filter of IO graph
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6236

------------------------------------------------------------------------
r42597 | alagoutte | 2012-05-12 06:12:01 -0700 (Sat, 12 May 2012) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jim Young via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7252
Add wlan.ra field value to wlan.addr

The (hidden) field wlan.addr==xx:xx:xx:xx:xx:xx currently matches wlan.da,
wlan.bssid, wlan.sa and wlan.da fields but not wlan.ra field.

------------------------------------------------------------------------
r42596 | darkjames | 2012-05-12 00:57:51 -0700 (Sat, 12 May 2012) | 7 lines
Changed paths:
   M /trunk/ui/gtk/main_proto_draw.c

Fix bug #7251

We're already checking in gtk if end highlight offsets don't exceed len.
Do the same for start offset.

I wonder if it this checks should be also done when adding items to tree...

------------------------------------------------------------------------
r42595 | guy | 2012-05-11 18:59:00 -0700 (Fri, 11 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

hf_x11_keycodes is an FT_NONE; use ENC_NA with it.

------------------------------------------------------------------------
r42594 | guy | 2012-05-11 18:54:49 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

string16_with_buffer_preallocated() takes a byte-order gboolean as its
argument.

------------------------------------------------------------------------
r42593 | guy | 2012-05-11 17:43:46 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42592 | guy | 2012-05-11 16:55:54 -0700 (Fri, 11 May 2012) | 12 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/tvbuff.c

Add ENC_UTF_16 and ENC_UCS_2.  Note that UTF-16 and UCS-2 are not the
same, and that the routines to get "Unicode" strings are really doing
UCS-2 (and not doing anything about code values that aren't valid in
UCS-2 strings).

Have tvb_get_ephemeral_string_enc() separate cases for ASCII and UTF-8,
even though they're *currently* treated the same.

For FT_UINT_STRING, treat an encoding value of TRUE as meaning
"little-endian ASCII"; pass all other encodings through to
tvb_get_ephemeral_string_enc().

------------------------------------------------------------------------
r42591 | cmaynard | 2012-05-11 13:24:27 -0700 (Fri, 11 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Despite the OSX-10.5-x86 buildbot insisting that they are, neither 'flags' nor 'fh_tree' were used uninitialized, but make a change to shut it up.

------------------------------------------------------------------------
r42590 | guy | 2012-05-11 13:02:52 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42589 | guy | 2012-05-11 12:53:43 -0700 (Fri, 11 May 2012) | 2 lines
Changed paths:
   M /trunk/plugins/m2m/packet-m2m.c

Show m2m.fch_burst_tlv_value in decimal.

------------------------------------------------------------------------
r42588 | guy | 2012-05-11 12:27:59 -0700 (Fri, 11 May 2012) | 5 lines
Changed paths:
   M /trunk/plugins/wimax/msg_dsd.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Add hf[] entries for some fields that didn't have them.

------------------------------------------------------------------------
r42587 | guy | 2012-05-11 12:22:25 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/plugins/unistim/packet-unistim.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42586 | guy | 2012-05-11 12:20:23 -0700 (Fri, 11 May 2012) | 5 lines
Changed paths:
   M /trunk/plugins/opcua/opcua_extensionobjecttable.c
   M /trunk/plugins/opcua/opcua_simpletypes.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Clean up indentation.

------------------------------------------------------------------------
r42585 | guy | 2012-05-11 12:08:31 -0700 (Fri, 11 May 2012) | 6 lines
Changed paths:
   M /trunk/plugins/m2m/packet-m2m.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Also, fix the type of what appears to be a 24-bit integral field
(cut-and-pasteo?).

------------------------------------------------------------------------
r42584 | guy | 2012-05-11 11:57:51 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42583 | guy | 2012-05-11 11:54:32 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/plugins/ethercat/packet-ecatmb.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42582 | guy | 2012-05-11 11:52:36 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42581 | cmaynard | 2012-05-11 11:01:51 -0700 (Fri, 11 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Further LCP improvements:
-> Support RFC 2153's Vendor Specific decode
-> Make more fields filterable by converting some add_text()'s to add_xyz().
-> Don't wrap call_dissector_only() within an if(tree){} block.

------------------------------------------------------------------------
r42580 | guy | 2012-05-11 10:35:56 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/ui/cli/tap-iostat.c

Clean up indentation.  (HT should not be assumed to work on 4-space tab
stops.)

------------------------------------------------------------------------
r42579 | guy | 2012-05-11 10:29:56 -0700 (Fri, 11 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/ui/cli/tap-iostat.c
   M /trunk/ui/gtk/io_stat.c

proto_registrar_get_ftype() returns an FT_ value; make its return type
"enum ftenum" to reflect that, and fix the "switch doesn't handle XXX"
warnings that provokes.

------------------------------------------------------------------------
r42578 | gerald | 2012-05-11 10:15:12 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/wiretap/ascend.y

Use "%parse-param" instead of a global variable. Fixes a scan-build
warning.

------------------------------------------------------------------------
r42577 | guy | 2012-05-11 09:38:08 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_bitmask() calls.

------------------------------------------------------------------------
r42576 | etxrab | 2012-05-11 05:14:29 -0700 (Fri, 11 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Custom.nmake
   M /trunk/epan/dissectors/Makefile.common

Make it possible to add "dirty" custom dissectors.
------------------------------------------------------------------------
r42575 | pascal | 2012-05-11 03:22:32 -0700 (Fri, 11 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.h

Commit forgotten file in revision 42573

------------------------------------------------------------------------
r42574 | pascal | 2012-05-11 02:50:28 -0700 (Fri, 11 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

Remove useless '+0' in proto_tree_add_* function calls

------------------------------------------------------------------------
r42573 | pascal | 2012-05-11 02:44:55 -0700 (Fri, 11 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

From Niels de Vos:
Add dissection of AUTH_GLUSTERFS as used in GlusterFS-3.3
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7244

------------------------------------------------------------------------
r42572 | pascal | 2012-05-11 02:38:49 -0700 (Fri, 11 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

From Niels de Vos:
Add a helper function to dissect AUTH_UNIX groups
Fix hf_rpc_auth_lk_owner entry
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7244

------------------------------------------------------------------------
r42571 | pascal | 2012-05-11 02:03:22 -0700 (Fri, 11 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Frank Lahm:
In FPSpotlightRPC packets, check for elements with 0 childs (denoted by L in TLV is sizeof(TLV tag))
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7245

------------------------------------------------------------------------
r42570 | etxrab | 2012-05-11 01:42:23 -0700 (Fri, 11 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/rnsap/packet-rnsap-template.c
   M /trunk/asn1/rnsap/rnsap.cnf
   M /trunk/epan/dissectors/packet-rnsap.c

Make it possible to dissect private IE's
------------------------------------------------------------------------
r42569 | guy | 2012-05-11 01:29:40 -0700 (Fri, 11 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h264.c

Get rid of non-ASCII character.

------------------------------------------------------------------------
r42568 | guy | 2012-05-11 01:10:42 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/c1222/packet-c1222-template.c
   M /trunk/epan/dissectors/packet-c1222.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_bitmask() calls.

------------------------------------------------------------------------
r42567 | guy | 2012-05-11 01:05:35 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_bits_item() calls.

------------------------------------------------------------------------
r42566 | guy | 2012-05-11 00:49:27 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/x509ce/x509ce.cnf
   M /trunk/epan/dissectors/packet-x509ce.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42565 | guy | 2012-05-11 00:44:43 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42564 | guy | 2012-05-11 00:38:59 -0700 (Fri, 11 May 2012) | 5 lines
Changed paths:
   M /trunk/asn1/x2ap/packet-x2ap-template.c
   M /trunk/asn1/x2ap/x2ap.cnf
   M /trunk/epan/dissectors/packet-x2ap.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Fix a field that was presumably intended to be of type FT_IPv6.

------------------------------------------------------------------------
r42563 | guy | 2012-05-11 00:36:41 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vcdu.c

Fix a commented-out proto_tree_add_uint() call that presumably was
intended to be a proto_tree_add_item() call.

------------------------------------------------------------------------
r42562 | guy | 2012-05-11 00:34:47 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/ulp/ulp.cnf
   M /trunk/epan/dissectors/packet-ulp.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42561 | guy | 2012-05-11 00:32:30 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ucp.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42560 | guy | 2012-05-11 00:10:43 -0700 (Fri, 11 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tnef.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42559 | etxrab | 2012-05-10 22:21:22 -0700 (Thu, 10 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h264.c

Correct wrong value in h264_level_bitrate_values
------------------------------------------------------------------------
r42558 | guy | 2012-05-10 20:38:04 -0700 (Thu, 10 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-srvloc.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.  (We actually need to support additional
encodings with ENC_ values and use them.)

------------------------------------------------------------------------
r42557 | guy | 2012-05-10 20:32:56 -0700 (Thu, 10 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/spnego/spnego.cnf
   M /trunk/epan/dissectors/packet-spnego.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42556 | guy | 2012-05-10 20:28:26 -0700 (Thu, 10 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/epan/dissectors/packet-snmp.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42555 | guy | 2012-05-10 20:24:32 -0700 (Thu, 10 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.  (dissect_smb2_olb_buffer() dissects an
offset-length-buffer the contents of which are a structured blob of
bytes, so the top-level item should be an FT_NONE, hence ENC_NA.)

------------------------------------------------------------------------
r42554 | morriss | 2012-05-10 11:33:24 -0700 (Thu, 10 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Fix CID 700200: the Israeli variant case can't happen in
dissect_application_isup() so comment it out for now.

------------------------------------------------------------------------
r42553 | martinm | 2012-05-10 09:10:44 -0700 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/mergecap.c

Avoid needlessly shadowing another variable.

------------------------------------------------------------------------
r42552 | cmaynard | 2012-05-10 09:09:10 -0700 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/packet.h

Trivial typo: if -> it

------------------------------------------------------------------------
r42551 | martinm | 2012-05-10 09:05:02 -0700 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/ui/cli/tap-follow.c

Avoid needlessly shadowing a variable.

------------------------------------------------------------------------
r42550 | martinm | 2012-05-10 08:57:57 -0700 (Thu, 10 May 2012) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iuup.c

Add parenthesis to clarify intent.

From Visual Studio Code Analyzer:
c:\buildbot\wireshark\trunk-vs-eca\vscodeanalysis\build\epan\dissectors\packet-iuup.c(322)
: warning C6336: Arithmetic operator has precedence over question
operator, use parentheses to clarify intent
c:\buildbot\wireshark\trunk-vs-eca\vscodeanalysis\build\epan\dissectors\packet-iuup.c(342)
: warning C6336: Arithmetic operator has precedence over question
operator, use parentheses to clarify intent
c:\buildbot\wireshark\trunk-vs-eca\vscodeanalysis\build\epan\dissectors\packet-iuup.c(401)
: warning C6336: Arithmetic operator has precedence over question
operator, use parentheses to clarify intent

------------------------------------------------------------------------
r42549 | martinm | 2012-05-10 08:49:25 -0700 (Thu, 10 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc.c

Avoid needlessly shadowing a variable.

------------------------------------------------------------------------
r42548 | martinm | 2012-05-10 07:34:21 -0700 (Thu, 10 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Formatting of { } wasn't consistent, so settle on having { at the end of
the line rather than on a  line on its own.

------------------------------------------------------------------------
r42547 | cmaynard | 2012-05-10 06:19:55 -0700 (Thu, 10 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bthci_evt.c

AFH Channel Map should be an FT_BYTES, not an FT_UINT_BYTES.
Ref: Core Version 2.1 + EDR, section 7.5.5 available from:
     https://www.bluetooth.org/Technical/Specifications/adopted.htm

------------------------------------------------------------------------
r42546 | guy | 2012-05-09 23:34:37 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-pipe.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42545 | guy | 2012-05-09 23:13:56 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sll.c

Fix a proto_tree_add_ipv4() call that was presumably intended to be a
proto_tree_add_item() call.

------------------------------------------------------------------------
r42544 | guy | 2012-05-09 22:57:12 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/sbc-ap/packet-sbc-ap-template.c
   M /trunk/epan/dissectors/packet-sbc-ap.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42543 | guy | 2012-05-09 22:55:02 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-s1ap.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42542 | guy | 2012-05-09 22:52:22 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtmpt.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42541 | etxrab | 2012-05-09 22:44:25 -0700 (Wed, 09 May 2012) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsl.c

Use the defines in IE value_string
------------------------------------------------------------------------
r42540 | cmaynard | 2012-05-09 19:49:57 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

PPP code, identifier, length and magic number are now filterable.  Don't call call_dissector() from within an if(tree){} block.  Mark dissect_lcp_linkqualmon_opt()'s pinfo arg as unused.

------------------------------------------------------------------------
r42539 | guy | 2012-05-09 19:36:50 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42538 | guy | 2012-05-09 19:32:11 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/rrlp/rrlp.cnf
   M /trunk/epan/dissectors/packet-rrlp.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42537 | guy | 2012-05-09 19:28:01 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42536 | guy | 2012-05-09 19:20:37 -0700 (Wed, 09 May 2012) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rdp.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

This involves marking string fields as special.

XXX - we need ENC_UTF_16 so that we can make the Unicode strings just be
FT_STRING and add them with ENC_UTF_16|ENC_LITTLE_ENDIAN.

------------------------------------------------------------------------
r42535 | guy | 2012-05-09 18:54:33 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Don't create alternative fields for the encrypted value of a string
attribute unless the attribute is encrypted.

------------------------------------------------------------------------
r42534 | cmaynard | 2012-05-09 18:34:11 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-juniper.c

PPP_OSICP -> PPP_OSINLCP

------------------------------------------------------------------------
r42533 | cmaynard | 2012-05-09 18:26:53 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Mention that dissect_ip_tcp_options() is used by more protocols than just IP and TCP.

------------------------------------------------------------------------
r42532 | cmaynard | 2012-05-09 18:21:37 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/ppptypes.h

PPP LCP improvements, mostly with LCP options.  checkAPIs.pl and checkfiltername.pl are happy, but checkhf.pl complains; however, all complaints are false positives - maybe a Perl expert is able to modify checkhf.pl to avoid reporting them?  Lots of changes so fuzz testing was performed, but no captures exist w/all the LCP options, so some are likely still untested.  Compiled on Windows using MSVC2010EE, which is notorious for not reporting problems that other compilers do.  Hopefully there are no warnings, but we'll see what the buildbots say ...

------------------------------------------------------------------------
r42531 | guy | 2012-05-09 18:08:50 -0700 (Wed, 09 May 2012) | 7 lines
Changed paths:
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/epan/dissectors/packet-ranap.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Also, fix a call for IPv4 addresses to use ENC_BIG_ENDIAN (yes, we do
support ENC_LITTLE_ENDIAN for IPv4 addresses - at least one protocol
apparently puts IPv4 addresses out byte-swapped!).

------------------------------------------------------------------------
r42530 | guy | 2012-05-09 18:01:18 -0700 (Wed, 09 May 2012) | 23 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-radius.h
   M /trunk/epan/radius_dict.l

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

For RADIUS, this means that, for string attributes that are encrypted,
we need separate fields for the encrypted and decrypted versions, the
former of which is an FT_BYTES (as its value is *NOT* a text string!)
and the latter of which is FT_STRING.

While we're at it:

	make some routines static that don't need to be exported;

	"encrypt=" takes a value between 1 and 3 - get the value from
	the dictionary and store it, and only do User-Password-style
	decryption for encrypt=1 attributes;

	rename "hf64" to "hf_alt", as it's a general "alternate field",
	used for 64-bit values for integral attributess, IPv6 addresses
	for "combo IP" attributes, and encrypted values for string
	fields;

	give the URL for the FreeRADIUS dictionary file format man page.

------------------------------------------------------------------------
r42529 | gerald | 2012-05-09 17:21:40 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c
   M /trunk/plugins/wimax/msg_dlmap.c

Better fixes for the last commit.

------------------------------------------------------------------------
r42528 | gerald | 2012-05-09 16:08:47 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c
   M /trunk/plugins/wimax/msg_dlmap.c
   M /trunk/plugins/wimax/msg_ulmap.c
   M /trunk/plugins/wimax/wimax_compact_dlmap_ie_decoder.c
   M /trunk/plugins/wimax/wimax_compact_ulmap_ie_decoder.c

Fix a few scan-build warnings.

------------------------------------------------------------------------
r42527 | guy | 2012-05-09 15:14:03 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Get rid of one remaining Booleans-as-encoding-argument in a
proto_tree_add_item() call.

------------------------------------------------------------------------
r42526 | guy | 2012-05-09 15:10:31 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/epan/dissectors/packet-qsig.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42525 | guy | 2012-05-09 15:08:00 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/kerberos/kerberos.cnf

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42524 | guy | 2012-05-09 15:05:21 -0700 (Wed, 09 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/q932-ros/q932-ros.cnf
   M /trunk/epan/dissectors/packet-q932-ros.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42523 | wmeier | 2012-05-09 13:39:21 -0700 (Wed, 09 May 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvbci.c

From Martin Kaiser:
 "attached is a simple fix for CID281213. Although the bug can't crash wireshark,
 dissect_si_string() is not really fit for handling negative string lengths (and
 doesn't need to)."

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7243

------------------------------------------------------------------------
r42522 | gerald | 2012-05-09 12:17:48 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/tools/make-manuf
   M /trunk/tools/make-services.pl
   M /trunk/tools/make-sminmpec.pl

Send a useful User-Agent header.

------------------------------------------------------------------------
r42521 | etxrab | 2012-05-09 07:24:46 -0700 (Wed, 09 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c

Setup more flows, flow info is incomplete.
------------------------------------------------------------------------
r42520 | etxrab | 2012-05-09 05:54:58 -0700 (Wed, 09 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c

Setup CPCH flows.
------------------------------------------------------------------------
r42519 | martinm | 2012-05-09 05:07:14 -0700 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Remove an accidental ; following a test.

------------------------------------------------------------------------
r42518 | etxrab | 2012-05-09 05:01:16 -0700 (Wed, 09 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-umts_fp.h

Collect and use more information in converstion data to be able to dissect FP flows.
------------------------------------------------------------------------
r42517 | pascal | 2012-05-08 13:25:55 -0700 (Tue, 08 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-xmcp.c

Fix last parameter for tvb_get_guid() call

------------------------------------------------------------------------
r42516 | pascal | 2012-05-08 13:20:12 -0700 (Tue, 08 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

Remove unused hf entries

------------------------------------------------------------------------
r42515 | pascal | 2012-05-08 12:38:58 -0700 (Tue, 08 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Frank Lahm:
Display guids in FPSpotlightRPC AFP packets
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7237

------------------------------------------------------------------------
r42514 | alagoutte | 2012-05-08 10:42:54 -0700 (Tue, 08 May 2012) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/epan/dissectors/packet-ldap.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang

------------------------------------------------------------------------
r42513 | alagoutte | 2012-05-08 10:42:36 -0700 (Tue, 08 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-erldp.c
   M /trunk/epan/dissectors/packet-etch.c
   M /trunk/epan/dissectors/packet-fcgi.c
   M /trunk/epan/dissectors/packet-hdfs.c
   M /trunk/epan/dissectors/packet-icep.c
   M /trunk/epan/dissectors/packet-ifcp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang

------------------------------------------------------------------------
r42512 | alagoutte | 2012-05-08 10:41:23 -0700 (Tue, 08 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpls.c

Enhance MPLS Dissector
 * use proto_tree_add_item
 * start Header field by hf_mpls...


------------------------------------------------------------------------
r42511 | alagoutte | 2012-05-08 10:34:46 -0700 (Tue, 08 May 2012) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipv6.h

Enhance Unknown IPv6 Extension Header

------------------------------------------------------------------------
r42510 | alagoutte | 2012-05-08 10:31:05 -0700 (Tue, 08 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.c

Add RFC6608 Subcodes for BGP Finite State Machine Error
Update other notify subcodes (draft-ietf-idr-cease-subcode-02 => RFC4484)...

------------------------------------------------------------------------
r42509 | wmeier | 2012-05-08 08:16:55 -0700 (Tue, 08 May 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

General cleanup including:
- remove unneeded #include <stdlib.h>
- rework some "function-like" macros to use
  'do {...} while (0)' construct;
- reformat hf[] entries;
- indentation/whitespace/long-lines/parentheses.

------------------------------------------------------------------------
r42508 | etxrab | 2012-05-08 07:24:13 -0700 (Tue, 08 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

From Frank Lahm:
Fixes for FPSpotlightRPC AFP dissector.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7235
------------------------------------------------------------------------
r42507 | etxrab | 2012-05-08 07:17:16 -0700 (Tue, 08 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtn.c
   M /trunk/epan/dissectors/packet-dtn.h

From Jim Wright:
Add decoding of CTEB to packet-dtn.c

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7234
------------------------------------------------------------------------
r42506 | guy | 2012-05-08 00:01:04 -0700 (Tue, 08 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42505 | guy | 2012-05-07 23:43:15 -0700 (Mon, 07 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppi.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42504 | guy | 2012-05-07 23:41:10 -0700 (Mon, 07 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/pkix1explicit/pkix1explicit.cnf
   M /trunk/epan/dissectors/packet-pkix1explicit.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42503 | guy | 2012-05-07 23:35:50 -0700 (Mon, 07 May 2012) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-packetbb.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

Fix a field type - FT_UINT_BYTES means "byte array preceded by a
length, with the length field included", not "byte array, not including
any length field, even if it happens to be preceded by a length field".

------------------------------------------------------------------------
r42502 | etxrab | 2012-05-07 22:35:30 -0700 (Mon, 07 May 2012) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c

Pretify info_col for mor MSG:s
------------------------------------------------------------------------
r42501 | guy | 2012-05-07 19:41:15 -0700 (Mon, 07 May 2012) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ospf.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.  (The only non-integral/non-boolean fields
aren't fetched as array elements.)

------------------------------------------------------------------------
r42500 | guy | 2012-05-07 19:05:16 -0700 (Mon, 07 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nhrp.c

Fix a proto_tree_add_ipv4() call that was probably intended to be a
proto_tree_add_item() call.

------------------------------------------------------------------------
r42499 | guy | 2012-05-07 19:02:26 -0700 (Mon, 07 May 2012) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netperfmeter.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.  (There's no spec for the protocol that I
could find, just an implementation, and it's not clear whether the
description field is ASCII or UTF-8 or something else.)

------------------------------------------------------------------------
r42498 | guy | 2012-05-07 17:37:37 -0700 (Mon, 07 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42497 | guy | 2012-05-07 17:34:12 -0700 (Mon, 07 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-msproxy.c

Fix a proto_tree_add_uint() call that appears to have been intended to
be a proto_tree_add_item() call.

------------------------------------------------------------------------
r42496 | guy | 2012-05-07 17:31:56 -0700 (Mon, 07 May 2012) | 3 lines
Changed paths:
   M /trunk/asn1/mpeg-pes/packet-mpeg-pes-template.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

------------------------------------------------------------------------
r42495 | guy | 2012-05-07 17:29:22 -0700 (Mon, 07 May 2012) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mikey.c

Get rid of remaining Booleans-as-encoding-arguments in
proto_tree_add_item() calls.

